<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class Country extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [ 'id' ];
    /***
     * List Countries
     *
     * @return mixed
     */
    public function listCountries(Request $request)
    {
        $data = $this::orderBy('id', 'Desc');
        if ($request->search_name != '') {
            $data->where(function ($query) use ($request) {
                return $query
                    ->Where('name', 'like', '%' . $request->search_name . '%');
            });
        }
        return $data->paginate(session()->get('site_settings')['results_per_page']);
    }
    /***
     * Insert Country
     *
     * @return mixed
     */
    public function InsertCountry(Request $request)
    {
        $city=new $this();
        $city->name= $request->input('name');
        if($city->save()){
            return true;
        }else{
            return false;
        }
    }
    /***
     * Update Country
     *
     * @return mixed
     */
    public function UpdateCountry(Request $request,$id)
    {
        $city=$this->findOrFail($id);
        $city->name= $request->input('name');
        if($city->save()){
            return true;
        }else{
            return false;
        }
    }
}
