<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;
use Auth;
class TargetGrade extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [ 'id' ];
    /***
     *  list TargetGrades
     *
     * @return mixed
     */
    public function listTargetGrades(Request $request)
    {
        $data = $this::where('agency_id',Auth::user()->agency_id)->orderBy('id', 'Asc');
        if ($request->search_name != '') {
            $data->where(function ($query) use ($request) {
                return $query
                    ->Where('grade', 'like', '%' . $request->search_name . '%');
            });
        }
        return $data->paginate(session()->get('site_settings')['results_per_page']);
    }
    /***
     * Insert/Update TargetGrade
     *
     * @return mixed
     */
    public function InsertOrUpdateTargetGrade(Request $request,$id=0)
    {
        if($id>0){
            $category_grade=$this->findOrFail($id);
        }else{
            $category_grade=new $this();
        }
        $category_grade->grade= $request->input('grade');
        $category_grade->agency_id =  Auth::user()->agency_id;
        $category_grade->value= $request->input('value');
        if($category_grade->save()){
            return true;
        }else{
            return false;
        }
    }
}
