<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;
use Auth;

class TargetPoint extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [ 'id' ];
    /***
     * List TargetPoints
     *
     * @return mixed
     */
    public function listTargetPoints(Request $request)
    {
        $data = $this::where('agency_id',Auth::user()->agency_id)->orderBy('id', 'Asc');
        if ($request->search_name != '') {
            $data->where(function ($query) use ($request) {
                return $query
                    ->Where('type', 'like', '%' . $request->search_name . '%')
                    ->orWhere('points',  $request->search_name );
            });
        }
        return $data->paginate(session()->get('site_settings')['results_per_page']);
    }
    /***
     * Insert/Update TargetPoint
     *
     * @return mixed
     */
    public function InsertOrUpdateTargetPoint(Request $request,$id=0)
    {
        if($id>0){
            $target_point=$this->findOrFail($id);
        }else{
            $target_point=new $this();
        }
        $target_point->type= $request->input('type');
        $target_point->agency_id =  Auth::user()->agency_id;
        $target_point->points= $request->input('points');
        if($target_point->save()){
            return true;
        }else{
            return false;
        }
    }
}
