<?php

namespace App\Console\Commands;

use App\Order;
use App\Payment;
use App\Shop;
use Illuminate\Console\Command;

class UpdateDubaiLedger extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'replace:ledger';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $id = $this->ask('What is Dubai Customer id?');
        // Console Cron
//        protected $signature = 'replace:ledger';
//        php artisan replace:ledger
        $shop=Shop::where('id',$id)->first();
        if(!empty($shop) && !empty($shop->opening_balance ) && !empty($shop->balance)){
            $total_balance=(-1)* ($shop->opening_balance);
            $orders = Order::where('shop_id',$id)->where('status','Delivered')
                ->whereBetween('date_to_deliver',['2018-01-01','2020-01-01'])
                ->whereNotIn('type', ['Sample'])->orderBy('date_to_deliver', 'Desc')->get()->toarray();
            $payments = Payment::where('shop_id',$id)->where('payment_type','Cash')
                ->whereBetween('promise_cheque_date',['2018-01-01','2020-01-01'])
                ->orderBy('promise_cheque_date', 'Desc')->get()->toarray();

            $ledger=[];
            $size=0;

            if(count($orders)>0){
                foreach ($orders as $key=>$order){
                    $ledger[$key]=$order;
                    $ledger[$key]['date']=$order['date_to_deliver'];
                    $ledger[$key]['ledger_type']='order';

                }
                $size=count($orders);
            }
            if(count($payments)>0){
                foreach ($payments as $index=>$payment){
                    $ledger[$size]=$payment;
                    $ledger[$size]['date']=$payment['promise_cheque_date'];
                    $ledger[$size]['ledger_type']='payment';
                    $size++;
                }
            }
            usort($ledger, function($a, $b) {
                return strtotime($a['date']) - strtotime($b['date']);
            });
//            dd($ledger) ;

            foreach ($ledger as $led){
                switch ($led['ledger_type']){
                    case 'order';
                        $total_balance=$total_balance+$led['payment'];
                        Order::where('id',$led['id'])->update(['balance'=>(-1)*$total_balance]);
                        break;
                    case 'payment';
                        $total_balance=$total_balance-$led['amount'];
                        Payment::where('id',$led['id'])->update(['balance'=>(-1)*$total_balance]);
                        break;
                }

            }
            $shop->balance=(-1)*$total_balance;
            $shop->save();
        }
    }
}
