<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;

class Expense extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [ 'id' ];
    /**
     * Get the Agency that owns the Area.
     */
    public function agency()
    {
        return $this->belongsTo('App\Agency');
    }
    /***
     * List Expense
     *
     * @return mixed
     */
    public function listExpense(Request $request)
    {
        $data = $this::orderBy('id', 'Desc');
        if ($request->search_name != '') {
            $data->where(function ($query) use ($request) {
                return $query
                    ->Where('name', 'like', '%' . $request->search_name . '%');
            });
        }
        return $data->paginate(session()->get('site_settings')['results_per_page']);
    }
    /***
     * Insert/Update 
     *
     * @return mixed
     */
    public function InsertOrUpdate(Request $request,$id=0)
    {
        $new=true;
        if($id>0){
            $expense=$this->findOrFail($id);
            $new=false;
        }else{
            $expense=new $this();
        }
        $expense->name= $request->input('name');
        if($expense->save()){
            return true;
        }else{
            return false;
        }
    }
}
