<?php

namespace App\Http\Controllers\backend;

use App\Role;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AppVersionController  extends BackendController
{
    /***
     * @var Role
     */
    private $_Model;

    /***
     * Constructor
     *
     * @param $request
     * @param Role $Model
     */
    public function __construct(Request $request, Role $Model)
    {
        parent::__construct(  );
        $this->_Model = $Model;
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['roles']=$this->_Model->listAll();
        $data['breadcrumbs'] = [
            [
                'title' => 'App Version',
                'url' => 'app_version',
            ]
        ];
        view()->share('page_title', 'App Version');
        return view('backend.app_version.index',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data['role'] = Role::findOrFail($id);
        $data['breadcrumbs'] = [
            [
                'title' => 'App Version',
                'url' => 'app_version',
            ]
        ];
        view()->share('page_title', 'App Version');
        return view('backend.app_version.modify',$data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $rules = [
            'app_version' => 'required',
        ];
        $this->validate($request, $rules);
        $result=$this->_Model->InsertOrUpdate($request,$id);
        return redirect()->back()->with("success", "Your record has been update successfully.");
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
