<?php

namespace App\Http\Controllers\backend;

use App\Country;
use App\Order;
use App\StockBooking;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Auth;
class BookedOrderController extends BackendController
{
    /***
     * @var Order
     */
    private $_orderModel;

    /***
     * Constructor
     *
     * @param $request
     * @param Order $orderModel
     */
    public function __construct(Request $request, Order $orderModel)
{
    parent::__construct(  );
    $this->_orderModel = $orderModel;
}
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $data['orders']=$this->_orderModel->listBookedOrders($request);
        $data['countries']=Country::all();
        $data['sales_officers'] = User::where('agency_id',Auth::user()->agency_id)->whereHas('roles', function($query) {
            $query->where('name', '=', 'so');
        })->get();
        $data['breadcrumbs'] = [
            [
                'title' => 'Booked Orders',
                'url' => 'booked-orders',
            ]
        ];
        view()->share('page_title', 'All Booked Orders');
        return view('backend.orders.index',$data);
    }
    // Processed order
    public function processOrder($id)
    {
        $order = Order::findOrFail($id);
        $order->status="Processed";
        $order->save();
        return redirect()->back()->with("success", "Your Order has been Processed successfully.");
    }
    // Rejected order
    public function rejectedOrder($id)
    {
        $order = Order::findOrFail($id);
        $order->status="Rejected";
        $order->save();
        return redirect()->back()->with("success", "Your Order has been Rejected successfully.");
    }

}
