<?php

namespace App\Http\Controllers\backend;

use App\PartyName;
use App\PartyRates;
use App\Product;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class PartyRateController extends BackendController
{
    /***
     * Constructor
     */
    public function __construct()
    {
        parent::__construct(  );
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index($id)
    {
        $data['party_id']=$id;
        $data['rates'] = PartyName::where('id',$id)->with(['partyPrice'])->first();
        $data['products']=Product::select(['id','name'])->where('category_id',1)->get();
        $data['breadcrumbs'] = [
            [
                'title' => 'Party Name',
                'url' => 'partyname',
            ]
        ];
        view()->share('page_title', ' Party Rate');
        return view('backend.partyname.rates',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
//        dd($request->all());
        foreach ($request->get('products') as $product){

            $rate= PartyRates::where('party_id',$request->get('party_id'))
                ->where('product_id',$product['product_id'])->first();
            if(empty($rate)){
                $rate=new PartyRates();
            }

            $rate->party_id=$request->get('party_id');
            $rate->product_id=$product['product_id'];
            $rate->price=$product['price']/12;
            $rate->save();
        }
        return redirect()->back()->with("success", "Your record has been Updated successfully.");
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
