<?php

namespace App\Http\Controllers\backend;

use App\Product;
use App\ProductImage;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ProductImageController extends BackendController
{
    /***
     * Constructor
     */
    public function __construct()
    {
        parent::__construct(  );
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index($id)
    {
        $data['product'] = Product::select('id','name')->findOrFail($id);
        $data['images'] = $data['product']->productImages()->orderBy('id', 'desc')->paginate(20);
        $data['breadcrumbs'] = [
            [
                'title' => 'Products',
                'url' => 'products',
            ]
        ];
        view()->share('page_title', 'Add Product Images');
        return view('backend.products.product-images',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if ($request->hasFile('file')) {
            $filename = time() . '-' . mt_rand(1, 99) . '.' . $request->file('file')->getClientOriginalExtension();
            $request->file('file')->move(config('constants.UPLOAD_PATH') . 'products/' , $filename);
            $product = new ProductImage();
            $product->image_url = '/uploads/products/'. $filename;
            $product->product_id = $request->input('product_id');
            $product->save();
            $response = ['error' => false, 'message' => 'Successfully uploaded.'];
        } else {
            $response = ['error' => true, 'message' => 'File not uploaded.'];
        }
        return response()->json($response);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id,$image_id)
    {
        $productImage = ProductImage::findOrFail($image_id);
        $file = public_path() .$productImage->image_url;
        if (file_exists($file))
            unlink($file);
        $productImage->delete();
        return redirect()->back()->with('success', 'Deleted succesfully.');
    }
}
