<?php

namespace App\Http\Controllers\backend;

use App\City;
use App\Country;
use App\Region;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Auth;

class RegionController extends BackendController
{
    /***
     * @var Region
     */
    private $_regionModel;

    /***
     * Constructor
     *
     * @param $request
     * @param Region $regionModel
     */
    public function __construct(Request $request, Region $regionModel)
    {
        parent::__construct(  );
        $this->_regionModel = $regionModel;
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

//        $obj= Region::where('business_name', 'like', '%' . 'Shah Traders' . '%')
//            ->with(['country'])
//            ->first();
//dd($obj->country->name);

//        $d= Region::where('business_name', 'like', '%' . 'Shah Traders' . '%')->first();
//       if(!empty($d) && !empty($d['balance'])){
//           $d=explode("&",$d['balance']);
//           dd($d );
//           dd(trim($d) );
//       }
//        dd($d);
        $data['regions']=$this->_regionModel->listRegions();
        $data['breadcrumbs'] = [
            [
                'title' => 'Regions',
                'url' => 'regions',
            ]
        ];
        view()->share('page_title', 'All Regions');
        return view('backend.regions.index',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $data['countries'] = Country::all();
        $data['rsm'] = User::where('agency_id',Auth::user()->agency_id)->whereHas('roles', function($query) {
            $query->where('name', '=', 'rsm');
        })->get();
        $data['breadcrumbs'] = [
            [
                'title' => 'Regions',
                'url' => 'regions',
            ]
        ];
        view()->share('page_title', 'Add New Region');
        return view('backend.regions.modify',$data);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $rules = [
            'name' => 'required|max:30',
        ];
        $this->validate($request, $rules);
        $region=$this->_regionModel->InsertOrUpdateRegion($request);
        return redirect(url('regions'))->with('success', 'Your record has been added successfully.');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data['countries'] = Country::all();
        $data['rsm'] = User::where('agency_id',Auth::user()->agency_id)->whereHas('roles', function($query) {
            $query->where('name', '=', 'rsm');
        })->get();
        $data['region'] = Region::findOrFail($id);
        $data['breadcrumbs'] = [
            [
                'title' => 'Regions',
                'url' => 'regions',
            ]
        ];
        view()->share('page_title', 'Modify Region');
        return view('backend.regions.modify',$data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $rules = [
            'name' => 'required',
        ];
        $this->validate($request, $rules);
        $region=$this->_regionModel->InsertOrUpdateRegion($request,$id);
        return redirect()->back()->with("success", "Your record has been update successfully.");
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $region = Region::findOrFail($id);
        $region->delete();
        return redirect()->back()->with("success", "Your record has been Deleted successfully.");
    }
}
