<?php

namespace App\Http\Controllers\backend;

use App\Shop;
use App\ShopImage;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ShopImageController extends BackendController
{
    /***
     * Constructor
     */
    public function __construct()
    {
        parent::__construct(  );
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index($id)
    {
        $data['shop'] = Shop::select('id','name')->findOrFail($id);
        $data['images'] = $data['shop']->shopImages()->orderBy('id', 'desc')->paginate(20);
//        $data['breadcrumbs'] = [
//            [
//                'title' => 'Shops',
//                'url' => 'shops',
//            ]
//        ];
//        view()->share('page_title', 'Add Shop Images');
//        return view('backend.shops.shop-images',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if ($request->hasFile('file')) {
            $filename = time() . '-' . mt_rand(1, 99) . '.' . $request->file('file')->getClientOriginalExtension();
            $request->file('file')->move(config('constants.UPLOAD_PATH') . 'shops/' , $filename);
            $shop = new ShopImage();
            $shop->image_url = '/uploads/shops/'. $filename;
            $shop->shop_id = $request->input('shop_id');
            $shop->save();
            $response = ['error' => false, 'message' => 'Successfully uploaded.'];
        } else {
            $response = ['error' => true, 'message' => 'File not uploaded.'];
        }
        return response()->json($response);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
