<?php

namespace App\Http\Middleware;

use App\Agency;
use Closure;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Response;

class AgencyStatus
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::check()) {
            $user = Auth::user();
            if(!$user->hasRole('super_admin')){
                if(empty(Auth::user()->agency_id)){
                    Auth::logout();
                    return new Response(view('errors.503'));
                }else{
//                    dd(Auth::user()->agency_id);
                    $agency= Agency::where('id',Auth::user()->agency_id)->first();

                    if(!empty($agency['status']) && $agency['status']!=1){
                        Auth::logout();
                        return new Response(view('errors.503'));
                    }
                }
            }
        }
        return $next($request);
    }
}
