<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Facades\Storage;
use Auth;
class Product extends Model
{
    use SoftDeletes;
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */


    protected $guarded = [ 'id' ];
    public function productImages() {
        return $this->hasMany('App\ProductImage');
    }

    public function productIma() {
        return $this->hasOne('App\ProductImage');
    }
    /**
     * Get the Category that owns the product.
     */
    public function category()
    {
        return $this->belongsTo('App\Category','category_id');
    }
    /**
     * Get the Images of the order.


     */
public function pro() {

        return $this->hasMany('App\StockBookingDetail','product_id','id');
    }

     public function productssubdistributor() {
        return $this->hasOne('App\StockSubdistributer','product_id','id');
    }
      


    public function ProductPrices() {

        return $this->hasMany('App\ProductPrice','product_id');
    }

public function dsfshopprices() {

        return $this->hasMany('App\Dsfshopdiscount','product_id','id');
    }

     public function ProductPrice() {

        return $this->hasOne('App\ProductPrice','product_id')->where('currency_id',1);
    }
    /**
     * Get the product categories.
     */
    public function ProductCategory() {

        return $this->hasMany('App\ProductCategory','product_id');
    }

    /***
     * List Products
     *
     * @return mixed
     */
    public function listProducts(Request $request)
    {
        $data = $this::where('agency_id',Auth::user()->agency_id)->orderBy('id', 'Desc');
        if ($request->search != '') {
            $data->where(function ($query) use ($request) {
                return $query
                    ->Where('id', '=',$request->search);
            });
        }
        if ($request->category != '') {
            $data->where('category_id', '=', $request->category);
        }
        return $data->paginate(session()->get('site_settings')['results_per_page']);
    }
    /***
     * Insert Product
     *
     * @return mixed
     */
    public function InsertOrUpdateProduct(Request $request,$id=0)
    {
        $new=0;
        if($id>0){
            $product=$this->findOrFail($id);
            $new=1;
        }else{
            $product=new $this();
        }
        $product->name= $request->input('name');
        $product->category_id= $request->input('category');
        $product->agency_id =  Auth::user()->agency_id;
        $product->type= $request->input('type');
        $product->product_code= $request->input('product_code');
        $product->cotton= $request->input('cotton');
        $product->tp_rate= $request->input('tp_rate');
        $product->points_based= $request->input('point_based');
        $product->points_based_value= $request->input('points_based_value');
        if($request->input('is_scheme')){
            $product->is_scheme=1;
            $product->scheme_quantity=$request->input('scheme_quantity');
            $product->scheme_free_quantity=$request->input('scheme_free_quantity');
        }else{
            $product->is_scheme=0;
            $product->scheme_quantity=null;
            $product->scheme_free_quantity=null;
        }
//        $product->retail_price= $request->input('retail_price');
//        $product->wholesale_price= $request->input('wholesale_price');
//        $product->distributor_price= $request->input('distributor_price');
//        $product->stock_available= $request->input('stock_available');
//        $product->started_on= $request->input('started_on');
//        $product->discontinued_on= $request->input('discontinued_on');
//        $product->minimum_order_unit= $request->input('minimum_order_unit');
//        $product->minimum_ws_quantity= $request->input('minimum_ws_quantity');
//        $product->minimum_rs_quantity= $request->input('minimum_rs_quantity');
        $product->description= $request->input('description');
        if($product->save()){
            // Product Image added
            if($new==1){
                $old_image_id=[];
                $all_product=ProductImage::select('id')->where('product_id',$product->id)->get()->toarray();
                if(count($all_product)>0){
                    foreach ($all_product as $all){
                        if(isset($all['id']) && !empty($all['id'])){
                            $old_image_id[]=$all['id'];
                        }
                    }
                }
                if(count($request->input('old_images_id'))>0){
                    foreach ($request->input('old_images_id') as $value){
                        if (($key = array_search($value, $old_image_id)) !== FALSE) {
                            unset($old_image_id[$key]);
                        }
                    }
                }
                if(count($old_image_id)>0){
                    foreach ($old_image_id as $id){
                        $old_order_product=ProductImage::findOrFail($id);
                        $old_order_product->delete();
                        $file = public_path() .str_replace(url(''),"",$old_order_product['image_url']);

                        if (file_exists($file)) {
                            @unlink($file);
                        }
                    }
                }
            }
            if($product->id==12){
                for($a=0;$a<8;$a++){
                    $item=ProductCategory::where('id',$request->input('product_category'.$a.'id'))->first();
                    if ($request->hasFile('product_category'.$a.'image')) {
                        $filename = 'image-' . time() . rand(99, 199) . '.' . $request->file('product_category'.$a.'image')->getClientOriginalExtension();
                        $request->file('product_category'.$a.'image')->move(config('constants.UPLOAD_PATH') . 'products/', $filename);
                        if (isset($filename)){
                            if(!empty($item)){
                                $item->product_id = $product->id;
                                $file = public_path() .str_replace(url(''),"",$item->image_url);
                                if (file_exists($file)) {
                                    @unlink($file);
                                }
                                $item->image_url=url('/uploads/products/'.$filename);
                                $item->save();
                            }
                        }
                    }
                    if( !empty($item)){
                        $item->product_code = $request->input('product_category'.$a.'code');
                        $item->save();
                    }
                }
            }
                for($i=-1,$j=0;$i<12;$i++,$j++){
                    if ($request->hasFile('image'.$j)) {
                        $filename = 'image-' . time() . rand(99, 199) . '.' . $request->file('image'.$j)->getClientOriginalExtension();
                        $request->file('image'.$j)->move(config('constants.UPLOAD_PATH') . 'products/', $filename);
                        if (isset($filename)){
                           $pro_image=new ProductImage();
                           $pro_image->image_url =  url('/uploads/products/'.$filename);
                           $pro_image->product_id = $product->id;
                           $pro_image->save();


                       }
                    }
                }
            // Product Price added
            if(count($request->input('prices'))>0){
                foreach ($request->input('prices') as $price){
                   $discount= ProductPrice::where('product_id',$product->id)->where('currency_id',$price['currency_id'])->first();
                    if(empty($discount)){
                        $discount=  new ProductPrice();
                    }
                    $discount->product_id=$product->id;
                    $discount->currency_id=$price['currency_id'];
                    $discount->retail_price=$price['retail_price']/12;
                    $discount->wholesale_price=$price['wholesale_price']/12;
//                    $discount->retail_price=round($price['retail_price']/12,2);
//                    $discount->wholesale_price=round($price['wholesale_price']/12,2);
                    if(!empty($price['distributor_price']))
                    $discount->distributor_price=$price['distributor_price']/12;
//                    $discount->distributor_price=round($price['distributor_price']/12,2);
                    $discount->save();
                }

            }
            return true;
        }else{
            return false;
        }
    }
}
