@extends('layouts.admin')

@section('header-content')

@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
            </div>
        </div>
        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <div class="has-feedback has-feedback-left">
                                <input type="text" name="search_name" value="{{ Request::get('search_name') }}" class="form-control" placeholder="Search by Area Name">
                                <div class="form-control-feedback">
                                    <i class="icon-pin-alt text-size-large text-muted"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn bg-blue">
                        <i class="icon-search4 text-size-base position-left"></i>
                        Search
                    </button>
                </div>
            </form>
        </div>
    </div>
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h5 class="panel-title">All Areas</h5>
                <div class="heading-elements">
                        <div class="form-group drop-custum">
                            <select id="records_per_page" name="records_per_page"
                                    class="form-control"
                                    onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                                <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                    20
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                    50
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                    80
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                    100
                                    rows
                                </option>
                            </select>
                        </div>
                </div>
            </div>
            @if(!empty($areas[0]))
              <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Area</th>
                            <th>Country</th>
                            <th>Region</th>
                            <th>City</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($areas as $key=>$area)
                        <tr>
                            <td>{{$key+1}}</td>
                            <td>{{$area->name}}
                                @if(count($area->sub_areas)>0)
                                <a style="float: right;" href="#" class="text-default" data-toggle="modal" title="View Sub Areas " data-target="#{{$key}}area"><i class="icon-eye8"></i></a></li>
                                    <!-- Large modal -->

                                    <div id="{{$key}}area" class="modal fade">
                                        <div class="modal-dialog modal-lg">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                    <h5 class="modal-title">Sub Areas Of {{$area->name}}</h5>
                                                </div>
                                                <div class="panel panel-white">
                                                    <div class="panel-body">
                                                        <h6 class="text-uppercase text-semibold">Sub Areas </h6>
                                                        @foreach($area->sub_areas as $key2=>$value)
                                                            <div class="col-md-4">
                                                            <ul class="list-group ul-style" >
                                                                <li class="list-group-item">{{$value->name}}</li>
                                                            </ul>
                                                            </div>
                                                        @endforeach
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-link" data-dismiss="modal">Close</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- /large modal -->
                                @endif
                            </td>
                            <td>@if(isset($area->city->region) && isset($area->city->region->country) && isset($area->city->region->country->name)) {{$area->city->region->country->name}} @endif</td>
                            <td>@if(isset($area->city->region) && isset($area->city->region->name)){{$area->city->region->name}} @endif</td>
                            <td>@if(isset($area->city->name)){{$area->city->name}} @endif</td>
                            <td>
                                <ul class="icons-list">
                                    <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$area->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                    <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$area->id}}');"><i class="icon-trash"></i></a></li>
                                </ul>
                                <form id="deleteForm" method="POST" action="">
                                    {!! method_field('DELETE') !!}
                                    {!! csrf_field() !!}
                                </form>
                            </td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">
                    {{ $areas->links() }}
                </div>
            </div>
            @else
                <div class="panel-body">
                    <p>No Records Found</p>
                </div>
            @endif
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')

@endsection
