@extends('layouts.admin')

@section('header-content')

@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
                @if(Auth::user()->can('modify_bilty'))
                <a href="{{url('bilty/create')}}">
                    <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-add"></i></b> Add New</button>
                </a>
                @endif

            </div>
        </div>

        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group form-group-material">
                            <input type="text" id="search_name" name="search_name" data-mask="9999-99" value="{{ Request::get('search_name') }}"  placeholder="yyyy-mm" class="form-control selector" >
                        </div>
                    </div>

                    <div class="col-md-3 col-sm-3">
                        <button type="submit" class="btn btn-danger" id="clear">
                            <i class="icon-trash text-size-base position-left"></i>
                            Clear
                        </button>
                        <button type="submit" class="btn bg-blue">
                            <i class="icon-search4 text-size-base position-left"></i>
                            Search
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h5 class="panel-title">All Bilty</h5>
                <div class="heading-elements">
                        <div class="form-group drop-custum">
                            <select id="records_per_page" name="records_per_page"
                                    class="form-control"
                                    onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                                <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                    20
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                    50
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                    80
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                    100
                                    rows
                                </option>
                            </select>
                        </div>
                </div>
            </div>
            @if(!empty($bilti[0]))
              <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>RSM Order Detail</th>
                            <th>Bilti Number</th>
                            <th>Delivered To</th>
                            <th>Supplier</th>
                            <th>Bilti Date</th>
                            <th>Bilti Received Date </th>
                            <th>Status </th>
                            @if(Auth::user()->can('modify_bilty'))
                            <th>Action</th>
                            @endif
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($bilti as $key=>$bilt)
                        <tr>
                            <td>{{$key+1}}</td>
                            <td><a href="orders/stock/detail/{{$bilt->stock_booking_id}}"
                                   title="View RSM Order details">{{$bilt->bilti_no}}</a></td>
                            <td><a href="bilty/{{$bilt->id}}"
                                   title="View Bilty details">{{$bilt->bilti_no}}</a></td>
                            <td>@if(isset($bilt->supplier->firstname)){{$bilt->supplier->firstname.' '.$bilt->supplier->lastname}} @endif</td>
                            <td>@if(isset($bilt->user->firstname)){{$bilt->user->firstname.' '.$bilt->user->lastname}} @endif</td>
                            <td>{{$bilt->bilti_date}}</td>
                            <td>{{$bilt->bilti_received_date}}</td>
                            <td>{{$bilt->status}}</td>
                            @if(Auth::user()->can('modify_bilty'))
                            <td>
                                <ul class="icons-list">
                                    <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$bilt->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                    <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$bilt->id}}');"><i class="icon-trash"></i></a></li>
                                </ul>
                                <form id="deleteForm" method="POST" action="">
                                    {!! method_field('DELETE') !!}
                                    {!! csrf_field() !!}
                                </form>
                            </td>
                           @endif
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">
                    {{ $bilti->links() }}
                </div>
            </div>
            @else
                <div class="panel-body">
                    <p>No Records Found</p>
                </div>
            @endif
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <!-- /theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>



@endsection
