@extends('layouts.admin')
@section('header-content')
    <style>
        .image-height{
            border: solid;
            height: 140px;
        }
    </style>
@endsection
@section('content')
    <div class="container-detached">
        <div class="content-detached">
            <!-- Tab content -->
            <div class="tab-content">
                <div class="tab-pane fade in active" id="profile">
                    <!-- Item Details -->
                    <div class="panel panel-flat">
                        <div class="panel-heading">
                            <h6 class="panel-title">Bilty Details</h6>
                            <div class="heading-elements">
                                <ul class="icons-list">
                                    <li><a data-action="collapse"></a></li>
                                </ul>
                            </div>
                        </div>

                        <div class="panel-body">
                            <form method="POST"
                                  action="{{ url('bilty'.(empty($bilt) ? '': '/' . $bilt->id)) }}"
                                  enctype="multipart/form-data" novalidate>
                                {!! csrf_field() !!}
                                <div class="row">
                                    <div class="col-md-4 col-sm-4">
                                        <div class="form-group {{ $errors->has('supplier') ? ' has-error' : '' }}">
                                            <label>Suppliers <span class="text-danger">*</span></label>
                                            <select class="select-search" name="supplier" id="sale_officer">
                                                @foreach($suppliers as $supplier)
                                                    <option value="{{$supplier->id}}" @if (old('supplier') == $supplier->id || isset($bilt) && $bilt->supplier_id==$supplier->id) selected="selected" @endif
                                                    >{{$supplier->firstname.' '.$supplier->lastname}}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('supplier'))
                                                <span class="help-block"><strong>{{ $errors->first('supplier') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-4 col-sm-4">
                                        <div class="form-group {{ $errors->has('delivered_to') ? ' has-error' : '' }}">
                                            <label>Delivered To <span class="text-danger">*</span></label>
                                            <select class="select-search" name="delivered_to" id="delivered_to">
                                                @foreach($sales_officers as $sale_officer)
                                                    <option value="{{$sale_officer->id}}" @if (old('delivered_to') == $sale_officer->id || isset($bilt) && $bilt->delivered_to_id==$sale_officer->id) selected="selected" @endif
                                                    >{{$sale_officer->firstname.' '.$sale_officer->lastname}}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('delivered_to'))
                                                <span class="help-block"><strong>{{ $errors->first('delivered_to') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-sm-4 col-md-4">
                                        <div class="form-group {{ $errors->has('bilti_no') ? ' has-error' : '' }}">
                                            <label>Bilti Number <span class="text-danger">*</span></label>
                                            <input type="text" name="bilti_no" value="{{old('bilti_no', @$bilt->bilti_no)}}" placeholder="Bilti no" class="form-control">
                                            @if ($errors->has('bilti_no'))
                                                <span class="help-block"><strong>{{ $errors->first('bilti_no') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-4 col-md-4">
                                            <div class="form-group {{ $errors->has('po_no') ? ' has-error' : '' }}">
                                                <label>PO Number <span class="text-danger">*</span></label>
                                                <input type="text" name="po_no" value="{{old('po_no', @$bilt->po_no)}}" placeholder="PO Number" class="form-control">
                                                @if ($errors->has('po_no'))
                                                    <span class="help-block"><strong>{{ $errors->first('po_no') }}</strong></span>
                                                @endif
                                            </div>
                                        </div>
                                    <div class="col-sm-4 col-md-4">
                                        <div class="form-group {{ $errors->has('bilti_date') ? ' has-error' : '' }}">
                                            <label>Bilti Date <span class="text-danger">*</span></label>
                                            <input type="date" name="bilti_date" value="{{old('bilti_date', @$bilt->bilti_date)}}" placeholder="Bilti Date" class="form-control">
                                            @if ($errors->has('bilti_date'))
                                                <span class="help-block"><strong>{{ $errors->first('bilti_date') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                        <div class="col-sm-4 col-md-4">
                                        <div class="form-group {{ $errors->has('bilti_received_date') ? ' has-error' : '' }}">
                                            <label>Bilti Received Date (Optional)</label>
                                            <input type="date" name="bilti_received_date" value="{{old('bilti_received_date', @$bilt->bilti_received_date)}}" placeholder="Bilti Received Date" class="form-control">
                                            @if ($errors->has('bilti_received_date'))
                                                <span class="help-block"><strong>{{ $errors->first('bilti_received_date') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4 col-sm-4">
                                        <div class="form-group">
                                            <label>Status</label>
                                            <select class="select" name="status">
                                                <option value="On The Way" {{ old('status', @$bilt->status) == 'On The Way' ? 'selected="selected"':'' }}>
                                                    On The Way
                                                </option>
                                                <option value="Received" {{ old('status', @$bilt->status) == 'Received' ? 'selected="selected"':'' }}>
                                                    Received
                                                </option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row input_fields_wrap2">
                                    <button type="button" class="btn bg-teal-400 btn-labeled btn-rounded add_field_button2"><b><i class="icon-stack2"></i></b> Add Bilty Images</button>
                                    <br><br>
                                    @if(!empty($bilt))
                                     @if(count($bilt->biltyImages)>0)
                                        @foreach($bilt->biltyImages->toarray() as $key2=>$value)
                                            <div class="">
                                                <input type="hidden" name="old_images_id[{{$key2}}]" value="{{$value['id']}}">
                                                <div class="col-md-4 col-sm-4 " align="center">
                                                    @if(isset($value['image']) && !empty($value['image']))
                                                        <img src="{{$value['image']}}" class="image-height" style="height: 150px;!important;"   alt=""><br>
                                                        <a href="#" class="remove_field2">Remove</a>
                                                    @endif
                                                </div>
                                            </div>
                                        @endforeach
                                    @endif
                                    @endif
                                    @if(!isset($key2) || empty($key2))
                                        <?php $key2=0;?>
                                    @endif
                                    <input type="hidden" id="bilty_image" value="{{$key2}}">
                                    <div id="new_item">
                                    </div>
                                </div>
                                <div class="row input_fields_wrap">
                                    <button type="button" class="btn bg-teal-400 btn-labeled btn-rounded add_field_button"><b><i class="icon-stack2"></i></b> Add Product</button>
                                    <br><br>
                                    <div class="col-md-12">
                                        <div  class="col-md-4 col-sm-4">
                                            <label>Products</label>
                                        </div>
                                        <div  class="col-md-3 col-sm-3">
                                            <label>Quantity (Cotton)</label>
                                        </div>
                                        {{--<div  class="col-md-3 col-sm-3">--}}
                                            {{--<label>Received Quantity (Single)  </label>--}}
                                        {{--</div>--}}
                                        <div  class="col-md-2 col-sm-2">
                                            <label>Action</label>
                                        </div>
                                    </div>
                                    @php    $old_product_categories=array(); @endphp
                                    @if(!empty($bilt))
                                        @foreach($bilt->products->toarray() as $key=>$value)
                                            @php
                                                if(count($value['bilty_product_types'])>0){
                                                foreach ($value['bilty_product_types'] as $index=>$category){
                                                $old_product_categories[$key]['type'][$index]['id']=$category['id'];
                                                $old_product_categories[$key]['type'][$index]['bilti_detial_id']=$category['bilti_detial_id'];
                                                $old_product_categories[$key]['type'][$index]['product_category_id']=$category['product_category_id'];
                                                $old_product_categories[$key]['type'][$index]['quantity']=$category['quantity']/$category['product']['main_product']['cotton'];
                                                $old_product_categories[$key]['type'][$index]['old_quantity']=$category['quantity']/$category['product']['main_product']['cotton'];
                                                $old_product_categories[$key]['type'][$index]['quantity_received']=$category['quantity_received']/$category['product']['main_product']['cotton'];
                                                }}
                                            @endphp
                                            <div class="col-md-12">
                                                <div  class="col-md-4 col-sm-4">
                                                    <div class="form-group">
                                                        <select class="select product" name="products[{{$key}}][product]" data-index="{{$key}}">
                                                            @foreach($products as $item)
                                                                <option @if ($value['product_id'] == $item->id) selected="selected" @endif value="{{$item->id}}"
                                                                >{{$item->name}}
                                                                </option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                </div>
                                                <div  class="col-md-3 col-sm-3">
                                                    <button type="button" class="btn btn-default btn-xm facial{{$key}}" data-toggle="modal" data-target="#facial{{$key}}" @if($value['product_id']!=12)style="display: none;" @endif>+ </button>
                                                    <div class="form-group">
                                                        <input type="hidden"  name="products[{{$key}}][id]" value="{{old('price', @$value['id'])}}"class="form-control">

                                                        @if(isset($value))
                                                            @php
                                                                $quan= intval(($value['quantity'])/$value['products']['cotton']);
                                                                $oldquan= intval(($value['quantity'])/$value['products']['cotton'])
                                                            @endphp
                                                        @endif

                                                        <input type="hidden" min="1" name="products[{{$key}}][old_qty]"    @if(isset($value)) value="@php echo $oldquan; @endphp"    @else  value="0" @endif class="form-control quantity{{$key}}"  >
                                                        <input type="number" min="1" name="products[{{$key}}][qty]"    @if(isset($value)) value="@php echo $quan; @endphp"    @else  value="{{old('qty', @$value['quantity'])}}" @endif class="form-control quantity{{$key}}"  >
                                                    </div>
                                                </div>
                                                {{--<div class="col-md-3 col-sm-3">--}}
                                                    {{--<input type="number" name="products[{{$key}}][rcv_qty]" value="{{old('rcv_qty', @$value['quantity_received'])}}" class="form-control quantity{{$key}}" >--}}
                                                {{--</div>--}}
                                                <div class="col-md-2 col-sm-2"><a href="#" class="remove_field">Remove</a></div>
                                            </div>
                                        @endforeach
                                    @endif
                                    @if(!isset($key) || empty($key))
                                        <?php $key=-1;?>
                                    @endif
                                    <input type="hidden" id="package_item" value="{{$key}}">
                                    <div id="new_item">
                                    </div>
                                </div>
                                <div class="model_popup">


                                </div>

                                <div class="text-right">
                                    @if(!empty($bilt)) {!! method_field('PUT') !!} @endif
                                    {{ csrf_field() }}
                                    <button type="submit" class="btn btn-primary">
                                        @if(empty($bilt)) Save @else Update
                                        @endif  <i class="icon-arrow-right14 position-right"></i></button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <!-- /Item Details -->


                </div>
            </div>
            <!-- /tab content -->

        </div>
    </div>
    <!-- /detached content -->
@endsection

@section('footer-content')
    <script>
        $(document).ready(function() {
            $('#booked_by').trigger("change");
        });
        $(document).ready(function() {
            setTimeout(function () {
                $('.product').trigger('change');
            }, 1000);
        });
    </script>
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <!-- /theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
    <script>
        var old_product_categories = <?php echo json_encode($old_product_categories); ?>;
    </script>
    {{--Append Product--}}
    <script  type="text/javascript">
        $(document).ready(function() {
            var max_fields      = 40; //maximum input boxes allowed
            var wrapper         = $(".input_fields_wrap"); //Fields wrapper
            var add_button      = $(".add_field_button"); //Add button ID
//            var package_item = $('#package_item').val()+1;
            var x = 1; //initlal text box count
            $(add_button).click(function(e){ //on add input button click
                var shop = $('#shop').val();
                var product = $('#product').val();
                $('#package_item').val( function(i, oldval) {
                    return parseInt( oldval, 10) + 1;
                });

                e.preventDefault();
                $.ajax({
                    url: '{{url('/all-products/')}}',
                    type: 'GET',
                    contentType: 'application/json; charset=utf-8',
                    dataType: 'json',
                    success: function (result) {
                        if(result.length >0) {
                             package_item = parseInt($('#package_item').val()+1);
                            if(x < max_fields){ //max input box allowed
                                x++; //text box increment
                                    $(wrapper).append('<div class="col-md-12"><div  class="col-md-4 col-sm-4"><div class="form-group"><select class="select sub_item'+ package_item +' form-control product" name="products[' + package_item + '][product]" data-index="' + package_item + '"></select></div></div>' +
                                            '<div  class="col-md-3 col-sm-3"><button type="button" class="btn btn-default btn-xm facial' + package_item + '" data-toggle="modal" data-target="#facial' + package_item + '">+ </button><div class="form-group "> <input type="number" min="1" placeholder="Quantity" name="products[' + package_item + '][qty]" value="1" class="form-control quantity'+ package_item +'"></div></div>' +
//                                            '<div  class="col-md-3 col-sm-3"><div class="form-group"> <input type="number" min="1" placeholder="Received Quantity " name="products[' + package_item + '][rcv_qty]" class="form-control quantity'+ package_item +'" ></div></div>' +
                                            '<div class="col-md-2 col-sm-2"><a href="#" class="remove_field">Remove</a></div></div>'); //add input box
                                $('.model_popup').append('<div id="facial' + package_item + '" class="modal fade"></div>');
                            }
                        }
                        $('.sub_item'+ package_item)
                                .find('option')
                                .remove()
                                .end();
                        $(result).each(function (index, element) {

                            $('.sub_item'+ package_item).append(
                                    $('<option >', {value: element.id} ) .text(element.name)
                            );
                        });
                        $('.product').trigger('change');
                    },
                    error: function () {
                    }
                });
            });

            $(wrapper).on("click",".remove_field", function(e){ //user click on remove text
                var val=parseInt($('.remove_fieldd').val());
                e.preventDefault(); $(this).parent().parent('div').remove(); x--;
                $('#package_item').val( function(i, oldval) {
                    return parseInt( oldval, 10)- 1;
                });
            })
        });
    </script>
    <script>
        $(document).on("change", '.product', function () {
            var product =$(this).val();
            var id = $(this).data().index;
            $('.quantity'+id).show();
            $('.facial'+id).hide();
            if(product==12){
                $('.facial'+id).show();
                $('.quantity'+id).hide();
                $.ajax({
                    url: '{{url('/product-categories/')}}/'+product,
                    type: 'GET',
                    contentType: 'application/json; charset=utf-8',
                    dataType: 'json',
                    success: function (data) {
                        if ($('#facial'+id).length==0)
                        {
                            $('.model_popup').append('<div id="facial' + id + '" class="modal fade"></div>');
                        }
                        if ($('#facialmodel'+id).length==0)
                        {
                            $('#facial'+id).append('<div class="modal-dialog" id="facialmodel'+id+'"><div class="modal-content"><div class="modal-header"><h1 class="modal-title"></h1></div>' +
                                    '<div class="modal-body"> <div class="table-responsive"><table class="table table-bordered table-framed table-hover"><thead><tr><th>Name</th><th>Quantity (Cotton)</th></tr></thead > <tbody id="facialtable'+id+'"> </tbody>' +
//                                    '<div class="modal-body"> <div class="table-responsive"><table class="table table-bordered table-framed table-hover"><thead><tr><th>Name</th><th>Quantity (Cotton)</th><th style="width: 170px;">Received Quantity (Dozen)</th></tr></thead > <tbody id="facialtable'+id+'"> </tbody>' +
                                    '</div><div class="modal-footer"></div></div></div>');
                            $(data).each(function (index, element) {
                                var type_old_id=0;
                                var type_quantity=null;
                                var quantity_received=null;
                                var type_old_quantity=null;
                                if(typeof old_product_categories[id] !='undefined' && old_product_categories[id]['type']){
                                    $(old_product_categories[id]['type']).each(function (index2, element2) {
                                        if(element.id==element2.product_category_id){
                                            quantity_received=element2.quantity_received;
                                            type_quantity=element2.quantity;
                                            type_old_id=element2.id;
                                            type_old_quantity=element2.old_quantity;
                                            return false;
                                        }
                                        type_quantity=null;
                                        type_old_id=0;
                                    });
                                }
                                $('#facialtable'+id).append('<tr>'+index+'<td><input type="hidden" class="form-control" name="products[' + id + '][type]['+index+'][old_id]" value="'+type_old_id+'"><input type="hidden" class="form-control" name="products[' + id + '][type]['+index+'][id]" value="'+element.id+'">'+element.name+'</td><td><input type="number" class="form-control" name="products[' + id + '][type]['+index+'][quantity]" value="'+type_quantity+'"><td><input type="hidden" class="form-control" name="products[' + id + '][type]['+index+'][old_quantity]" value="'+type_old_quantity+'"></td> </tr>');
                            });
                        }
                    },
                    error: function () {
                    }
                });
            }
        });
    </script>
{{--Append images--}}
    <script  type="text/javascript">
        $(document).ready(function() {
            $('#payment_type').trigger("change");
        });
        $(document).ready(function() {
            var max_fields      = 40; //maximum input boxes allowed
            var wrapper         = $(".input_fields_wrap2"); //Fields wrapper
            var add_button      = $(".add_field_button2"); //Add button ID
            var x = 1; //initlal text box count
            $(add_button).click(function(e){ //on add input button click
//                var package_item = $('#package_item').val()+1;
                $('#bilty_image').val( function(i, oldval) {
                    return parseInt( oldval, 10) + 1;
                });
                e.preventDefault();
                if(x < max_fields){ //max input box allowed
                    var product_item = parseInt($('#bilty_image').val());
                    x++; //text box increment
                    $(wrapper).append('<div ><div  class="col-md-4 col-sm-4" align="center"><div class="form-group"><input type="file" class="image-height" name="image' + product_item + '" class=""><a href="#" class="remove_field2">Remove</a> </div></div> '); //add input box
                }
            });

            $(wrapper).on("click",".remove_field2", function(e){ //user click on remove text
                e.preventDefault(); $(this).parent().parent('div').remove(); x--;
            })
        });
    </script>
@endsection
