@extends('layouts.admin')
@section('header-content')
    <style>
        .center {
            text-align: center!important;
        }
        .size{
            font-size: 18px;
        }
    </style>
@endsection
@section('content')
    <div class="panel panel-flat">
        <div class="table-responsive">
            <table class="table table-bordered table-lg">
                <tbody>
                <tr class="head">
                    <th colspan="4" class="center size" ><b>Bilty Detail </b>
                        @if(Auth::user()->can('modify_bilty'))
                            <a href="{{url('bilty/'.$bilty->id.'/edit')}}">
                                <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-pencil7"></i></b> Edit</button>
                            </a>
                        @endif
                    </th>
                </tr>
                <tr>
                    <td>Supplier</td>
                    <td>@if(isset($bilty->supplier->firstname)){{$bilty->supplier->firstname.' '.$bilty->supplier->lastname}} @endif  </td>
                    <td>Delivered To</td>
                    <td>@if(isset($bilty->user->firstname)){{$bilty->user->firstname.' '.$bilty->user->lastname}} @endif</td>
                </tr>
                <tr>
                    <td>Bilti #</td>
                    <td>{{$bilty->bilti_no}}</td>
                    <td>PO Number</td>
                    <td>{{$bilty->po_no}} </td>

                </tr>
                <tr>
                    <td>Bilty Date</td>
                    <td>{{$bilty->bilti_date}} </td>
                    <td>Bilty Received Date</td>
                    <td>{{$bilty->bilti_received_date}}</td>
                </tr>
                <tr>
                    <td>Status</td>
                    <td colspan="3">{{$bilty->status}}  </td>
                </tr>
                <tr>
                    <td>Remarks</td>
                    <td colspan="3">{{$bilty->remarks}}  </td>
                </tr>
                <tr>
                    <td colspan="4" class="center size" ><b><u>Product Included</u></b></td>
                </tr>
                <tr><td colspan="4">
                        <div class="table-responsive">
                            <table class="table table-bordered table-framed">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Product Name </th>
                                    <th>Quantity </th>
                                    <th>Quantity Received</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($bilty->products as $key=>$value)
                                    <tr>
                                        <td>{{$key+1}}</td>
                                        <td>{{$value->products->name}}</td>
                                        <td>
                                            {{--@if($value->product_id!=12)--}}
                                                {{--{{$value['quantity']/12}} Dozen--}}
                                            {{--@endif--}}
                                                @if(!empty($value->quantity))
                                                    @php
                                                        $rem=0;
                                            $rem=($value->quantity)%$value->products->cotton @endphp
                                                    {{intval(($value->quantity)/$value->products->cotton).' Cotton ' }}
                                                    @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                                                @endif

                                            @if(count($value->biltyProductTypes)>0)
                                                <i class="icon-eye8 position-right" title="Detail" data-toggle="modal" data-target="#modal_h1{{$key}}"></i>
                                                <!-- Modal with h1 -->
                                                <div id="modal_h1{{$key}}" class="modal fade">
                                                    <div class="modal-dialog">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                {{--<button type="button" class="close" data-dismiss="modal">&times;</button>--}}
                                                                <h1 class="modal-title">Facial Products</h1>
                                                            </div>
                                                            <div class="modal-body">
                                                                <div class="table-responsive table-bordered">
                                                                    <table class="table">
                                                                        <thead>
                                                                        <tr>
                                                                            <th>#</th>
                                                                            <th>Name</th>
                                                                            <th>Quantity  (CTN)</th>
                                                                            <th>Received Quantity (CTN)</th>
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                        @foreach($value->biltyProductTypes as $key2=>$category)
                                                                            <tr>
                                                                                <td>{{$key2+1}}</td>
                                                                                <td> @if(isset($category->product->name)){{ $category->product->name}} @endif</td>
                                                                                <td>
                                                                                    @if(!empty($category['quantity']))
                                                                                        @php $rem=0;

                                                                                         $rem=($category['quantity'])%$category->product->main_product->cotton @endphp
                                                                                        {{intval(($category['quantity'])/$category->product->main_product->cotton).' Cotton ' }}
                                                                                        @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                                                                                    @endif
                                                                                </td>
                                                                                <td>
                                                                                    @if(!empty($category['quantity_received']))
                                                                                        @php $rem=0;
                                                                                         $rem=($category['quantity_received'])%$category->product->main_product->cotton @endphp
                                                                                        {{intval(($category['quantity_received'])/$category->product->main_product->cotton).' Dozen ' }}
                                                                                        @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                                                                                    @endif
                                                                                </td>
                                                                            </tr>
                                                                        @endforeach
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                            <div class="modal-footer">
                                                                {{--<button type="button" class="btn btn-link" data-dismiss="modal">Close</button>--}}
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- /modal with h1 -->
                                            @endif
                                        </td>
                                        <td  >
                                            @if(!empty($value->quantity_received))
                                            @php $rem=0;
                                              $rem=($value->quantity_received)%12 @endphp
                                              {{intval(($value->quantity_received)/12).' Dozen ' }}
                                            @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan="4" class="center size"><b >Bilty Images</b></td>
                </tr>
                <tr>
                    @if(!empty($bilty))
                        @if(count($bilty->biltyImages->toarray())>0)
                            @foreach($bilty->biltyImages->toarray() as $key2=>$value2)
                                <td align="center">
                                    @if(isset($value2['image']) && !empty($value2['image']))
                                        <a href="{{$value2['image']}}" target="_blank">
                                        <img src="{{$value2['image']}}" class="image-height"
                                             style="height: 150px;!important;text-align: center" alt="">
                                            </a>
                                            <br>
                                    @endif
                                    @if(($key2+1)%4==0)
                                </td>
                </tr>
                <tr>
                    @else
                    </td>
                    @endif
                    @endforeach
                    @else
                        <td colspan="4" align="center">No Images</td>
                    @endif
                    @endif
                </tr>
                </tbody>
            </table>
        </div>
    </div>
@endsection

