@extends('layouts.admin')

@section('content')
            <div class="container-detached">
                <div class="content-detached">
                    <!-- Tab content -->
                    <div class="tab-content">
                        <div class="tab-pane fade in active" id="profile">
                            <!-- Item Details -->
                            <div class="panel panel-flat">
                                <div class="panel-heading">
                                    <h6 class="panel-title">City Details</h6>
                                    <div class="heading-elements">
                                        <ul class="icons-list">
                                            <li><a data-action="collapse"></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="panel-body">
                                    <form method="POST"
                                          action="{{ url('cities'.(empty($city) ? '': '/' . $city->id)) }}"
                                          enctype="multipart/form-data">
                                        {!! csrf_field() !!}
                                         <div class="row">
                                             <div class="col-md-6 col-sm-6">
                                                 <div class="form-group {{ $errors->has('region') ? ' has-error' : '' }}">
                                                     <label>Region</label>
                                                     <select class="select" name="region">
                                                         <option value=""
                                                         >Select Region
                                                         </option>
                                                         @foreach($regions as $region)
                                                             <option value="{{$region->id}}" @if (old('region') == $region->id || isset($city) && $city->region_id==$region->id) selected="selected" @endif
                                                             >{{$region->name}}
                                                             </option>
                                                         @endforeach
                                                     </select>
                                                     @if ($errors->has('region'))
                                                         <span class="help-block"><strong>{{ $errors->first('region') }}</strong></span>
                                                     @endif
                                                 </div>
                                             </div>
                                            <div class="col-md-6 col-sm-6">
                                                <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
                                                    <label>Name</label>
                                                    <input type="text" name="name" value="{{old('name', @$city->name)}}" placeholder="Name" class="form-control">
                                                    @if ($errors->has('name'))
                                                        <span class="help-block"><strong>{{ $errors->first('name') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>

                                        </div>
                                        <div class="text-right">
                                            @if(!empty($city)) {!! method_field('PUT') !!} @endif
                                            {{ csrf_field() }}
                                            <button type="submit" class="btn btn-primary">
                                                @if(empty($city)) Save @else Update
                                                @endif  <i class="icon-arrow-right14 position-right"></i></button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <!-- /Item Details -->


                        </div>
                    </div>
                    <!-- /tab content -->

                </div>
            </div>
            <!-- /detached content -->
@endsection

@section('footer-content')
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <!-- /theme JS files -->
@endsection
