@extends('layouts.admin')

@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
            </div>
        </div>
        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <div class="has-feedback has-feedback-left">
                                <input type="text" name="search_name" value="{{ Request::get('search_name') }}" class="form-control" placeholder="Search by Country Name">
                                <div class="form-control-feedback">
                                    <i class="icon-pin-alt text-size-large text-muted"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn bg-blue">
                        <i class="icon-search4 text-size-base position-left"></i>
                        Search
                    </button>
                </div>
            </form>
        </div>
    </div>
        <!-- Bordered panel body table -->
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h5 class="panel-title">All Countries</h5>
                <div class="heading-elements">
                    <div class="form-group drop-custum">
                        <select id="records_per_page" name="records_per_page"
                                class="form-control"
                                onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                            <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                20
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                50
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                80
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                100
                                rows
                            </option>
                        </select>
                    </div>
                </div>
            </div>
            @if(!empty($countries[0]))
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Name</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($countries as $key=>$country)
                        <tr>
                            <td>{{$country->id}}</td>
                            <td>{{$country->name}}</td>
                            <td>
                                <ul class="icons-list">
                                    <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$country->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                    <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$country->id}}');"><i class="icon-trash"></i></a></li>
                                </ul>
                                <form id="deleteForm" method="POST" action="">
                                    {!! method_field('DELETE') !!}
                                    {!! csrf_field() !!}
                                </form>
                            </td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">
                    {{ $countries->links() }}
                </div>
            </div>
            @else
                <div class="panel-body">
                    <p>No Records Found</p>
                </div>
            @endif
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')

@endsection
