@extends('layouts.admin')

@section('content')
        <!-- Bordered panel body table -->
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h5 class="panel-title">All Currencies</h5>
                <div class="heading-elements">
                    <div class="form-group drop-custum">
                        <select id="records_per_page" name="records_per_page"
                                class="form-control"
                                onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                            <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                20
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                50
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                80
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                100
                                rows
                            </option>
                        </select>
                    </div>
                </div>
            </div>
            @if(!empty($currencies[0]))
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Name</th>
                            <th>Country</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($currencies as $key=>$currency)
                        <tr>
                            <td>{{$currency->id}}</td>
                            <td>{{$currency->name}}</td>
                            <td>{{$currency->country->name}}</td>
                            <td>
                                <ul class="icons-list">
                                    <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$currency->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                    <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$currency->id}}');"><i class="icon-trash"></i></a></li>
                                </ul>
                                <form id="deleteForm" method="POST" action="">
                                    {!! method_field('DELETE') !!}
                                    {!! csrf_field() !!}
                                </form>
                            </td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">
                    {{ $currencies->links() }}
                </div>
            </div>
            @else
                <div class="panel-body">
                    <p>No Records Found</p>
                </div>
            @endif
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')
  
@endsection
