

<!DOCTYPE html>
<html>
 <head>
  <title>Date Range Fiter Data in Laravel using Ajax</title>

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/css/bootstrap-datepicker.css" />
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/js/bootstrap-datepicker.js"></script>

  <style type="text/css">
      
      @media print {
  #printPageButton {
    display: none;
  }
}
  </style>
 </head>
 <body>
  <br />
  <input type="hidden" name="productid" id="yes" value="{{$productid}}">
  <div class="container box">
   <h3 align="center">{{$name}}  <button id="printPageButton" class="btn btn-success" onClick="window.print();">Print</button>
</h3><br />
   <div class="panel panel-default">
    <div class="panel-heading">
     <div class="row">
      <div class="col-md-5">Stock History- <b><span id="total_records"></span></b></div>
      <div class="col-md-5">
       <div class="input-group input-daterange">
           <input type="text" name="from_date" id="from_date" readonly class="form-control" />
           <div class="input-group-addon">to</div>
           <input type="text"  name="to_date" id="to_date" readonly class="form-control" />
       </div>
      </div>
      <div class="col-md-2">
       <button type="button" name="filter" id="filter" class="btn btn-info btn-sm">Filter</button>
       <button type="button" name="refresh" id="refresh" class="btn btn-warning btn-sm">Refresh</button>
      </div>
     </div>
    </div>
    <div class="panel-body">
     <div class="table-responsive">
      <table class="table table-striped table-bordered">
       <thead>
        <tr>

             <th width="30%">Date</th>
            <th width="10%">Bilti no</th>
             <th width="10%">po no</th>
         <th width="35%">Stock in</th>
         <th width="50%">Stock Out</th>
         <th width="50%">Returned</th>
         <th width="15%">Available</th>

        </tr>
       </thead>
       <tbody>
       
       </tbody>
      </table>
      {{ csrf_field() }}
     </div>
    </div>
   </div>
  </div>
 </body>
</html>

<script>
$(document).ready(function(){

 var date = new Date();
 
 $('.input-daterange').datepicker({
  todayBtn: 'linked',
  format: 'yyyy-mm-dd',
  autoclose: true
 });

 var _token = $('input[name="_token"]').val();
 

 fetch_data();


 function fetch_data(from_date = '', to_date = '')
 {
    
    var ids = $("#yes").val();
    console.log(ids);
  $.ajax({
   url:"{{ route('daterange.fetch_data') }}",
   method:"POST",
   data:{from:from_date, to:to_date, _token:_token,id:ids},
   dataType:"json",
   success:function(data)


   {
    console.log(data);
    
   var output = '';
   
    $('#total_records').text(data.length);
    for(var count = 0; count < data.length; count++)
    {
      
     output += '<tr>';
      output += '<td>' + data[count].Date + '</td>';
      output += '<td>' + data[count].bilti_id + '</td>';
        if(data[count].biltipos != null){
        output += '<td>' + data[count].biltipos.po_no + '</td>';
      }else{
          output += '<td>' + 0 + '</td>';

      }
     output += '<td>' + data[count].stock_in + '</td>';
     output += '<td>' + data[count].stock_out + '</td>';
     output += '<td>' + data[count].returned + '</td>';
     output += '<td>' + data[count].available + '</td></tr>'; 
    }
    $('tbody').html(output);
   }
  })
 }

 $('#filter').click(function(){
  var from_date = $('#from_date').val();
  var to_date = $('#to_date').val();
  if(from_date != '' &&  to_date != '')
  {
   fetch_data(from_date, to_date);
  }
  else
  {
   alert('Both Date is required');
  }
 });

 $('#refresh').click(function(){
  $('#from_date').val('');
  $('#to_date').val('');
  fetch_data();
 });


});
</script>

