@extends('layouts.admin')

@section('header-content')

@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
                @if( Auth::user()->can('modify_expenses'))
                <a href="{{url('expense/create')}}">
                    <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-add"></i></b> Add New</button>
                </a>
                @endif
            </div>
        </div>

        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group">
                            <div class="has-feedback ">
                                <input type="text" name="search_name" value="{{ Request::get('search_name') }}" class="form-control selector" placeholder="Search by Name">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <button type="submit" class="btn btn-danger" id="clear">
                            <i class="icon-trash text-size-base position-left"></i>
                            Clear
                        </button>
                        <button type="submit" class="btn bg-blue">
                            <i class="icon-search4 text-size-base position-left"></i>
                            Search
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h5 class="panel-title">All Expense</h5>
                <div class="heading-elements">
                        <div class="form-group drop-custum">
                            <select id="records_per_page" name="records_per_page"
                                    class="form-control"
                                    onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                                <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                    20
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                    50
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                    80
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                    100
                                    rows
                                </option>
                            </select>
                        </div>
                </div>
            </div>
            @if(!empty($expenses[0]))
              <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Name</th>
                            <th>Created at</th>
                            @if( Auth::user()->can('modify_expenses'))
                            <th>Action</th>
                            @endif
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($expenses as $key=>$expense)
                        <tr>
                            <td>{{$key+1}}</td>
                            <td>{{$expense->name}}</td>
                            <td>{{$expense->created_at}}</td>
                            @if( Auth::user()->can('modify_expenses'))
                            <td>
                                @if($expense->id!=1)
                                <ul class="icons-list">
                                    <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$expense->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                    <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$expense->id}}');"><i class="icon-trash"></i></a></li>
                                </ul>
                                <form id="deleteForm" method="POST" action="">
                                    {!! method_field('DELETE') !!}
                                    {!! csrf_field() !!}
                                </form>
                               @endif
                            </td>
                            @endif
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">
                    {{ $expenses->links() }}
                </div>
            </div>
            @else
                <div class="panel-body">
                    <p>No Records Found</p>
                </div>
            @endif
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')

@endsection
