@extends('layouts.admin')

@section('content')
            <div class="container-detached">
                <div class="content-detached">
                    <!-- Tab content -->
                    <div class="tab-content">
                        <div class="tab-pane fade in active" id="profile">
                            <!-- Item Details -->
                            <div class="panel panel-flat">
                                <div class="panel-heading">
                                    <h6 class="panel-title">Job Details</h6>
                                    <div class="heading-elements">
                                        <ul class="icons-list">
                                            <li><a data-action="collapse"></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="panel-body">
                                    <form method="POST"
                                          action="{{ url('jobs'.(empty($job) ? '': '/' . $job->id)) }}"
                                          enctype="multipart/form-data">
                                        {!! csrf_field() !!}
                                         <div class="row">
                                             <div class="col-md-4 col-sm-4">
                                                 <div class="form-group {{ $errors->has('start_date') ? ' has-error' : '' }}">
                                                     <label>Start Date <span class="text-danger">*</span></label>
                                                     <input type="date" name="start_date" id="start_date"  value="{{old('start_date', @$job->start_date)}}" placeholder="Start Date" class="form-control">
                                                     @if ($errors->has('start_date'))
                                                         <span class="help-block"><strong>{{ $errors->first('start_date') }}</strong></span>
                                                     @endif
                                                 </div>
                                             </div>
                                             <div class="col-md-4 col-sm-4">
                                                 <div class="form-group {{ $errors->has('end_date') ? ' has-error' : '' }}">
                                                     <label>End Date <span class="text-danger">*</span></label>
                                                     <input type="date" name="end_date" id="end_date" value="{{old('end_date', @$job->end_date)}}" placeholder="Date Completed" class="form-control" @if(isset($job)) disabled @endif>
                                                     @if ($errors->has('end_date'))
                                                         <span class="help-block"><strong>{{ $errors->first('end_date') }}</strong></span>
                                                     @endif
                                                 </div>
                                             </div>
                                             <div class="col-md-4 col-sm-4">
                                                 <div class="form-group {{ $errors->has('sale_officer') ? ' has-error' : '' }}">
                                                     <label>Sale Officer <span class="text-danger">*</span></label>
                                                     <select class="select" name="sale_officer" id="sale_officer" @if(!isset($job))disabled @endif >
                                                         <option value=""
                                                         >Select
                                                         </option>
                                                         @foreach($sales_officers as $so)
                                                             <option value="{{$so->id}}" @if (old('sale_officer') == $so->id || isset($job) && $job->user_id==$so->id) selected="selected" @endif
                                                             >{{$so->firstname.' '. $so->lastname}}
                                                             </option>
                                                         @endforeach
                                                     </select>
                                                     @if ($errors->has('sale_officer'))
                                                         <span class="help-block"><strong>{{ $errors->first('sale_officer') }}</strong></span>
                                                     @endif
                                                 </div>
                                             </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4 col-sm-4" >
                                                <input type="hidden" id="edit" value="@if(isset($job) )edit @else create @endif">
                                                <div class="form-group {{ $errors->has('area') ? ' has-error' : '' }}">
                                                    <label>Area <span class="text-danger">*</span></label>
                                                    <input type="hidden" id="old_area" value="{{@$job->area_id}}">
                                                    <select class="select" name="area" id="area" @if(!isset($job))disabled @endif>
                                                        @foreach($areas as $area)
                                                            <option value="{{$area->id}}" @if (old('area') == $area->id || isset($job) && $job->area_id==$area->id) selected="selected" @endif
                                                            >{{$area->name}}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                    @if ($errors->has('area'))
                                                        <span class="help-block"><strong>{{ $errors->first('area') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group">
                                                    <label>Status</label>
                                                    <select class="select" name="status">
                                                        <option value="Pending" {{ old('status', @$job->status) == 'Pending' ? 'selected="selected"':'' }}>
                                                            Pending
                                                        </option>
                                                        <option value="Completed" {{ old('status', @$job->status) == 'Completed' ? 'selected="selected"':'' }}>
                                                            Completed
                                                        </option>
                                                        <option value="Postponed" {{ old('status', @$job->status) == 'Postponed' ? 'selected="selected"':'' }}>
                                                            Postponed
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label>Comment</label>
                                                    <textarea cols="10" rows="10" name="comment" class="wysihtml5 wysihtml5-min form-control" placeholder="Enter Comment ...">
                                                        {{old('comment', @$job->comment)}}
									               </textarea>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-right">
                                            @if(!empty($job)) {!! method_field('PUT') !!} @endif
                                            {{ csrf_field() }}
                                            <button type="submit" class="btn btn-primary">
                                                @if(empty($job)) Save @else Update
                                                @endif  <i class="icon-arrow-right14 position-right"></i></button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <!-- /Item Details -->


                        </div>
                    </div>
                    <!-- /tab content -->

                </div>
            </div>
            <!-- /detached content -->
@endsection

@section('footer-content')
    <script>
        $(document).ready(function () {
//           $('#start_date').trigger('change');
//            $('#sale_officer').trigger('change');
        });
    </script>
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <!-- /theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/wysihtml5.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/toolbar.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/parsers.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/locales/bootstrap-wysihtml5.ua-UA.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/notifications/jgrowl.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/editor_wysihtml5.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>



    <script>

        $(document).on("change", '#start_date', function () {
            var date = $(this).val();
            if(date==''){
                $('#sale_officer').prop("disabled", true);
            }else{
                $('#sale_officer').prop("disabled", false);
            }
            $('#sale_officer').trigger('change');

        });
        $(document).on("change", '#sale_officer', function () {
            var Id = parseInt($(this).val());
            var end_date = $('#end_date').val();
            var type = $('#edit').val();
            var start_date = $('#start_date').val();
            ajax_call(Id,start_date,type);
        });

        function ajax_call(id,date,type) {
            $.ajax({
                url: '{{url('/sales_officer_areas/')}}/' + id,
                type: 'GET',
                data: {'start_date':date,'type':type},
                contentType: 'application/json; charset=utf-8',
                dataType: 'json',
                success: function (data) {
                    $inputValues = $('#old_area').val();
                    if(data.length>0){
                        $('#area').empty();
                        $('#area').prop("disabled", false);
                        $(data).each(function (index, element) {
                            $('#area').append(
                                    $('<option >', {value: element.id}).text(element.name)
                            );
                            if (element.id == $inputValues){
                                $("#area option[value='" + $inputValues + "']").prop("selected","selected");
                            }
                        });
                    }else{
                        $('#area').prop("disabled", true);
                        $('#area').empty();
                    }
                },
                error: function () {
                }
            });
        }
    </script>

@endsection
