@extends('layouts.admin')
@section('header-content')
<style>
    .center {
        text-align: center!important;
    }
    .size{
        font-size: 18px;
    }
</style>
@endsection
@section('content')
    <div class="panel panel-flat">
        <div class="content-group" align="center">
            <dl>
                <h3 class="text-uppercase">@if(isset($job->user->firstname))<ul><b>{{$job->user->firstname .' '.$job->user->lastname}}</b></ul>@endif</h3>
                <dt class="text-uppercase">Area: @if(isset($job->area->name)){{$job->area->name}} @endif</dt>
                <dd>{{$job->start_date}} - {{$job->end_date}}</dd>
            </dl>
        </div>
        @if(isset($job->job_details) && count($job->job_details)>0)
            <div class="panel-body">
            <div class="table-responsive">
                <table class="table table-framed">
                    <thead>
                    <tr>
                        <th style="width: 20px;">#</th>
                        <th class="col-xs-2">Customers</th>
                        <th class="col-xs-2">Visit date</th>
                        <th style="width: 100px;">Job Type</th>
                        <th style="width: 100px;">Job Type Details</th>
                        <th>Comment</th>
                        <th>Reason</th>
                    </tr>
                    </thead>
                    <tbody>
                        @foreach($job->job_details as $key=>$detail)
                            <tr>
                                <td>{{$key+1}}</td>
                                <td><span class="text-semibold">@if(isset($detail->shop->name)){{$detail->shop->name}}@endif</span></td>
                                <td>{{$detail->visit_date}}</td>
                                <td>
                                   {{$detail->job_type}}
                                </td>
                                <td>
                                    @if(isset($detail->job_type_id) && !empty($detail->job_type_id))
                                        @if($detail->job_type=='order')
                                        <a href="{{url('orders/'.$detail->job_type_id)}}" title="View Order details">
                                            {{$detail->job_type}}</a>
                                         @elseif($detail->job_type=='payment')
                                            <a href="{{url('payments/'.$detail->job_type_id)}}" title="View Payment details">
                                                {{$detail->job_type}}</a>
                                        @endif
                                     @elseif($detail->job_type=='revisit' || $detail->job_type=='no-order')
                                                <a data-toggle="modal" data-target="#Modal{{$key}}"> {{$detail->job_type}} </a>
                                                <!-- Modal -->
                                                <div class="modal fade" id="Modal{{$key}}" role="dialog">
                                                    <div class="modal-dialog">

                                                        <!-- Modal content-->
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                                <h4 class="modal-title">{{$detail->job_type}} images</h4>
                                                            </div>
                                                            <div class="modal-body" align="center">
                                                                @if(count($detail->images)>0)
                                                                    @foreach($detail->images as $image)
                                                                        @if(isset($image['image_url']) && !empty($image['image_url']))
                                                                            <img src="{{trim($image['image_url'])}}" class="image-height" style="height: 150px;!important;"   alt=""><br>
                                                                        @endif
                                                                    @endforeach
                                                                @endif
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                    @endif
                                </td>
                                <td>{{$detail->comment}}</td>
                                <td>{{$detail->reason}}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
            </div>
        @else
            <div class="panel-body">No Record Found</div>
        @endif
    </div>
@endsection

