@extends('layouts.admin')

@section('header-content')
<style>

</style>
@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
                @if( Auth::user()->can('modify_sales'))
                <a href="{{url('orders/create')}}">
                    <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-add"></i></b> Add New</button>
                </a>
                @endif
            </div>
        </div>

        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-4 col-sm-4">
                        <div class="form-group">
                            <div class="has-feedback ">
                                <input type="hidden" id="selector_id"  name="search" value="" >
                                <input type="text" name="search_name" id="selector" value="{{ Request::get('search_name') }}" class="form-control" placeholder="Search by Payment">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group ">
                            <select class="select-search selector" name="sale_officer"  >
                                <option value=""
                                >Select Sale Officer
                                </option>
                                @foreach($sales_officers as $so)
                                    <option value="{{$so->id}}" {{ Request::get('sale_officer') == $so->id ? 'selected="selected"':'' }}
                                    >{{$so->firstname.' '. $so->lastname}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-2">
                        <div class="form-group ">
                            <select class="select-search selector" name="country"  >
                                <option value=""
                                >Select Country
                                </option>
                                @foreach($countries as $country)
                                    <option value="{{$country->id}}" {{ Request::get('country') == $country->id ? 'selected="selected"':'' }}
                                    >{{$country->name}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                    <button type="submit" class="btn btn-danger" id="clear">
                        <i class="icon-trash text-size-base position-left"></i>
                        Clear
                    </button>
                    <button type="submit" class="btn bg-blue">
                        <i class="icon-search4 text-size-base position-left"></i>
                        Search
                    </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="">
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h6 class="panel-title">All Booked Orders</h6>
                <div class="heading-elements">
                    <div class="form-group drop-custum">
                        <select id="records_per_page" name="records_per_page"
                                class="form-control"
                                onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                            <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                20
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                50
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                80
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                100
                                rows
                            </option>
                        </select>
                    </div>
                </div>
            </div>

            <div class="panel-body">
                @if(!empty($orders[0]))
                    <!-- Detached content -->
                        <div class="container-detached">
                            <div class="content-detached">
                                <div class="row">
                                    @foreach($orders as $key=>$order)
                                        <div class="col-md-6">
                                            <div class="panel invoice-grid">
                                                <div class="panel-body">
                                                    <div class="row">
                                                        <h5 align="center"><b>@if(isset($order->book_by)){{$order->book_by->firstname.' '.$order->book_by->lastname}} @endif</b>  </h5>
                                                        <div class="col-sm-6">
                                                            <ul class="list list-unstyled">
                                                                <li>Order #: &nbsp;{{$order->id}}</li>
                                                                <li>Booked on: <span class="text-semibold">{{date('d-m-Y', strtotime($order->created_at))}}</span></li>
                                                                <li>Price Changes: @if($order->is_discounted==true)  <span class="badge badge-danger ">Yes</span> @else <span class="badge badge-success ">No</span> @endif</li>
                                                            </ul>
                                                        </div>
                                                        <div class="col-sm-6">
                                                            <ul class="list list-unstyled text-right">
                                                                <li>Payment: <span class="text-semibold">{{round($order->payment,2)}}</span></li>
                                                                <li> <span class="text-semibold">@if(isset($order->shop)){{$order->shop->name.' ('.$order->shop->customer_type.')'}} @endif</span></li>
                                                                <li>Discounted: @if($order->discount!=0)  <span class="badge badge-danger ">Yes</span> @else <span class="badge badge-success ">No</span> @endif</li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="panel-footer panel-footer-condensed">
                                                    <div class="heading-elements">
												<span class="heading-text">
													<span class="status-mark border-success position-left"></span> Due: <span class="text-semibold">{{date('d-m-Y', strtotime($order->date_to_deliver))}}</span>
												</span>
                                                        <ul class="list-inline list-inline-condensed heading-text pull-right">
                                                            <li>
                                                                <a href="#" class="text-default" data-toggle="modal" title="View Order Detail" data-target="#{{$key}}order"><i class="icon-eye8"></i></a></li>
                                                            <li class="dropdown">
                                                                <a href="#" class="text-default dropdown-toggle" data-toggle="dropdown"><i class="icon-menu7"></i> <span class="caret"></span></a>
                                                                <ul class="dropdown-menu dropdown-menu-right">
                                                                    @if( Auth::user()->can('modify_sales'))
                                                                    <li><a title="Edit Order" href="{{url('orders/'.$order->id.'/edit/')}}" ><i class="icon-pencil7"></i> Edit Order</a></li>
                                                                   @endif
                                                                    <li><a title="Processed Order" href="javascript:;" onclick="processItem('{{url('orders/process/'.$order->id)}}');"><i class="icon-checkmark4"></i> Processed Order</a></li>
                                                                    @if( Auth::user()->can('modify_sales'))
                                                                    <li><a title="Rejected Order" href="javascript:;" onclick="rejectItem('{{url('orders/rejected/'.$order->id)}}');"><i class="icon-cross2"></i> Rejected Order</a></li>
                                                                    @endif
                                                                </ul>
                                                                <form id="rejectForm" method="POST" action="">
                                                                    {!! csrf_field() !!}
                                                                </form>
                                                                <form id="processForm" method="POST" action="">
                                                                    {!! csrf_field() !!}
                                                                </form>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- Large modal -->
                                            <div id="{{$key}}order" class="modal fade">
                                                <div class="modal-dialog modal-lg">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                            <h5 class="modal-title">Order Detail</h5>
                                                        </div>
                                                        <div id="map"></div>
                                                        <div class="panel panel-white">
                                                            <div class="panel-body no-padding-bottom">
                                                                <div class="row">
                                                                    <div class="col-md-6 content-group">
                                                                        <h5 class="text-uppercase text-semibold">Order #{{$order->id}}</h5>
                                                                        <ul class="list-condensed list-unstyled">
                                                                            <li> Booked By: @if(isset($order->book_by)){{$order->book_by->firstname .' '.$order->book_by->lastname}} @endif</li>
                                                                            <li> Booked By Phone #:@if(isset($order->book_by->phone_1)) {{$order->book_by->phone_1}} @endif</li>
                                                                            <li>Customer: @if(isset($order->shop)){{$order->shop->name.' ('.$order->shop->customer_type.')'}} @endif</li>
                                                                        </ul>
                                                                    </div>
                                                                    <div class="col-md-6 content-group">
                                                                        <div class="invoice-details">
                                                                            <br>
                                                                            <br>
                                                                            <ul class="list-condensed list-unstyled">
                                                                                <li>Booked on: <span class="text-semibold">{{date('d-m-Y', strtotime($order->created_at))}}</span></li>
                                                                                <li>Due date: <span class="text-semibold">{{date('d-m-Y', strtotime($order->delivery_on))}}</span></li>
                                                                            </ul>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="panel-body">
                                                                <h6 class="text-uppercase text-semibold">Products Included </h6>
                                                                <ul class="list-condensed list-unstyled">
                                                                    <li>Order Price: <span class="text-semibold">{{round($order->price,2)}}</span></li>
                                                                    <li>Discount: <span class="text-semibold">{{$order->discount}} %</span></li>
                                                                    <li>Payment: <span class="text-semibold">{{round($order->payment,2)}} </span></li>
                                                                </ul>
                                                                <div class="table-responsive">
                                                                    <table class="table table-bordered table-framed">
                                                                        <thead>
                                                                        <tr>
                                                                            <th>#</th>
                                                                            <th>Product Name </th>
                                                                            <th>Quantity</th>
                                                                            <th>Actual Price (Dozen)</th>
                                                                            <th>Discount Price (Dozen)</th>
                                                                            <th>Free Scheme Quantity</th>
                                                                        </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                        @foreach($order->products as $key=>$value)
                                                                            <tr>
                                                                                <td>{{$key+1}}</td>
                                                                                <td>{{$value->products->name}}</td>
                                                                                <td>{{$value->quantity}}</td>
                                                                                <td>{{round(12*($value->product_actual_price),2)}}
                                                                                    @if(count($value->OrderProductCategories)>0)
                                                                                        <i class="icon-eye8 position-right" title="Detail" data-toggle="modal" data-target="#modal_h1{{$key}}"></i>
                                                                                    <!-- Modal with h1 -->
                                                                                    <div id="modal_h1{{$key}}" class="modal fade">
                                                                                        <div class="modal-dialog">
                                                                                            <div class="modal-content">
                                                                                                <div class="modal-header">
                                                                                                    {{--<button type="button" class="close" data-dismiss="modal">&times;</button>--}}
                                                                                                    <h1 class="modal-title">Facial Products</h1>
                                                                                                </div>
                                                                                                <div class="modal-body">
                                                                                                    <div class="table-responsive table-bordered">
                                                                                                        <table class="table">
                                                                                                            <thead>
                                                                                                            <tr>
                                                                                                                <th>#</th>
                                                                                                                <th>Name</th>
                                                                                                                <th>Quantity</th>
                                                                                                            </tr>
                                                                                                            </thead>
                                                                                                            <tbody>
                                                                                                            @foreach($value->OrderProductCategories as $key2=>$category)
                                                                                                            <tr>
                                                                                                                <td>{{$key2+1}}</td>
                                                                                                                <td> @if(isset($category->product->name)){{ $category->product->name}} @endif</td>
                                                                                                                <td>{{	$category['quantity']}}</td>
                                                                                                            </tr>
                                                                                                            @endforeach
                                                                                                            </tbody>
                                                                                                        </table>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div class="modal-footer">
                                                                                                    {{--<button type="button" class="btn btn-link" data-dismiss="modal">Close</button>--}}
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <!-- /modal with h1 -->
                                                                                    @endif
                                                                                </td>
                                                                                <td  >{{12*($value->product_discounted_price)}}
                                                                                <td  >{{$value->scheme_free_quantity}}
                                                                                   @if(!empty($value->product_discounted_price))  <span class="badge badge-danger">Warning</span> @endif
                                                                                </td>
                                                                            </tr>
                                                                        @endforeach
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                            <div class="panel-body">
                                                                <h6><b>Order Remarks</b></h6>
                                                                <p class="text-muted">
                                            <textarea cols="10" rows="10" name="description" class="wysihtml5 wysihtml5-min form-control" >
                                                        {{$order->remarks}}
									         </textarea></p>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <button type="button" class="btn btn-link" data-dismiss="modal">Close</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- /large modal -->
                                    @endforeach
                                    <div align="center">
                                        {{ $orders->links() }}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- /detached content -->
                @else
                 <p>No Records Found</p>
                @endif
            </div>
        </div>
    </div>
@endsection
@section('footer-content')
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <!-- /theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/wysihtml5.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/toolbar.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/parsers.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/locales/bootstrap-wysihtml5.ua-UA.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/notifications/jgrowl.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/editor_wysihtml5.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
@endsection
