@extends('layouts.admin')

@section('header-content')

@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
                @if( Auth::user()->can('modify_sales'))
                <a href="{{url('orders/create')}}">
                    <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-add"></i></b> Add New</button>
                </a>
                @endif
            </div>
        </div>

        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-4 col-sm-4">
                        <div class="form-group">
                            <div class="has-feedback ">
                                <input type="hidden" id="selector_id"  name="search" value="" >
                                <input type="text" name="search_name" id="selector" value="{{ Request::get('search_name') }}" class="form-control" placeholder="Search by Price,Discount or Payment">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group ">
                            <select class="select-search selector" name="sale_officer"  >
                                <option value=""
                                >Select Sale Officer
                                </option>
                                @foreach($sales_officers as $so)
                                    <option value="{{$so->id}}" {{ Request::get('sale_officer') == $so->id ? 'selected="selected"':'' }}
                                    >{{$so->firstname.' '. $so->lastname}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-2">
                        <div class="form-group ">
                            <select class="select-search selector" name="country"  >
                                <option value=""
                                >Select Country
                                </option>
                                @foreach($countries as $country)
                                    <option value="{{$country->id}}" {{ Request::get('country') == $country->id ? 'selected="selected"':'' }}
                                    >{{$country->name}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                    <button type="submit" class="btn btn-danger" id="clear">
                        <i class="icon-trash text-size-base position-left"></i>
                        Clear
                    </button>
                    <button type="submit" class="btn bg-blue">
                        <i class="icon-search4 text-size-base position-left"></i>
                        Search
                    </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="">
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h6 class="panel-title">All Orders</h6>
                <div class="heading-elements">
                    <div class="form-group drop-custum">
                        <select id="records_per_page" name="records_per_page"
                                class="form-control"
                                onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                            <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                20
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                50
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                80
                                rows
                            </option>
                            <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                    @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                100
                                rows
                            </option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="panel-body">
                <div class="tabbable">
                    <ul class="nav nav-tabs nav-tabs-highlight nav-justified">
                        <li @if($active_order=='Processed')class="active"     @endif><a href="#Proceesed" id="Proceesed" data-toggle="tab">Proceesed <span class="badge bg-slate position-right">{{$total_processed_order}}</span></a>
                            <form id="ProceesedForm" method="GET" action="{{url('orders')}}">
                                <input type="hidden" name="type" value="Processed">
                                {!! csrf_field() !!}
                            </form>
                        </li>
                        <li @if($active_order=='Delivered')class="active"   @endif><a href="#Delivered" id="Delivered" data-toggle="tab">Delivered <span class="badge bg-slate position-right">{{$total_delivered_order}}</span></a>
                            <form id="DeliveredForm" method="GET" action="{{url('orders')}}">
                                <input type="hidden" name="type" value="Delivered">
                                {!! csrf_field() !!}
                            </form>
                        </li>
                        <li @if($active_order=='Cancelled')class="active"   @endif><a href="#Cancelled" id="Cancelled" data-toggle="tab">Cancelled <span class="badge badge-danger position-right">{{$total_cancelled_order}}</span></a>
                            <form id="CancelledForm" method="GET" action="{{url('orders')}}">
                                <input type="hidden" name="type" value="Cancelled">
                                {!! csrf_field() !!}
                            </form>
                        </li>
                        <li @if($active_order=='Rejected')class="active"   @endif><a href="#Rejected" id="Rejected" data-toggle="tab">Rejected <span class="badge badge-danger position-right">{{$total_rejected_order}}</span></a>
                            <form id="RejectedForm" method="GET" action="{{url('orders')}}">
                                <input type="hidden" name="type" value="Rejected">
                                {!! csrf_field() !!}
                            </form>
                        </li>
                        <li @if($active_order=='Returned')class="active"   @endif><a href="#Returned" id="Returned" data-toggle="tab">Returned <span class="badge badge-danger position-right">{{$total_returned_order}}</span></a>
                            <form id="ReturnedForm" method="GET" action="{{url('orders')}}">
                                <input type="hidden" name="type" value="Returned">
                                {!! csrf_field() !!}
                            </form>
                        </li>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane @if($active_order=='Processed')  active     @endif" id="Proceesed">
                            @if(!empty($orders[0]))
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-framed table-hover">
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Shop</th>
                                                <th>Booked By</th>
                                                <th>Price</th>
                                                <th>Discount</th>
                                                <th>Payment</th>
                                                <th>Delivery Date</th>
                                                <th>Status</th>
                                                <th>Remarks</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($orders as $key=>$order)
                                                    <tr>
                                                        <td>{{$key+1}}</td>
                                                        <td>@if(isset($order->shop->name))
                                                                <a href="orders/{{$order->id}}"
                                                                   title="View Order details">  {{$order->shop->name}}</a>
                                                            @endif</td>
                                                        <td>{{$order->book_by->firstname.' '.$order->book_by->lastname}}</td>
                                                        <td>{{$order->price}}</td>
                                                        <td>{{$order->discount}}</td>
                                                        <td>{{$order->payment}}</td>
                                                        <td>{{$order->date_to_deliver}}</td>
                                                        <td>{{$order->status}}</td>
                                                        <td>{{$order->remarks}}</td>
                                                        <td>
                                                            @if( Auth::user()->can('modify_sales'))
                                                            <ul class="icons-list">
                                                                <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$order->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                                                <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$order->id}}');"><i class="icon-trash"></i></a></li>
                                                            </ul>
                                                            <form id="deleteForm" method="POST" action="">
                                                                {!! method_field('DELETE') !!}
                                                                {!! csrf_field() !!}
                                                            </form>
                                                            @endif
                                                        </td>
                                                    </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                    <br>
                                    <div align="center">
                                        {{ $orders->links() }}
                                    </div>
                                </div>
                            @else
                                <div class="panel-body">
                                    <p>No Records Found</p>
                                </div>
                            @endif
                        </div>
                        <div class="tab-pane @if($active_order=='Delivered') active   @endif" id="Delivered">
                            @if(!empty($orders[0]))
                            <div class="panel-body">
                            <div class="table-responsive">
                            <table class="table table-bordered table-framed table-hover">
                            <thead>
                            <tr>
                            <th>#</th>
                            <th>Shop</th>
                            <th>Invoice #</th>
                            <th>Booked By</th>
                            <th>Price</th>
                            <th>Discount</th>
                            <th>Payment</th>
                            <th>Delivery Date</th>
                            <th>Status</th>
                            <th>Remarks</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($orders as $key=>$order)
                            <tr>
                            <td>{{$key+1}}</td>

                            <td>@if(isset($order->shop->name))
                            <a href="orders/{{$order->id}}"
                            title="View Order details">  {{$order->shop->name}}</a>
                            @endif</td>
                                <td>
                                    {{$order->invoice_no}}
                                </td>
                            <td>{{$order->book_by->firstname.' '.$order->book_by->lastname}}</td>
                            <td>{{$order->price}}</td>
                            <td>{{$order->discount}}</td>
                            <td>{{$order->payment}}</td>
                            <td>{{$order->date_to_deliver}}</td>
                            <td>{{$order->status}}</td>
                            <td>{{$order->remarks}}</td>
                            </tr>
                            @endforeach
                            </tbody>
                            </table>
                            </div>
                            <br>
                            <div align="center">
                            {{ $orders->links() }}
                            </div>
                            </div>
                            @else
                            <div class="panel-body">
                            <p>No Records Found</p>
                            </div>
                            @endif
                        </div>
                        <div class="tab-pane @if($active_order=='Cancelled') active   @endif" id="Cancelled">
                            @if(!empty($orders[0]))
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-framed table-hover">
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Shop</th>
                                                <th>Booked By</th>
                                                <th>Price</th>
                                                <th>Discount</th>
                                                <th>Payment</th>
                                                <th>Delivery Date</th>
                                                <th>Status</th>
                                                <th>Remarks</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($orders as $key=>$order)
                                                    <tr>
                                                        <td>{{$key+1}}</td>
                                                        <td>
                                                            @if(isset($order->shop))
                                                                <a href="orders/{{$order->id}}"
                                                                   title="View Order details">  {{$order->shop->name}}</a>
                                                            @endif
                                                        </td>
                                                        <td>{{$order->book_by->firstname.' '.$order->book_by->lastname}}</td>
                                                        <td>{{$order->price}}</td>
                                                        <td>{{$order->discount}}</td>
                                                        <td>{{$order->payment}}</td>
                                                        <td>{{$order->date_to_deliver}}</td>
                                                        <td>{{$order->status}}</td>
                                                        <td>{{$order->remarks}}</td>
                                                        <td>
                                                            @if( Auth::user()->can('modify_sales'))
                                                            <ul class="icons-list">
                                                                <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$order->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                                                <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$order->id}}');"><i class="icon-trash"></i></a></li>
                                                            </ul>
                                                            <form id="deleteForm" method="POST" action="">
                                                                {!! method_field('DELETE') !!}
                                                                {!! csrf_field() !!}
                                                            </form>
                                                            @endif
                                                        </td>
                                                    </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                    <br>
                                    <div align="center">
                                        {{ $orders->links() }}
                                    </div>
                                </div>
                            @else
                                <div class="panel-body">
                                    <p>No Records Found</p>
                                </div>
                            @endif
                        </div>
                        <div class="tab-pane @if($active_order=='Rejected') active   @endif" id="Rejected">
                            @if(!empty($orders[0]))
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-framed table-hover">
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Shop</th>
                                                <th>Booked By</th>
                                                <th>Price</th>
                                                <th>Discount</th>
                                                <th>Payment</th>
                                                <th>Delivery Date</th>
                                                <th>Status</th>
                                                <th>Remarks</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($orders as $key=>$order)
                                                    <tr>
                                                        <td>{{$key+1}}</td>
                                                        <td>@if(isset($order->shop->name))
                                                                <a href="orders/{{$order->id}}"
                                                                   title="View Order details">  {{$order->shop->name}}</a>
                                                            @endif</td>
                                                        <td>{{$order->book_by->firstname.' '.$order->book_by->lastname}}</td>
                                                        <td>{{$order->price}}</td>
                                                        <td>{{$order->discount}}</td>
                                                        <td>{{$order->payment}}</td>
                                                        <td>{{$order->date_to_deliver}}</td>
                                                        <td>{{$order->status}}</td>
                                                        <td>{{$order->remarks}}</td>
                                                        <td>
                                                            @if( Auth::user()->can('modify_sales'))
                                                            <ul class="icons-list">
                                                                <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$order->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                                                <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$order->id}}');"><i class="icon-trash"></i></a></li>
                                                            </ul>
                                                            <form id="deleteForm" method="POST" action="">
                                                                {!! method_field('DELETE') !!}
                                                                {!! csrf_field() !!}
                                                            </form>
                                                            @endif
                                                        </td>
                                                    </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                    <br>
                                    <div align="center">
                                        {{ $orders->links() }}
                                    </div>
                                </div>
                            @else
                                <div class="panel-body">
                                    <p>No Records Found</p>
                                </div>
                            @endif
                        </div>
                        <div class="tab-pane @if($active_order=='Returned') active   @endif" id="Returned">
                            @if(!empty($orders[0]))
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-framed table-hover">
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Shop</th>
                                                <th>Booked By</th>
                                                <th>Price</th>
                                                <th>Discount</th>
                                                <th>Payment</th>
                                                <th>Delivery Date</th>
                                                <th>Status</th>
                                                <th>Remarks</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($orders as $key=>$order)
                                                <tr>
                                                    <td>{{$key+1}}</td>
                                                    <td>@if(isset($order->shop->name))
                                                            <a href="orders/{{$order->id}}"
                                                               title="View Order details">  {{$order->shop->name}}</a>
                                                        @endif</td>
                                                    <td>{{$order->book_by->firstname.' '.$order->book_by->lastname}}</td>
                                                    <td>{{$order->price}}</td>
                                                    <td>{{$order->discount}}</td>
                                                    <td>{{$order->payment}}</td>
                                                    <td>{{$order->date_to_deliver}}</td>
                                                    <td>{{$order->status}}</td>
                                                    <td>{{$order->remarks}}</td>
                                                </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                    <br>
                                    <div align="center">
                                        {{ $orders->links() }}
                                    </div>
                                </div>
                            @else
                                <div class="panel-body">
                                    <p>No Records Found</p>
                                </div>
                            @endif
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('footer-content')
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <!-- /theme JS files -->

    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
    <script>
        $("#Delivered").on("click", function () {
            $('#DeliveredForm').submit();
        });
        $("#Proceesed").on("click", function () {
            $('#ProceesedForm').submit();
        });
        $("#Cancelled").on("click", function () {
            $('#CancelledForm').submit();
        });
        $("#Rejected").on("click", function () {
            $('#RejectedForm').submit();
        });
        $("#Returned").on("click", function () {
            $('#ReturnedForm').submit();
        });
    </script>

@endsection
