@extends('layouts.admin')

@section('header-content')
    <style>

    </style>
@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
            </div>
        </div>
        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group ">
                            <label> Select Sale Officer  </label>
                            <select class="select-search selector" name="sale_officer"  >
                                @foreach($sales_officers as $so)
                                    <option value="{{$so->id}}" {{ Request::get('sale_officer') == $so->id ? 'selected="selected"':'' }}
                                    >{{$so->firstname.' '. $so->lastname}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-2">
                        <div class="form-group ">
                            <label> Select Tenure  </label>
                            <select class="select-search selector" name="tenure" id="tenure"  >
                                <option value="last_week" {{ Request::get('tenure') == "last_week" ? 'selected="selected"':'' }}> Last Week </option>
                                <option value="last_month" {{ Request::get('tenure') == "last_month"? 'selected="selected"':'' }}> Last Month </option>
                                <option value="specific_date" {{ Request::get('tenure') == "specific_date"? 'selected="selected"':'' }}> Single Date </option>
                                <option value="date_range" {{ Request::get('tenure') == "date_range"? 'selected="selected"':'' }}> Date Range </option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-2" style="display: none" id="specific_date">
                        <div class="form-group ">
                            <label> Select Date  </label>
                           <input type="date"  class="form-control" name="specific_date" value="{{old('specific_date', @Request::get('specific_date'))}}">
                        </div>
                    </div>
                    <div style="display: none" id="date_range">
                        <div class="col-md-2 col-sm-2" >
                            <div class="form-group ">
                                <label>  Start Date  </label>
                                <input type="date"  class="form-control" name="start_date" value="{{old('specific_date', @Request::get('start_date'))}}">
                            </div>
                        </div>
                        <div class="col-md-2 col-sm-2" >
                            <div class="form-group ">
                                <label>  End Date  </label>
                                <input type="date"  class="form-control" name="end_date" value="{{old('specific_date', @Request::get('end_date'))}}">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3 ">
                        <br>
                        <button type="submit" class="btn btn-danger" id="clear">
                            <i class="icon-trash text-size-base position-left"></i>
                            Clear
                        </button>
                        <button type="submit" class="btn bg-blue">
                            <i class="icon-search4 text-size-base position-left"></i>
                            Search
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <!-- Bordered panel body table -->
    <div class="panel panel-flat">
        <div class="panel-heading">
            <h5 class="panel-title">Sales & Recovery</h5>
            <div class="heading-elements">
                Sales: {{$sale}}
                <br>
                Recovery: {{$recovery}}
            </div>
        </div>
        @if(!empty($tenures[0]))
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>Date</th>
                            <th>Sales</th>
                            <th>Recovery</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($tenures as $key=>$tenure)
                            <tr>
                                <td>{{$tenure['date']}}</td>
                                <td>@if($tenure['ledger_type']=='order')<a href="{{url('orders/'.$tenure->id)}}"
                                                                           title="View Sales details">{{$tenure['payment']}}</a> @endif </td>
                                <td>@if($tenure['ledger_type']=='payment')<a href="{{url('payments/'.$tenure->id)}}"
                                                                             title="View Recovery details">{{$tenure['amount']}}</a> @endif</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        @else
            <div class="panel-body">
                <p>No Records Found</p>
            </div>
        @endif
    </div>
    <!-- /bordered panel body table -->
@endsection
@section('footer-content')
    <script>
        $(document).ready(function() {
            $('#tenure').trigger("change");
        });
    </script>
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <!-- /theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/wysihtml5.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/toolbar.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/parsers.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/locales/bootstrap-wysihtml5.ua-UA.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/notifications/jgrowl.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/editor_wysihtml5.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
    <script>
        $(document).on('change', '#tenure', function() {
            var ID=$(this).val();
            if($(this).val()=='specific_date'){
                $('#specific_date').show();
                $('#date_range').hide();
            }else if($(this).val()=='date_range'){
                $('#specific_date').hide();
                $('#date_range').show();
            }
            else{
                $('#specific_date').hide();
                $('#date_range').hide();
            }
        });
    </script>

@endsection