@extends('layouts.admin')

@section('header-content')
    {{--<link href="{{asset('assets/css/components.css')}}" rel="stylesheet" type="text/css">--}}
    <style>
        .ul-style{
            display: inline-block!important;vertical-align: top!important;padding-left: 0!important;width: 200px
        }

    </style>
@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
            </div>
        </div>

        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group ">
                            <select class="select-search selector" name="sale_officer"  >
                                <option value=""
                                >Select Sale Officer
                                </option>
                                @foreach($sales_officers as $so)
                                    <option value="{{$so->id}}" {{ Request::get('sale_officer') == $so->id ? 'selected="selected"':'' }}
                                    >{{$so->firstname.' '. $so->lastname}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-2">

                    </div>
                    <div class="col-md-3 col-sm-3">
                        <button type="submit" class="btn btn-danger" id="clear">
                            <i class="icon-trash text-size-base position-left"></i>
                            Clear
                        </button>
                        <button type="submit" class="btn bg-blue">
                            <i class="icon-search4 text-size-base position-left"></i>
                            Search
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <!-- Bordered panel body table -->
    <div class="panel panel-flat">
        <div class="panel-heading">
            <h5 class="panel-title">Order Sample</h5>
        </div>
        @if(!empty($samples[0]))
            <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>Customer Name</th>
                            <th>Date</th>
                            <th>Sample</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($samples as $key=>$sample)
                            <tr>
                                <td>{{$key+1}}</td>
                                <td>@if(isset($sample->shop->name)){{$sample->shop->name}}@endif</td>
                                <td>{{$sample->date_to_deliver}}</td>
                                <td>  <a href="#" class="text-default" data-toggle="modal" title="View Order Detail" data-target="#{{$key}}sample"><i class="icon-eye8"></i></a>
                                </td>
                            </tr>
                            <!-- Large modal -->

                            <div id="{{$key}}sample" class="modal fade">
                                <div class="modal-dialog modal-lg">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                            <h5 class="modal-title">Sample Detail</h5>
                                        </div>
                                        <div class="panel panel-white">
                                            <div class="panel-body no-padding-bottom">
                                                <div class="row">
                                                    <div class="col-md-6 content-group">
                                                        <h5 class="text-uppercase text-semibold">Sample #{{$sample->id}}</h5>
                                                        <ul class="list-condensed list-unstyled">
                                                            <li> Delivered  By: @if(isset($sample->book_by)){{$sample->book_by->firstname .' '.$sample->book_by->lastname}} @endif</li>
                                                            <li> Delivered By Phone #:@if(isset($sample->book_by->phone_1)) {{$sample->book_by->phone_1}} @endif</li>
                                                        </ul>
                                                    </div>
                                                    <div class="col-md-6 content-group">
                                                        <div class="invoice-details">
                                                            <br>
                                                            <br>
                                                            <ul class="list-condensed list-unstyled">
                                                                <li>Customer: <span class="text-semibold">@if(isset($sample->shop)){{$sample->shop->name}} @endif</span></li>
                                                                <li>Delivered on: <span class="text-semibold">{{$sample->date_to_deliver}}</span></li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="panel-body">
                                                <h6 class="text-uppercase text-semibold">Products Included </h6>
                                                    @foreach($sample->products as $key2=>$value)
                                                    <ul class="list-group ul-style" >
                                                    <li class="list-group-item">{{$value->products->name}}</li>
                                                    <li class="list-group-item">Quantity: {{$value->quantity}}</li>
                                                    </ul>
                                                    @endforeach
                                            </div>

                                            <div class="panel-body">
                                                <h6><b>Sample Remarks</b></h6>
                                                <p class="text-muted">
                                            <textarea cols="10" rows="10" name="description" class="wysihtml5 wysihtml5-min form-control" >
                                                        {{$sample->remarks}}
									         </textarea></p>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-link" data-dismiss="modal">Close</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- /large modal -->
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        @else
            <div class="panel-body">
                <p>No Records Found</p>
            </div>
        @endif
    </div>
    <!-- /bordered panel body table -->
@endsection
@section('footer-content')
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <!-- /theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/wysihtml5.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/toolbar.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/parsers.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/locales/bootstrap-wysihtml5.ua-UA.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/notifications/jgrowl.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/editor_wysihtml5.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>

@endsection