@extends('layouts.admin')
@section('header-content')
<style>
    .center {
        text-align: center!important;
    }
    .size{
        font-size: 18px;
    }
</style>
@endsection
@section('content')
    <div class="panel panel-flat">
            <div class="table-responsive">
                <table class="table table-bordered table-lg">
                    <tbody>
                    <tr class="head">
                        <th colspan="4" class="center size" ><b>Order Detail </b>
                            @if(($order->status!="Delivered") && ($order->status!="Returned"))
                             @if( Auth::user()->can('modify_sales'))
                            <a href="{{url('orders/'.$order->id.'/edit')}}">
                                <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-pencil7"></i></b> Edit</button>
                            </a>
                             @endif
                            @endif
                        </th>
                    </tr>
                    <tr>
                        <td>Customer Name</td>
                        <td>@if(isset($order->shop->name)){{$order->shop->name}} @endif  </td>
                        <td>Price</td>
                        <td>{{$order->price}}</td>
                    </tr>
                    <tr>
                        <td>Discount</td>
                        <td>{{$order->discount}} </td>
                        <td>Payment</td>
                        <td>{{$order->payment}}</td>
                    </tr>
                    <tr>
                        <td>Booked By</td>
                        <td>{{$order->book_by->firstname.' '.$order->book_by->lastname}} </td>
                        <td>Delivery Date</td>
                        <td>{{$order->date_to_deliver}}</td>
                    </tr>
                    <tr>
                        <td>Delivery Time</td>
                        <td>{{$order->delivery_time}}  </td>
                        <td>Type</td>
                        <td>{{$order->type}}</td>
                    </tr>
                    <tr>
                        <td>Status</td>
                        <td>{{$order->status}}  </td>
                        <td>Latitude</td>
                        <td>{{$order->latitude}}</td>
                    </tr>
                    <tr>
                        <td >Longitude</td>
                        <td>{{$order->longitude}}  </td>
                        <td >Type</td>
                        <td>{{$order->type}}  </td>
                    </tr>
                    <tr>
                        <td ><b>Description</b></td>
                        <td colspan="3">{{$order->remarks}}  </td>
                    </tr>
                    <tr>
                        <td colspan="4" class="center size" ><b><u>Product Included</u></b></td>
                    </tr>
                    <tr><td colspan="4">
                            <div class="table-responsive">
                                <table class="table table-bordered table-framed">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Product Name </th>
                                        <th>Quantity</th>
                                        <th>Actual Price (Dozen)</th>
                                        <th>Discount Price (Dozen)</th>
                                        <th>Free Scheme Quantity</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($order->products as $key=>$value)
                                        <tr>
                                            <td>{{$key+1}}</td>
                                            <td>{{$value->products->name}}</td>
                                            <td>{{$value->quantity}}</td>
                                            <td>{{round(12*($value->product_actual_price),2)}}
                                                @if(count($value->OrderProductCategories)>0)
                                                    <i class="icon-eye8 position-right" title="Detail" data-toggle="modal" data-target="#modal_h1{{$key}}"></i>
                                                    <!-- Modal with h1 -->
                                                    <div id="modal_h1{{$key}}" class="modal fade">
                                                        <div class="modal-dialog">
                                                            <div class="modal-content">
                                                                <div class="modal-header">
                                                                    {{--<button type="button" class="close" data-dismiss="modal">&times;</button>--}}
                                                                    <h1 class="modal-title">Facial Products</h1>
                                                                </div>
                                                                <div class="modal-body">
                                                                    <div class="table-responsive table-bordered">
                                                                        <table class="table">
                                                                            <thead>
                                                                            <tr>
                                                                                <th>#</th>
                                                                                <th>Name</th>
                                                                                <th>Quantity</th>
                                                                            </tr>
                                                                            </thead>
                                                                            <tbody>
                                                                            @foreach($value->OrderProductCategories as $key2=>$category)
                                                                                <tr>
                                                                                    <td>{{$key2+1}}</td>
                                                                                    <td> @if(isset($category->product->name)){{ $category->product->name}} @endif</td>
                                                                                    <td>{{	$category['quantity']}}</td>
                                                                                </tr>
                                                                            @endforeach
                                                                            </tbody>
                                                                        </table>
                                                                    </div>
                                                                </div>
                                                                <div class="modal-footer">
                                                                    {{--<button type="button" class="btn btn-link" data-dismiss="modal">Close</button>--}}
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <!-- /modal with h1 -->
                                                @endif

                                            </td>
                                            <td  >{{12*($value->product_discounted_price)}}
                                            <td  >{{$value->scheme_free_quantity}}
                                                @if(!empty($value->product_discounted_price))  <span class="badge badge-danger">Warning</span> @endif
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4" class="center size" ><b><u>Order Images</u></b></td>
                    </tr>
                    <tr>
                        @if(!empty($order))
                            @if(count($order->OrderImages->toarray())>0)
                                @foreach($order->OrderImages->toarray() as $key=>$value)
                                <td  align="center">
                                            @if(isset($value['image']) && !empty($value['image']))
                                                <img src="{{$value['image']}}" class="image-height" style="height: 150px;!important;text-align: center"   alt=""><br>
                                            @endif
                                  @if(($key+1)%4==0)
                                   </td>
                                   </tr>
                                   <tr>
                                  @else
                                   </td>
                                  @endif
                                @endforeach
                            @else
                            <td colspan="4" align="center">No Images</td>
                            @endif
                        @endif
                    </tr>
                    </tbody>
                </table>
            </div>
    </div>
@endsection

