@extends('layouts.admin')

@section('header-content')
    <style>
        .ul-style{
            display: inline-block!important;vertical-align: top!important;padding-left: 0!important;width: 200px
        }

    </style>
@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
            </div>
        </div>
        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    {{--<div class="col-md-3">--}}
                        {{--<div class="form-group">--}}
                            {{--<div class="has-feedback has-feedback-left">--}}
                                {{--<input type="text" name="search_name" value="{{ Request::get('search_name') }}" class="form-control" placeholder="Search by Area Name">--}}
                                {{--<div class="form-control-feedback">--}}
                                    {{--<i class="icon-pin-alt text-size-large text-muted"></i>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                    {{--</div>--}}

                    <div class="col-md-3 col-sm-3">
                        <div class="form-group ">
                            <select class="select-search selector" name="sale_officer"  >
                                <option value=""
                                >Select RSM
                                </option>
                                @foreach($sales_officers as $so)
                                    <option value="{{$so->id}}" {{ Request::get('sale_officer') == $so->id ? 'selected="selected"':'' }}
                                    >{{$so->firstname.' '. $so->lastname}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <button type="submit" class="btn btn-danger" id="clear">
                            <i class="icon-trash text-size-base position-left"></i>
                            Clear
                        </button>
                        <button type="submit" class="btn bg-blue">
                            <i class="icon-search4 text-size-base position-left"></i>
                            Search
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h5 class="panel-title">All RSM Orders</h5>
                <div class="heading-elements">
                        <div class="form-group drop-custum">
                            <select id="records_per_page" name="records_per_page"
                                    class="form-control"
                                    onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                                <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                    20
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                    50
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                    80
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                    100
                                    rows
                                </option>
                            </select>
                        </div>
                </div>
            </div>
            <div class="panel-body">
                <div class="tabbable">
                    <ul class="nav nav-tabs nav-tabs-highlight nav-justified">
                        <li @if($active_order=='All')class="active"     @endif><a href="#All" id="All" data-toggle="tab">All <span class="badge bg-slate position-right">{{$total_order}}</span></a>
                            <form id="AllForm" method="GET" action="{{url('orders/stock')}}">
                                <input type="hidden" name="type" value="All">
                                {!! csrf_field() !!}
                            </form>
                        </li>
                        <li @if($active_order=='Booked')class="active"   @endif><a href="#Booked" id="Booked" data-toggle="tab">Book / Partial Delivered <span class="badge bg-slate position-right">{{$total_booked_order}}</span></a>
                            <form id="BookedForm" method="GET" action="{{url('orders/stock')}}">
                                <input type="hidden" name="type" value="Booked">
                                {!! csrf_field() !!}
                            </form>
                        </li>
                        <li @if($active_order=='Cancelled')class="active"   @endif><a href="#Cancelled" id="Cancelled" data-toggle="tab">Cancelled <span class="badge badge-danger position-right">{{$total_cancelled_order}}</span></a>
                            <form id="CancelledForm" method="GET" action="{{url('orders/stock')}}">
                                <input type="hidden" name="type" value="Cancelled">
                                {!! csrf_field() !!}
                            </form>
                        </li>
                        <li @if($active_order=='Completed')class="active"   @endif><a href="#Completed" id="Completed" data-toggle="tab">Completed <span class="badge bg-success-400 position-right">{{$total_completed_order}}</span></a>
                            <form id="CompletedForm" method="GET" action="{{url('orders/stock')}}">
                                <input type="hidden" name="type" value="Completed">
                                {!! csrf_field() !!}
                            </form>
                        </li>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane @if($active_order=='All')  active     @endif" id="All">
                            @if(!empty($stocks[0]))
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-framed table-hover">
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Date</th>
                                                <th>Booked By</th>
                                                <th>Zone</th>
                                                <th>Remarks</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($stocks as $key=>$stock)
                                                <tr>
                                                    <td>{{$key+1}}</td>
                                                    <td>
                                                        <a href="/orders/stock/detail/{{$stock->id}}" title="View Stock Order detail" class="text-default"   >{{$stock->date}}</a>

                                                    </td>
                                                    <td>@if(isset($stock->BookedBy->firstname) )  {{$stock->BookedBy->firstname.' '.$stock->BookedBy->lastname}} @endif</td>
                                                    <td>{{$stock->zone}} </td>
                                                    <td>{{$stock->remarks}} </td>
                                                    <td>
                                                        @if($stock->status=='Completed')
                                                            <span style="color: #4CAF50;">{{$stock->status}}</span>
                                                        @else
                                                            {{$stock->status}}
                                                        @endif
                                                    </td>
                                                    <td>
                                                        <a  href="/orders/stock/detail/{{$stock->id}}" title="View Stock Order detail" class="text-default" ><i class="icon-eye8"></i></a>
                                                        @if($stock->status=='Delivered')
                                                            <a  href="javascript:;" onclick="markOrder('{{Request::url()}}/mark/{{$stock->id}}');" title="Mark Complete This Order " class="text-default" ><i class="glyphicon glyphicon-ok " style="color: #4CAF50;"></i></a>

                                                        @endif
                                                    </td>
                                                </tr>

                                            @endforeach
                                            <form id="markForm" method="POST" action="">
                                                {!! csrf_field() !!}
                                            </form>
                                            </tbody>
                                        </table>
                                    </div>
                                    <br>
                                    <div align="center">
                                        {{ $stocks->links() }}
                                    </div>
                                </div>
                            @else
                                <div class="panel-body">
                                    <p>No Records Found</p>
                                </div>
                            @endif
                        </div>
                        <div class="tab-pane @if($active_order=='Booked') active   @endif" id="Booked">
                            @if(!empty($stocks[0]))
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-framed table-hover">
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Date</th>
                                                <th>Booked By</th>
                                                <th>Zone</th>
                                                <th>Remarks</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($stocks as $key=>$stock)
                                                <tr>
                                                    <td>{{$key+1}}</td>
                                                    <td>
                                                        <a href="/orders/stock/detail/{{$stock->id}}" title="View Stock Order detail" class="text-default"   >{{$stock->date}}</a>

                                                    </td>
                                                    <td>@if(isset($stock->BookedBy->firstname) )  {{$stock->BookedBy->firstname.' '.$stock->BookedBy->lastname}} @endif</td>
                                                    <td>{{$stock->zone}} </td>
                                                    <td>{{$stock->remarks}} </td>
                                                    <td>
                                                        @if($stock->status=='Completed')
                                                            <span style="color: #4CAF50;">{{$stock->status}}</span>
                                                        @else
                                                            {{$stock->status}}
                                                        @endif
                                                    </td>
                                                    <td>
                                                        <a  href="/orders/stock/detail/{{$stock->id}}" title="View Stock Order detail" class="text-default" ><i class="icon-eye8"></i></a>
                                                        @if($stock->status=='Delivered')
                                                            <a  href="javascript:;" onclick="markOrder('{{Request::url()}}/mark/{{$stock->id}}');" title="Mark Complete This Order " class="text-default" ><i class="glyphicon glyphicon-ok " style="color: #4CAF50;"></i></a>

                                                        @endif
                                                    </td>
                                                </tr>

                                            @endforeach
                                            <form id="markForm" method="POST" action="">
                                                {!! csrf_field() !!}
                                            </form>
                                            </tbody>
                                        </table>
                                    </div>
                                    <br>
                                    <div align="center">
                                        {{ $stocks->links() }}
                                    </div>
                                </div>
                            @else
                                <div class="panel-body">
                                    <p>No Records Found</p>
                                </div>
                            @endif
                        </div>
                        <div class="tab-pane @if($active_order=='Cancelled') active   @endif" id="Cancelled">
                            @if(!empty($stocks[0]))
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-framed table-hover">
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Date</th>
                                                <th>Booked By</th>
                                                <th>Zone</th>
                                                <th>Remarks</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($stocks as $key=>$stock)
                                                <tr>
                                                    <td>{{$key+1}}</td>
                                                    <td>
                                                        <a href="/orders/stock/detail/{{$stock->id}}" title="View Stock Order detail" class="text-default"   >{{$stock->date}}</a>

                                                    </td>
                                                    <td>@if(isset($stock->BookedBy->firstname) )  {{$stock->BookedBy->firstname.' '.$stock->BookedBy->lastname}} @endif</td>
                                                    <td>{{$stock->zone}} </td>
                                                    <td>{{$stock->remarks}} </td>
                                                    <td>
                                                        @if($stock->status=='Completed')
                                                            <span style="color: #4CAF50;">{{$stock->status}}</span>
                                                        @else
                                                            {{$stock->status}}
                                                        @endif
                                                    </td>
                                                    <td>
                                                        <a  href="/orders/stock/detail/{{$stock->id}}" title="View Stock Order detail" class="text-default" ><i class="icon-eye8"></i></a>
                                                        @if($stock->status=='Delivered')
                                                            <a  href="javascript:;" onclick="markOrder('{{Request::url()}}/mark/{{$stock->id}}');" title="Mark Complete This Order " class="text-default" ><i class="glyphicon glyphicon-ok " style="color: #4CAF50;"></i></a>

                                                        @endif
                                                    </td>
                                                </tr>

                                            @endforeach
                                            <form id="markForm" method="POST" action="">
                                                {!! csrf_field() !!}
                                            </form>
                                            </tbody>
                                        </table>
                                    </div>
                                    <br>
                                    <div align="center">
                                        {{ $stocks->links() }}
                                    </div>
                                </div>
                            @else
                                <div class="panel-body">
                                    <p>No Records Found</p>
                                </div>
                            @endif
                        </div>
                        <div class="tab-pane @if($active_order=='Completed') active   @endif" id="Completed">
                            @if(!empty($stocks[0]))
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-framed table-hover">
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Date</th>
                                                <th>Booked By</th>
                                                <th>Zone</th>
                                                <th>Remarks</th>
                                                <th>Status</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($stocks as $key=>$stock)
                                                <tr>
                                                    <td>{{$key+1}}</td>
                                                    <td>
                                                        <a href="/orders/stock/detail/{{$stock->id}}" title="View Stock Order detail" class="text-default"   >{{$stock->date}}</a>

                                                    </td>
                                                    <td>@if(isset($stock->BookedBy->firstname) )  {{$stock->BookedBy->firstname.' '.$stock->BookedBy->lastname}} @endif</td>
                                                    <td>{{$stock->zone}} </td>
                                                    <td>{{$stock->remarks}} </td>
                                                    <td>
                                                        @if($stock->status=='Completed')
                                                            <span style="color: #4CAF50;">{{$stock->status}}</span>
                                                        @else
                                                            {{$stock->status}}
                                                        @endif
                                                    </td>
                                                    <td>
                                                        <a  href="/orders/stock/detail/{{$stock->id}}" title="View Stock Order detail" class="text-default" ><i class="icon-eye8"></i></a>
                                                        @if($stock->status=='Delivered')
                                                            <a  href="javascript:;" onclick="markOrder('{{Request::url()}}/mark/{{$stock->id}}');" title="Mark Complete This Order " class="text-default" ><i class="glyphicon glyphicon-ok " style="color: #4CAF50;"></i></a>

                                                        @endif
                                                    </td>
                                                </tr>

                                            @endforeach
                                            <form id="markForm" method="POST" action="">
                                                {!! csrf_field() !!}
                                            </form>
                                            </tbody>
                                        </table>
                                    </div>
                                    <br>
                                    <div align="center">
                                        {{ $stocks->links() }}
                                    </div>
                                </div>
                            @else
                                <div class="panel-body">
                                    <p>No Records Found</p>
                                </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <!-- /theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/wysihtml5.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/toolbar.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/parsers.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/locales/bootstrap-wysihtml5.ua-UA.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/notifications/jgrowl.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/editor_wysihtml5.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
    <script>
        function markOrder(url) {
            if ($('#markForm').length > 0) {
                if (confirm('Are you sure you want to Mark Complete this order?')) {
                    $('#markForm').attr('action', url);
                    $('#markForm').submit();
                }
            }
        }
    </script>
    <script>
        $("#All").on("click", function () {
            $('#AllForm').submit();
        });
        $("#Booked").on("click", function () {
            $('#BookedForm').submit();
        });
        $("#Cancelled").on("click", function () {
            $('#CancelledForm').submit();
        });
        $("#Completed").on("click", function () {
            $('#CompletedForm').submit();
        });
    </script>
@endsection
