@extends('layouts.admin')
@section('header-content')
    <style>
        .center {
            text-align: center!important;
        }
        .size{
            font-size: 18px;
        }
        .image-height{
            border: solid;
            height: 140px;
        }
        .ul-style{
            display: inline-block!important;vertical-align: top!important;padding-left: 0!important;width: 49%;margin-top: 4px;
        }
        .modal {
            overflow-y:auto;
        }
    </style>
@endsection
@section('content')
    <div class="panel panel-flat">
        <div class="table-responsive">
            <table class="table table-bordered table-lg">
                <tbody>
                <tr class="head">
                    <th colspan="4" class="center size" ><b>Stock Order Detail  </b>

                    </th>
                </tr>
                <tr>
                    <td>Booked By</td>
                    <td>@if(isset($stock->BookedBy->firstname)){{$stock->BookedBy->firstname.' '.$stock->BookedBy->lastname}} @endif  </td>
                    <td>Zone</td>
                    <td>{{$stock->zone}} </td>
                </tr>
                <tr>
                    <td> Date</td>
                    <td>{{$stock->date}}</td>
                    <td>Status</td>
                    <td>{{$stock->status}}  </td>
                </tr>
                <tr>
                    <td> Remarks</td>
                    <td colspan="3">{{$stock->remarks}}</td>
                </tr>
                <tr>
                    <td colspan="4" class="center size" ><b><u>Product Included</u></b></td>
                </tr>
                <tr><td colspan="4">
                        <div class="table-responsive">
                            <table class="table table-bordered table-framed">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Product Name </th>
                                    <th>Booked Quantity (CTN) </th>
                                    <th>Delivered Quantity (CTN)</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($stock->stock_details as $k=>$stock_detail)
                                    <tr>
                                        <td>{{$k+1}}</td>
                                        <td>{{$stock_detail->products->name}}</td>
                                        <td >
                                            @if(!empty($stock_detail->quantity) && !empty($stock_detail->products->cotton))
                                            @php $rem=0;
                                            $rem=($stock_detail->quantity)%$stock_detail->products->cotton @endphp
                                            {{intval(($stock_detail->quantity)/$stock_detail->products->cotton).' Cotton ' }}
                                            @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                                            @endif
                                                @if(count($stock_detail->product_category)>0)
                                                    <i class="icon-eye8 position-right" title="Detail" data-toggle="modal" data-target="#modal_h1{{$k}}"></i>
                                                    <!-- Modal with h1 -->
                                                    <div id="modal_h1{{$k}}" class="modal fade">
                                                        <div class="modal-dialog">
                                                            <div class="modal-content">
                                                                <div class="modal-header">
                                                                    {{--<button type="button" class="close" data-dismiss="modal">&times;</button>--}}
                                                                    <h1 class="modal-title">Facial Products</h1>
                                                                </div>
                                                                <div class="modal-body">
                                                                    <div class="table-responsive table-bordered">
                                                                        <table class="table">
                                                                            <thead>
                                                                            <tr>
                                                                                <th>#</th>
                                                                                <th>Name</th>
                                                                                <th>Quantity (CTN)</th>
                                                                                <th>Delivered Quantity (CTN)</th>
                                                                            </tr>
                                                                            </thead>
                                                                            <tbody>

                                                                            @foreach($stock_detail->product_category as $k2=>$category)
                                                                                <tr>
                                                                                    <td>{{$k2+1}}</td>
                                                                                    <td> @if(isset($category->product->name)){{ $category->product->name}} @endif</td>
                                                                                    <td>
                                                                                        {{--{{	intval($category['quantity']/$category->product->main_product->cotton)}} Cotton--}}
                                                                                        @if(!empty($category['quantity']))
                                                                                            @php $rem=0;

                                                                                         $rem=($category['quantity'])%$category->product->main_product->cotton @endphp
                                                                                            {{intval(($category['quantity'])/$category->product->main_product->cotton).' Cotton ' }}
                                                                                            @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                                                                                        @endif
                                                                                    </td>
                                                                                    <td>
                                                                                        @if(!empty($category['delivered']))
                                                                                            @php $rem=0;

                                                                                         $rem=($category['delivered'])%$category->product->main_product->cotton @endphp
                                                                                            {{intval(($category['delivered'])/$category->product->main_product->cotton).' Cotton ' }}
                                                                                            @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                                                                                        @endif
                                                                                    </td>
                                                                                </tr>
                                                                            @endforeach
                                                                            </tbody>
                                                                        </table>
                                                                    </div>
                                                                </div>
                                                                <div class="modal-footer">
                                                                    {{--<button type="button" class="btn btn-link" data-dismiss="modal">Close</button>--}}
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <!-- /modal with h1 -->
                                                @endif
                                        </td>
                                        <td >
                                            @if(!empty($stock_detail->delivered) && !empty($stock_detail->products->cotton))
                                                @php $rem=0;
                                            $rem=($stock_detail->delivered)%$stock_detail->products->cotton @endphp
                                                {{intval(($stock_detail->delivered)/$stock_detail->products->cotton).' Cotton ' }}
                                                @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan="4" class="center size" ><b><u>Bilty  </u></b></td>
                </tr>
                </tbody>
            </table>
        </div>
        <div class="panel-body">
            @foreach($stock->stock_bilty as $k3=>$value)
                <ul class="list-group ul-style" >
                    <li class="list-group-item" align="center">Bilty #<a href="{{url('bilty/'.$value->id)}}" title="View Bilty Details"> {{$value->bilti_no}} </a> <p style="float: right"> Date: {{$value->bilti_date}} </p>
                        {{--<a href="#" class="text-default pull-right" data-toggle="modal" title="View Order Detail" data-target="#{{$k3}}sample"><i class="icon-eye8"></i></a>--}}
                    </li>
                @foreach($value->products as $k4=>$product)

                    <li class="list-group-item">{{$product->products->name}}:
                        @if(!empty($product->quantity) && !empty($product->products->cotton))
                            @php $rem=0;
                                $rem=($product->quantity)%$product->products->cotton @endphp
                            {{intval(($product->quantity)/$product->products->cotton).' Cotton ' }}
                            @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                        @endif
                        @if($product->quantity!=0 && count($product->biltyProductTypes)>0)
                            <i class="icon-eye8 position-right" title="Detail" data-toggle="modal" data-target="#modal_h3{{$k3}}"></i>
                            <!-- Modal with h1 -->
                            <div id="modal_h3{{$k3}}" class="modal fade">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            {{--<button type="button" class="close" data-dismiss="modal">&times;</button>--}}
                                            <h1 class="modal-title">Facial Products</h1>
                                        </div>
                                        <div class="modal-body">
                                            <div class="table-responsive table-bordered">
                                                <table class="table">
                                                    <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>Name</th>
                                                        <th>Quantity (CTN)</th>
                                                        {{--<th>Delivered Quantity (CTN)</th>--}}
                                                    </tr>
                                                    </thead>
                                                    <tbody>

                                                    @if($product->bilti_id==67)
{{--                                                    {{dd($product->biltyProductTypes)}}--}}
                                                    @endif

                                                    @foreach($product->biltyProductTypes as $k5=>$bilty_product_category)
                                                        <tr>
                                                            <td>{{$k5+1}}</td>
                                                            <td> @if(isset($bilty_product_category->product->name)){{ $bilty_product_category->product->name}} @endif</td>
                                                            <td>
                                                                {{--{{	intval($bilty_product_category['quantity']/$bilty_product_category->product->main_product->cotton)}} Cotton--}}
                                                                @if(!empty($bilty_product_category['quantity']))
                                                                    @php $rem=0;

                                                                                         $rem=($bilty_product_category['quantity'])%$bilty_product_category->product->main_product->cotton @endphp
                                                                    {{intval(($bilty_product_category['quantity'])/$bilty_product_category->product->main_product->cotton).' Cotton ' }}
                                                                    @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                                                                @endif
                                                            </td>
                                                            {{--<td>--}}
                                                                {{--@if(!empty($bilty_product_category['quantity_received']))--}}
                                                                    {{--@php $rem=0;--}}

                                                                                         {{--$rem=($bilty_product_category['quantity_received'])%$bilty_product_category->product->main_product->cotton @endphp--}}
                                                                    {{--{{intval(($bilty_product_category['quantity_received'])/$bilty_product_category->product->main_product->cotton).' Cotton ' }}--}}
                                                                    {{--@if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif--}}
                                                                {{--@endif--}}
                                                            {{--</td>--}}
                                                        </tr>
                                                    @endforeach
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            {{--<button type="button" class="btn btn-link" data-dismiss="modal">Close</button>--}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- /modal with h1 -->
                        @endif
                    </li>
                @endforeach
                {{--<!-- Large modal -->--}}

                    {{--<div id="{{$k3}}sample" class="modal fade" data-backdrop="static" data-keyboard="false">--}}
                        {{--<div class="modal-dialog modal-lg">--}}
                            {{--<div class="modal-content">--}}
                                {{--<div class="modal-header">--}}
                                    {{--<button type="button" class="close" data-dismiss="modal">&times;</button>--}}
                                    {{--<h5 class="modal-title">Bilty Detail</h5>--}}
                                {{--</div>--}}
                                {{--<div class="panel panel-white">--}}
                                    {{--<div class="panel-body no-padding-bottom">--}}
                                        {{--<div class="row">--}}
                                            {{--<div class="col-md-6 content-group">--}}
                                                {{--<h5 class="text-uppercase text-semibold">Bilty #{{$value->bilti_no}}  </h5>--}}
                                                {{--<ul class="list-condensed list-unstyled">--}}
                                                    {{--<li> PO Number: {{$value->po_no}}</li>--}}
                                                    {{--<li> Supplier:  @if(isset($value->supplier->firstname)){{$value->supplier->firstname.' '.$value->supplier->lastname}} @endif</li>--}}
                                                    {{--<li> Delivered To: @if(isset($value->user->firstname)){{$value->user->firstname.' '.$value->user->lastname}} @endif</li>--}}
                                                {{--</ul>--}}


                                            {{--</div>--}}
                                            {{--<div class="col-md-6 content-group">--}}
                                                {{--<div class="invoice-details">--}}
                                                    {{--<br>--}}
                                                    {{--<br>--}}
                                                    {{--<ul class="list-condensed list-unstyled">--}}
                                                        {{--<li>Bilty Date: <span class="text-semibold">{{$value->bilti_date}}</span></li>--}}
                                                        {{--<li>Bilty Received Date: <span class="text-semibold">{{$value->bilti_received_date}}</span></li>--}}
                                                        {{--<li>Status: <span class="text-semibold">{{$value->status}}</span></li>--}}
                                                    {{--</ul>--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                        {{--</div>--}}
                                    {{--</div>--}}
                                    {{--<div class="panel-body">--}}
                                        {{--<h6 class="text-uppercase text-semibold">Products Included </h6>--}}
                                        {{--@foreach($value->products as $p2=>$pr)--}}
                                            {{--<ul class="list-group ul-style" >--}}
                                                {{--<li class="list-group-item">{{$pr->products->name}}</li>--}}
                                                {{--<li class="list-group-item">Quantity:--}}
                                                    {{--@if(!empty($pr->quantity))--}}
                                                        {{--@php $rem=0;--}}
                                            {{--$rem=($pr->quantity)%$pr->products->cotton @endphp--}}
                                                        {{--{{intval(($pr->quantity)/$pr->products->cotton).' Cotton ' }}--}}
                                                        {{--@if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif--}}
                                                    {{--@endif--}}
                                                    {{--<a href="#" class="text-default pull-right" data-toggle="modal" title="View Order Detail" data-target="#childModel{{$p2}}"><i class="icon-eye8"></i></a></li>--}}
                                            {{--</ul>--}}


                                            {{--<!-- Modal with h1 -->--}}
                                            {{--<div id="childModel{{$p2}}" class="modal fade childModel">--}}
                                                {{--<div class="modal-dialog">--}}
                                                    {{--<div class="modal-content">--}}
                                                        {{--<div class="modal-header">--}}
                                                            {{--<button type="button" class="close closeChild" >&times;</button>--}}
                                                            {{--<h1 class="modal-title">Facial Products</h1>--}}
                                                        {{--</div>--}}
                                                        {{--<div class="modal-body">--}}
                                                            {{--<div class="table-responsive table-bordered">--}}
                                                                {{--<table class="table">--}}
                                                                    {{--<thead>--}}
                                                                    {{--<tr>--}}
                                                                        {{--<th>#</th>--}}
                                                                        {{--<th>Name</th>--}}
                                                                        {{--<th>Quantity  (CTN)</th>--}}
                                                                        {{--<th>Received Quantity (CTN)</th>--}}
                                                                    {{--</tr>--}}
                                                                    {{--</thead>--}}
                                                                    {{--<tbody>--}}
                                                                    {{--@foreach($pr->biltyProductTypes as $p3=>$category2)--}}
                                                                        {{--<tr>--}}
                                                                            {{--<td>{{$p3+1}}</td>--}}
                                                                            {{--<td> @if(isset($category2->product->name)){{ $category2->product->name}} @endif</td>--}}
                                                                            {{--<td>--}}
                                                                                {{--@if(!empty($category2['quantity']))--}}
                                                                                    {{--@php $rem=0;--}}

                                                                                         {{--$rem=($category2['quantity'])%$category2->product->main_product->cotton @endphp--}}
                                                                                    {{--{{intval(($category2['quantity'])/$category2->product->main_product->cotton).' Cotton ' }}--}}
                                                                                    {{--@if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif--}}
                                                                                {{--@endif--}}
                                                                            {{--</td>--}}
                                                                            {{--<td>--}}
                                                                                {{--@if(!empty($category2['quantity_received']))--}}
                                                                                    {{--@php $rem=0;--}}
                                                                                         {{--$rem=($category2['quantity_received'])%$category2->product->main_product->cotton @endphp--}}
                                                                                    {{--{{intval(($category2['quantity_received'])/$category2->product->main_product->cotton).' Dozen ' }}--}}
                                                                                    {{--@if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif--}}
                                                                                {{--@endif--}}
                                                                            {{--</td>--}}
                                                                        {{--</tr>--}}
                                                                    {{--@endforeach--}}
                                                                    {{--</tbody>--}}
                                                                {{--</table>--}}
                                                            {{--</div>--}}
                                                        {{--</div>--}}
                                                        {{--<div class="modal-footer">--}}
                                                            {{--<button type="button" class="btn btn-link" data-dismiss="modal">Close</button>--}}
                                                        {{--</div>--}}
                                                    {{--</div>--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                            {{--<!-- /modal with h1 -->--}}
                                        {{--@endforeach--}}
                                    {{--</div>--}}

                                    {{--<div class="panel-body">--}}
                                        {{--<h6><b>Bilty Remarks</b></h6>--}}
                                        {{--<p class="text-muted">--}}
                                            {{--<textarea cols="10" rows="10" name="description" class="wysihtml5 wysihtml5-min form-control" >--}}
                                                        {{--{{$value->remarks}}--}}
									         {{--</textarea></p>--}}
                                    {{--</div>--}}
                                {{--</div>--}}
                                {{--<div class="modal-footer">--}}
                                    {{--<button type="button" class="btn btn-link" data-dismiss="modal">Close</button>--}}
                                {{--</div>--}}
                            {{--</div>--}}
                        {{--</div>--}}
                    {{--</div>--}}
                    {{--<!-- /large modal -->--}}
                </ul>
            @endforeach
        </div>
        @if($stock->status!='Completed')
        <div class="container-fluid">
                <div class="form-group pull-right">
                    <label class="checkbox-inline checkbox-right">
                        <input type="checkbox" id="bilty_form" name="same_as_above"  class="styled">
                        Show Bilty Form
                    </label>
                </div>
        </div>
        @endif
        <div class="bilty_form" style="display: none">
            <form method="POST"
                  action="{{ url('orders/stock/bilty'.(empty($stock) ? '': '/' . $stock->id)) }}"
                  enctype="multipart/form-data">
                {!! csrf_field() !!}
                <div  class="row">
                    <div class="col-md-12">
                        <div class="col-md-3 col-sm-3">
                            <div class="form-group {{ $errors->has('supplier') ? ' has-error' : '' }}">
                                <label>Suppliers <span class="text-danger">*</span></label>
                                <select class="select" name="supplier" id="sale_officer">
                                    @foreach($suppliers as $supplier)
                                        <option value="{{$supplier->id}}" @if (old('supplier') == $supplier->id || isset($bilt) && $bilt->supplier_id==$supplier->id) selected="selected" @endif
                                        >{{$supplier->firstname.' '.$supplier->lastname}}
                                        </option>
                                    @endforeach
                                </select>
                                @if ($errors->has('supplier'))
                                    <span class="help-block"><strong>{{ $errors->first('supplier') }}</strong></span>
                                @endif
                            </div>
                        </div>
                        <div class="col-sm-3 col-md-3">
                            <div class="form-group {{ $errors->has('bilti_no') ? ' has-error' : '' }}">
                                <label>Bilty Number <span class="text-danger">*</span></label>
                                <input type="text" name="bilti_no" value="{{old('bilti_no', @$bilt->bilti_no)}}" placeholder="Bilty no" class="form-control">
                                @if ($errors->has('bilti_no'))
                                    <span class="help-block"><strong>{{ $errors->first('bilti_no') }}</strong></span>
                                @endif
                            </div>
                        </div>
                        <div class="col-sm-3 col-md-3">
                            <div class="form-group {{ $errors->has('po_no') ? ' has-error' : '' }}">
                                <label>PO Number <span class="text-danger">*</span></label>
                                <input type="text" name="po_no" value="{{old('po_no', @$bilt->po_no)}}" placeholder="PO Number" class="form-control">
                                @if ($errors->has('po_no'))
                                    <span class="help-block"><strong>{{ $errors->first('po_no') }}</strong></span>
                                @endif
                            </div>
                        </div>
                        <div class="col-sm-3 col-md-3">
                            <div class="form-group {{ $errors->has('bilti_date') ? ' has-error' : '' }}">
                                <label>Bilti Date <span class="text-danger">*</span></label>
                                <input type="date" name="bilti_date" value="{{old('bilti_date', @$bilt->bilti_date)}}" placeholder="Bilti Date" class="form-control">
                                @if ($errors->has('bilti_date'))
                                    <span class="help-block"><strong>{{ $errors->first('bilti_date') }}</strong></span>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-12">
                            <table class="table table-hover table-bordered">
                                <thead>
                                <tr>
                                    <th scope="col">Product Name</th>
                                    <th scope="col">Quantity (CTN)</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($stock->stock_details as $k6=>$f_stock_detail)
                                <tr class="table-active">
                                    <td>{{$f_stock_detail->products->name}}</td>
                                    <td>
                                        <input type="hidden" name="booked_by" value="{{$stock->booked_by}}" class="form-control">
                                        <input type="hidden" name="product[{{$k6}}][id]" value="{{$f_stock_detail->products->id}}" class="form-control">
                                        @if($f_stock_detail->products->id!=12)
                                            <input type="number" name="product[{{$k6}}][quantity]" min="1" class="form-control">
                                        @endif
                                        @if(count($f_stock_detail->product_category)>0)
                                            <i class="icon-plus-circle2 position-right" title="Detail" data-toggle="modal" data-target="#modal_h2{{$k6}}"></i>
                                            <!-- Modal with h1 -->
                                            <div id="modal_h2{{$k6}}" class="modal fade">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            {{--<button type="button" class="close" data-dismiss="modal">&times;</button>--}}
                                                            <h1 class="modal-title">Facial Products</h1>
                                                        </div>
                                                        <div class="modal-body">
                                                            <div class="table-responsive table-bordered">
                                                                <table class="table">
                                                                    <thead>
                                                                    <tr>
                                                                        <th>#</th>
                                                                        <th>Name</th>
                                                                        <th>Quantity (CTN)</th>
                                                                    </tr>
                                                                    </thead>
                                                                    <tbody>
                                                                    @foreach($f_stock_detail->product_category as $k7=>$f_pr_category)
                                                                        <tr>
                                                                            <td>{{$k7+1}}</td>
                                                                            <td> @if(isset($f_pr_category->product->name)){{ $f_pr_category->product->name}} @endif</td>
                                                                            <td>
                                                                                <input type="hidden" name="product_category[{{$k7}}][id]" value="{{$f_pr_category->product->id}}" class="form-control">
                                                                                <input type="number" class="form-control" name="product_category[{{$k7}}][quantity]">
                                                                            </td>
                                                                        </tr>
                                                                    @endforeach
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                        <div class="modal-footer">
                                                            {{--<button type="button" class="btn btn-link" data-dismiss="modal">Close</button>--}}
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- /modal with h1 -->
                                        @endif
                                    </td>
                                </tr>
                                 @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div><br>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group {{ $errors->has('remarks') ? ' has-error' : '' }}">
                                <label>Remarks</label>
                                <textarea cols="10" rows="10" name="remarks" class="wysihtml5 wysihtml5-min form-control" placeholder="Enter Remarks ...">
                                                        {{old('remarks', @$bilt->remarks)}}
									               </textarea>
                                @if ($errors->has('remarks'))
                                    <span class="help-block"><strong>{{ $errors->first('remarks') }}</strong></span>
                                @endif
                            </div>
                        </div>
                    </div>
                    <br>
                    <div class="row input_fields_wrap2">
                        <button type="button" class="btn bg-teal-400 btn-labeled btn-rounded add_field_button2"><b><i class="icon-stack2"></i></b> Add Bilty Images</button>
                        <br><br>
                        @if(!isset($key2) || empty($key2))
                            <?php $key2=0;?>
                        @endif
                        <input type="hidden" id="bilty_image" value="{{$key2}}">
                        <div id="new_item">
                        </div>
                    </div>
                    <div class="text-right">

                        <button type="submit" class="btn btn-primary">
                             Save
                              <i class="icon-arrow-right14 position-right"></i></button>
                    </div>
                    <br> <br> <br>
                </div>
            </form>
        </div>
    </div>
@endsection
@section('footer-content')
<script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/wysihtml5.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/toolbar.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/parsers.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/locales/bootstrap-wysihtml5.ua-UA.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/notifications/jgrowl.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/pages/editor_wysihtml5.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
<!-- /theme JS files -->
{{--Append images--}}
<script  type="text/javascript">
    $(document).ready(function() {
        $('#payment_type').trigger("change");
    });
    $(document).ready(function() {
        var max_fields      = 40; //maximum input boxes allowed
        var wrapper         = $(".input_fields_wrap2"); //Fields wrapper
        var add_button      = $(".add_field_button2"); //Add button ID
        var x = 1; //initlal text box count
        $(add_button).click(function(e){ //on add input button click
//                var package_item = $('#package_item').val()+1;
            $('#bilty_image').val( function(i, oldval) {
                return parseInt( oldval, 10) + 1;
            });
            e.preventDefault();
            if(x < max_fields){ //max input box allowed
                var product_item = parseInt($('#bilty_image').val());
                x++; //text box increment
                $(wrapper).append('<div ><div  class="col-md-4 col-sm-4" align="center"><div class="form-group"><input type="file" class="image-height" name="image' + product_item + '" class=""><a href="#" class="remove_field2">Remove</a> </div></div> '); //add input box
            }
        });

        $(wrapper).on("click",".remove_field2", function(e){ //user click on remove text
            e.preventDefault(); $(this).parent().parent('div').remove(); x--;
        })
    });
    $(document).on("change", '#bilty_form', function () {
        if( $('#bilty_form' ).is(":checked")){
            $(".bilty_form").show()
        }else{
            $(".bilty_form").hide()
        }
    });

</script>
<script>
    jQuery(document).on("click", "button.closeChild", function (e) {
        jQuery('.childModel').modal('hide');
    });
</script>
@endsection


