@extends('layouts.admin')

@section('header-content')

@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
                @if( Auth::user()->can('modify_recovery'))
                <a href="{{url('payments/create')}}">
                    <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-add"></i></b> Add New</button>
                </a>
                @endif
            </div>
        </div>

        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group">
                            <div class="has-feedback">
                                <input type="hidden" id="selector_id"  name="search" value="{{ Request::get('search') }}" class="selector" >
                                <input type="text" id="selector" name="search_name" value="{{ Request::get('search_name') }}" class="form-control selector" placeholder="Search by Shop here">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group ">
                            <select class="select-search selector" name="sale_officer"  >
                                <option value=""
                                >Select Sale Officer
                                </option>
                                @foreach($sales_officers as $so)
                                    <option value="{{$so->id}}" {{ Request::get('sale_officer') == $so->id ? 'selected="selected"':'' }}
                                    >{{$so->firstname.' '. $so->lastname}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group">
                            <div class="has-feedback ">
                                <input type="text" name="search_other" value="{{ Request::get('search_other') }}" class="form-control selector" placeholder="Search by Amount">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <button type="submit" class="btn btn-danger" id="clear">
                            <i class="icon-trash text-size-base position-left"></i>
                            Clear
                        </button>
                        <button type="submit" class="btn bg-blue">
                            <i class="icon-search4 text-size-base position-left"></i>
                            Search
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h5 class="panel-title">All Payments</h5>
                <div class="heading-elements">
                        <div class="form-group drop-custum">
                            <select id="records_per_page" name="records_per_page"
                                    class="form-control"
                                    onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                                <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                    20
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                    50
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                    80
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                    100
                                    rows
                                </option>
                            </select>
                        </div>
                </div>
            </div>
            @if(!empty($payments[0]))
              <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Customers</th>
                            <th>Payment Collect By</th>
                            <th>Payment Type</th>
                            <th>Amount</th>
                            <th>Payment Date</th>
                            <th>Remarks</th>
                            @if( Auth::user()->can('modify_recovery'))
                            <th>Action</th>
                            @endif
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($payments as $key=>$payment)
                        <tr>
                            <td>{{$key+1}}</td>
                            <td>
                                @if(isset($payment->shop->name))
                                    <a href="payments/{{$payment->id}}"
                                       title="View Payment details"> {{$payment->shop->name}}</a>

                                    @endif
                            </td>
                            <td>@if(isset($payment->user->firstname)){{$payment->user->firstname.' '.$payment->user->lastname}} @endif</td>
                            <td>{{$payment->payment_type}}</td>
                            <td>{{$payment->amount}}</td>
                            <td>{{$payment->promise_cheque_date}}</td>
                            <td>{{strip_tags($payment->remarks)}}</td>
                            @if( Auth::user()->can('modify_recovery'))
                            <td>

                                <ul class="icons-list">
                                    <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$payment->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                    {{--<li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$payment->id}}');"><i class="icon-trash"></i></a></li>--}}
                                </ul>
                                <form id="deleteForm" method="POST" action="">
                                    {!! method_field('DELETE') !!}
                                    {!! csrf_field() !!}
                                </form>
                            </td>
                            @endif
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">
                    {{ $payments->appends(['search_other' =>  Request::get('search_other'),'sale_officer'=> Request::get('sale_officer') ])->links() }}
                </div>
            </div>
            @else
                <div class="panel-body">
                    <p>No Records Found</p>
                </div>
            @endif
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script src="{{URL::asset('js/jquery-ui.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <!-- /theme JS files -->

    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>

    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
    <script>
        $("#selector").autocomplete({
            minLength: 1,
            source: function (request, response) {
                $.ajax({
                    url: '{{url('/search/')}}/' ,
                    type: "GET",
                    data: 'type=Shop&search_term=' + $('#selector').val(),
                    dataType: 'json'
                }).done(function (data) {
                    response($.map(data, function (obj) {
                        return {
                            label: obj.name,
                            value: obj.id
                        };
                    }));
                });
            },
            select: function (event, ui) {
                // Prevent value from being put in the input:
                this.value = ui.item.label;
                // Set the next input's value to the "value" of the item.
                $("#selector").val(this.value);
                $("#selector_id").val(ui.item.value);
                event.preventDefault();
            }
        });
    </script>
@endsection
