@extends('layouts.admin')
@section('header-content')
    <style>
        .image-height{
            border: solid;
            height: 140px;
        }
    </style>
@endsection
@section('content')
            <div class="container-detached">
                <div class="content-detached">
                    <!-- Tab content -->
                    <div class="tab-content">
                        <div class="tab-pane fade in active" id="profile">
                            <!-- Item Details -->
                            <div class="panel panel-flat">
                                <div class="panel-heading">
                                    <h6 class="panel-title">Order Details</h6>
                                    <div class="heading-elements">
                                        <ul class="icons-list">
                                            <li><a data-action="collapse"></a></li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="panel-body">
                                    <form method="POST"
                                          action="{{ url('payments'.(empty($payment) ? '': '/' . $payment->id)) }}"
                                          enctype="multipart/form-data">
                                        {!! csrf_field() !!}
                                         <div class="row">
                                             <div class="col-md-4 col-sm-4">
                                                 <div class="form-group {{ $errors->has('collect_by') ? ' has-error' : '' }}">
                                                     <label>Collect Money By</label>
                                                     <select class="select" name="collect_by" id="collect_by">
                                                         @foreach($users as $user)
                                                             <option value="{{$user->id}}" @if (old('collect_by') == $user->id || isset($payment) && $payment->booked_by==$user->id) selected="selected" @endif
                                                             >{{$user->firstname.' '.$user->lastname}}
                                                             </option>
                                                         @endforeach
                                                     </select>
                                                     @if ($errors->has('collect_by'))
                                                         <span class="help-block"><strong>{{ $errors->first('collect_by') }}</strong></span>
                                                     @endif
                                                 </div>
                                             </div>
                                             <div class="col-md-4 col-sm-4">
                                                 <div class="form-group {{ $errors->has('shop') ? ' has-error' : '' }}">
                                                     <label>Shop</label>
                                                     <select class="select" name="shop" id="shop">

                                                     </select>
                                                     <input type="hidden" id="old_customer" value="{{ @$payment->shop_id}}">
                                                     @if ($errors->has('shop'))
                                                         <span class="help-block"><strong>{{ $errors->first('shop') }}</strong></span>
                                                     @endif
                                                 </div>
                                             </div>
                                             <div class="col-md-4 col-sm-4">
                                                 <div class="form-group">
                                                     <label>Payment Type</label>
                                                     <select class="select" name="payment_type" id="payment_type">
                                                         <option value="Promise" {{ old('payment_type', @$payment->payment_type) == 'Promise' ? 'selected="selected"':'' }}>
                                                             Promise
                                                         </option>
                                                         <option value="Cheque" {{ old('payment_type', @$payment->payment_type) == 'Cheque' ? 'selected="selected"':'' }}>
                                                             Cheque
                                                         </option>
                                                         <option value="Cash" {{ old('payment_type', @$payment->payment_type) == 'Cash' ? 'selected="selected"':'' }}>
                                                             Cash
                                                         </option>
                                                     </select>
                                                 </div>
                                             </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('amount') ? ' has-error' : '' }}">
                                                    <label>Amount</label>
                                                    <input type="text" name="amount" value="{{old('amount', @$payment->amount)}}" placeholder="Amount" class="form-control">
                                                    <input type="hidden" name="old_amount" value="{{@$payment->amount}}" >
                                                    @if ($errors->has('amount'))
                                                        <span class="help-block"><strong>{{ $errors->first('amount') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4 cheque_date">
                                                <div class="form-group {{ $errors->has('bank') ? ' has-error' : '' }}">
                                                    <label >Bank</label>
                                                    <select class="select" name="bank" >
                                                        @foreach($banks as $bank)
                                                            <option value="{{$bank->id}}" @if (old('bank') == $bank->id || isset($payment) && $payment->bank_id==$bank->id) selected="selected" @endif
                                                            >{{$bank->name}}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                    @if ($errors->has('bank'))
                                                        <span class="help-block"><strong>{{ $errors->first('bank') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4 ">
                                                <div class="form-group {{ $errors->has('promise_cheque_date') ? ' has-error' : '' }}">
                                                    <label class="cash_date">Payment Date</label>
                                                    <label class="promise_date">Promise Date</label>
                                                    <label class="cheque_date">Promise Cheque Date</label>
                                                    <input type="date" name="promise_cheque_date" value="{{old('promise_cheque_date', @$payment->promise_cheque_date)}}" placeholder="Promise Cheque Date" class="form-control" @if(!empty($payment)) readonly @endif>
                                                    @if ($errors->has('promise_cheque_date'))
                                                        <span class="help-block"><strong>{{ $errors->first('promise_cheque_date') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>

                                            <div class="col-md-4 col-sm-4 cheque">
                                                <div class="form-group">
                                                    <label>Cheque Type</label>
                                                    <select class="select" name="cheque_type">
                                                        <option value="Bearer Cheque" {{ old('cheque_type', @$payment->cheque_type) == 'Bearer Cheque' ? 'selected="selected"':'' }}>
                                                            Bearer Cheque
                                                        </option>
                                                        <option value="Order Cheque" {{ old('cheque_type', @$payment->cheque_type) == 'Order Cheque' ? 'selected="selected"':'' }}>
                                                            Order Cheque
                                                        </option>
                                                        <option value="Crossed Cheque" {{ old('cheque_type', @$payment->cheque_type) == 'Crossed Cheque' ? 'selected="selected"':'' }}>
                                                            Crossed Cheque
                                                        </option>
                                                        <option value="Account Payee Cheque" {{ old('cheque_type', @$payment->cheque_type) == 'Account Payee Cheque' ? 'selected="selected"':'' }}>
                                                            Account Payee Cheque
                                                        </option>
                                                        <option value="Company Crossed Cheque" {{ old('cheque_type', @$payment->cheque_type) == 'Company Crossed Cheque' ? 'selected="selected"':'' }}>
                                                            Company Crossed Cheque
                                                        </option>
                                                        <option value="Stale Cheque" {{ old('cheque_type', @$payment->cheque_type) == 'Stale Cheque' ? 'selected="selected"':'' }}>
                                                            Stale Cheque
                                                        </option>
                                                        <option value="Post Dated Cheque" {{ old('cheque_type', @$payment->cheque_type) == 'Post Dated Cheque' ? 'selected="selected"':'' }}>
                                                            Post Dated Cheque
                                                        </option>
                                                        <option value="Anti Dated Cheque" {{ old('cheque_type', @$payment->cheque_type) == 'Anti Dated Cheque' ? 'selected="selected"':'' }}>
                                                            Anti Dated Cheque
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4 cheque">
                                                <div class="form-group {{ $errors->has('cheque_no') ? ' has-error' : '' }}">
                                                    <label>Cheque no</label>
                                                    <input type="text" name="cheque_no" value="{{old('cheque_no', @$payment->cheque_no)}}" placeholder="Cheque no" class="form-control">
                                                    @if ($errors->has('cheque_no'))
                                                        <span class="help-block"><strong>{{ $errors->first('cheque_no') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row input_fields_wrap">
                                            <button type="button" class="btn bg-teal-400 btn-labeled btn-rounded add_field_button"><b><i class="icon-stack2"></i></b> Add More Payment Images</button>
                                            <br><br>
                                            @if(!empty($payment))
                                                @foreach($payment->paymentImages->toarray() as $key=>$value)
                                                    <div class="">
                                                        <input type="hidden" name="old_images_id[{{$key}}]" value="{{$value['id']}}">
                                                        <div class="col-md-4 col-sm-4 " align="center">
                                                            @if(isset($value['image']) && !empty($value['image']))
                                                                <img src="{{$value['image']}}" class="image-height" style="height: 150px;!important;"   alt=""><br>
                                                                <a href="#" class="remove_field">Remove</a>
                                                            @endif
                                                        </div>
                                                    </div>
                                                @endforeach
                                            @endif
                                            @if(!isset($key) || empty($key))
                                                <?php $key=0;?>
                                            @endif

                                            <input type="hidden" id="payment_image" value="{{$key}}">
                                            <div id="new_item">
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-group {{ $errors->has('remarks') ? ' has-error' : '' }}">
                                                    <label>Remarks</label>
                                                    <textarea cols="10" rows="10" name="remarks" class="wysihtml5 wysihtml5-min form-control" placeholder="Enter Remarks ...">
                                                        {{old('remarks', @$payment->remarks)}}
									               </textarea>
                                                    @if ($errors->has('remarks'))
                                                        <span class="help-block"><strong>{{ $errors->first('remarks') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-right">
                                            @if(!empty($payment)) {!! method_field('PUT') !!} @endif
                                            {{ csrf_field() }}
                                            <button type="submit" class="btn btn-primary">
                                                @if(empty($payment)) Save @else Update
                                                @endif  <i class="icon-arrow-right14 position-right"></i></button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <!-- /Item Details -->
                        </div>
                    </div>
                    <!-- /tab content -->

                </div>
            </div>
            <!-- /detached content -->
@endsection

@section('footer-content')

    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/wysihtml5.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/toolbar.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/parsers.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/locales/bootstrap-wysihtml5.ua-UA.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/notifications/jgrowl.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/editor_wysihtml5.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>

    <script  type="text/javascript">
        $(document).ready(function() {
            $('#collect_by').trigger("change");
        });
        $(document).ready(function() {
            $('#payment_type').trigger("change");
        });
        $(document).ready(function() {
            var max_fields      = 40; //maximum input boxes allowed
            var wrapper         = $(".input_fields_wrap"); //Fields wrapper
            var add_button      = $(".add_field_button"); //Add button ID
            var x = 1; //initlal text box count
            $(add_button).click(function(e){ //on add input button click
//                var package_item = $('#package_item').val()+1;
                $('#payment_image').val( function(i, oldval) {
                    return parseInt( oldval, 10) + 1;
                });
                e.preventDefault();
                if(x < max_fields){ //max input box allowed
                    var product_item = parseInt($('#payment_image').val());
                    x++; //text box increment
                    $(wrapper).append('<div ><div  class="col-md-4 col-sm-4" align="center"><div class="form-group"><input type="file" class="image-height" name="image' + product_item + '" class=""><a href="#" class="remove_field">Remove</a> </div></div> '); //add input box
                }
            });

            $(wrapper).on("click",".remove_field", function(e){ //user click on remove text
                e.preventDefault(); $(this).parent().parent('div').remove(); x--;
            })
        });
        $(document).on('change', '#payment_type', function() {
            var value=$("#payment_type").val();
                if(value=='Cash'){
                    $(".cash_date").show();
                    $(".cheque").hide();
                    $(".promise_date").hide();
                    $(".cheque_date").hide();
                }else if(value=='Promise') {
                    $(".cash_date").hide();
                    $(".cheque").hide();
                    $(".promise_date").show();
                    $(".cheque_date").hide();
                }else if(value=='Cheque') {
                    $(".cash_date").hide();
                    $(".cheque").show();
                    $(".promise_date").hide();
                    $(".cheque_date").show();
                }
        });
        $(document).on("change", '#collect_by', function () {
            var id =$(this).val();
            $.ajax({
                url: '{{url('/sales_officer_customers/')}}/'+id,
                type: 'GET',
                contentType: 'application/json; charset=utf-8',
                dataType: 'json',
                success: function (data) {
                    $inputValues = $("#old_customer").val();
                    $('#shop')
                            .find('option')
                            .remove()
                            .end();
                    $(data.shops).each(function (index, element) {
                        $('#shop').removeAttr("disabled")
                        $('#shop').append(
                                $('<option >', {value: element.id} ) .text(element.name)
                        );
                        if (element.id == $inputValues) {
                            $("#shop option[value='" + $inputValues + "']").prop("selected", "selected");
                        }
                    });
                },
                error: function () {
                }

            });
        });
    </script>
@endsection
