@extends('layouts.admin')

@section('content')
            <div class="container-detached">
                <div class="content-detached">
                    <!-- Tab content -->
                    <div class="tab-content">
                        <div class="tab-pane fade in active" id="profile">
                            <!-- Item Details -->
                            <div class="panel panel-flat">
                                <div class="panel-heading">
                                    <h6 class="panel-title"> Product Discount Grade Details</h6>
                                    <div class="heading-elements">
                                        <ul class="icons-list">
                                            <li><a data-action="collapse"></a></li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="panel-body">
                                    <form method="POST"
                                          action="{{ url('product_discount'.(empty($product_discount) ? '': '/' . $product_discount->id)) }}"
                                          enctype="multipart/form-data">
                                        {!! csrf_field() !!}
                                         <div class="row">
                                             <div class="col-md-6 col-sm-6">
                                                 <div class="form-group {{ $errors->has('grade') ? ' has-error' : '' }}">
                                                     <label>Grade</label>
                                                     <input type="text" name="grade"  value="{{old('grade', @$product_discount->grade)}}" placeholder="grade" class="form-control">
                                                     @if ($errors->has('grade'))
                                                         <span class="help-block"><strong>{{ $errors->first('grade') }}</strong></span>
                                                     @endif
                                                 </div>
                                             </div>
                                            <div class="col-md-6 col-sm-6">
                                                <div class="form-group {{ $errors->has('discount') ? ' has-error' : '' }}">
                                                    <label>Value</label>
                                                    <input type="number" name="discount"  value="{{old('discount', @$product_discount->value)}}" placeholder="discount " class="form-control">
                                                    @if ($errors->has('discount'))
                                                        <span class="help-block"><strong>{{ $errors->first('discount') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="text-right">
                                            @if(!empty($product_discount)) {!! method_field('PUT') !!} @endif
                                            {{ csrf_field() }}
                                            <button type="submit" class="btn btn-primary">
                                                @if(empty($product_discount)) Save @else Update
                                                @endif  <i class="icon-arrow-right14 position-right"></i></button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <!-- /Item Details -->


                        </div>
                    </div>
                    <!-- /tab content -->

                </div>
            </div>
            <!-- /detached content -->
@endsection

@section('footer-content')
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <!-- /theme JS files -->
@endsection
