@extends('layouts.admin')

@section('header-content')

@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
                @if( Auth::user()->can('modify_products'))
                <a href="{{url('products/create')}}">
                    <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-add"></i></b> Add New</button>
                </a>
                @endif
            </div>
        </div>

        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-4 col-sm-4">
                        <div class="form-group">
                            <select class="form-control selector" name="category">
                                <option value=""
                                >Select Category
                                </option>
                                @foreach($categories as $category)
                                    <option value="{{$category->id}}" {{ Request::get('category') == $category->id ? 'selected="selected"':'' }}
                                    >{{$category->name}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-5 col-sm-5">
                        <div class="form-group">
                            <div class="has-feedback">
                                <input type="hidden" id="selector_id"  name="search" value="" >
                                <input type="text" id="selector" name="search_name" value="{{ Request::get('search_name') }}" class="form-control" placeholder="Search here">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <button type="submit" class="btn btn-danger" id="clear">
                            <i class="icon-trash text-size-base position-left"></i>
                            Clear
                        </button>
                        <button type="submit" class="btn bg-blue">
                            <i class="icon-search4 text-size-base position-left"></i>
                            Search
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h5 class="panel-title">All Products</h5>
                <div class="heading-elements">
                        <div class="form-group drop-custum">
                            <select id="records_per_page" name="records_per_page"
                                    class="form-control"
                                    onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                                <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                    20
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                    50
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                    80
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                    100
                                    rows
                                </option>
                            </select>
                        </div>
                </div>
            </div>
            @if(!empty($products[0]))
              <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Name</th>
                            <th>Product Code</th>
                            <th>Retail Price in Pakistan</th>
                            <th>Wholesale Price in Pakistan</th>
                            <th>Distributor Price in Pakistan</th>
                            <th>Vendor Price in Pakistan</th>
                            <th>Retail Price in Dubai</th>
                            <th>Wholesale Price in Dubai</th>
                            <th>Created at</th>
                            @if( Auth::user()->can('modify_products'))
                            <th>Action</th>
                            @endif
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($products as $key=>$product)
                        <tr>
                            <td>{{$key+1}}</td>
                            <td><a href="products/{{$product->id}}"
                                   title="View Product details">{{$product->name}}</a></td>
                            <td>{{$product->product_code}}</td>
                            @foreach($product->ProductPrices as $key=>$price)
                                <td>{{bcdiv($price['retail_price']*12, 1, 2)}}</td>
{{--                                <td>{{round(12*($price['retail_price']))}}</td>--}}
                                <td>{{bcdiv($price['wholesale_price']*12, 1, 2)}}</td>
{{--                                <td>{{round(12*($price['wholesale_price']))}}</td>--}}
                            @if($key==0)
                                <td>{{
                                bcdiv($price['distributor_price']*12, 1, 2)
                                }}</td>
                                    <td>{{
                                bcdiv($price['vendor_price']*12, 1, 2)
                                }}</td>
                                    {{--round(12*($price['distributor_price']))--}}
                                {{--<td>{{round(12*($price['distributor_price']))}}</td>--}}
                            @endif
                            @endforeach
                            <td>{{$product->created_at}}</td>
                            @if( Auth::user()->can('modify_products'))
                            <td>

                                <ul class="icons-list">
                                    {{--<li class="text-primary-600"><a title="View Product pics" href="{{Request::url()}}/{{$product->id}}/images"><i class="glyphicon glyphicon-plus-sign"></i></a></li>--}}
                                    <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$product->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                    {{--<li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$product->id}}');"><i class="icon-trash"></i></a></li>--}}
                                </ul>
                                <form id="deleteForm" method="POST" action="">
                                    {!! method_field('DELETE') !!}
                                    {!! csrf_field() !!}
                                </form>
                            </td>
                            @endif
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">
                    {{ $products->links() }}
                </div>
            </div>
            @else
                <div class="panel-body">
                    <p>No Records Found</p>
                </div>
            @endif
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')
    <script src="{{URL::asset('js/jquery-ui.min.js')}}"></script>
    <script>
        $("#selector").autocomplete({
            minLength: 1,
            source: function (request, response) {
                $.ajax({
                    url: '{{url('/search/')}}/' ,
                    type: "GET",
                    data: 'type=Product&search_term=' + $('#selector').val(),
                    dataType: 'json'
                }).done(function (data) {
                    response($.map(data, function (obj) {
                        return {
                            label: '('+obj.name+')('+obj.type+')('+obj.product_code+')('+obj.retail_price+')',
                            value: obj.id
                        };
                    }));
                });
            },
            select: function (event, ui) {
                // Prevent value from being put in the input:
                this.value = ui.item.label;
                // Set the next input's value to the "value" of the item.
                $("#selector").val(this.value);
                $("#selector_id").val(ui.item.value);
                event.preventDefault();
            }
        });
    </script>
@endsection
