@extends('layouts.admin')

@section('header-content')
    <style>
        .image-height{
            border: solid;
            height: 140px;
        }
    </style>
@endsection
@section('content')
            <div class="container-detached">
                <div class="content-detached">
                    <!-- Tab content -->
                    <div class="tab-content">
                        <div class="tab-pane fade in active" id="profile">
                            <!-- Item Details -->
                            <div class="panel panel-flat">
                                <div class="panel-heading">
                                    <h6 class="panel-title">Product Details</h6>
                                    <div class="heading-elements">
                                        <ul class="icons-list">
                                            <li><a data-action="collapse"></a></li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="panel-body">
                                    <form method="POST"
                                          action="{{ url('products'.(empty($product) ? '': '/' . $product->id)) }}"
                                          enctype="multipart/form-data">
                                        {!! csrf_field() !!}
                                         <div class="row">
                                             <div class="col-md-4 col-sm-4">
                                                 <div class="form-group">
                                                     <label>Category</label>
                                                     <select class="select" name="category">
                                                         @foreach($categories as $category)
                                                             <option value="{{$category->id}}" @if (old('category') == $category->id || isset($product) && $product->category_id==$category->id) selected="selected" @endif
                                                             >{{$category->name}}
                                                             </option>
                                                         @endforeach
                                                     </select>
                                                 </div>
                                             </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
                                                    <label>Name <span class="text-danger">*</span></label>
                                                    <input type="text" name="name" value="{{old('name', @$product->name)}}" placeholder="Name" class="form-control">
                                                    @if ($errors->has('name'))
                                                        <span class="help-block"><strong>{{ $errors->first('name') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('product_code') ? ' has-error' : '' }}">
                                                    <label>Product Code <span class="text-danger">*</span></label>
                                                    <input type="text" name="product_code" value="{{old('product_code', @$product->product_code)}}" placeholder="Product Code" class="form-control">
                                                    @if ($errors->has('product_code'))
                                                        <span class="help-block"><strong>{{ $errors->first('product_code') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group">
                                                    <label>Type</label>
                                                    <select class="select" name="type">
                                                        <option value="Soap" {{ old('type', @$product->type) == 'Soap' ? 'selected="selected"':'' }}>
                                                            Soap
                                                        </option>
                                                        <option value="Face Wash" {{ old('type', @$product->type) == 'Face Wash' ? 'selected="selected"':'' }}>
                                                            Face Wash
                                                        </option>
                                                        <option value="Cream" {{ old('type', @$product->type) == 'Cream' ? 'selected="selected"':'' }}>
                                                            Cream
                                                        </option>
                                                        <option value="Serum" {{ old('type', @$product->type) == 'Serum' ? 'selected="selected"':'' }}>
                                                            Serum
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>

                                            {{--<div class="col-md-4">--}}
                                                {{--<div class="form-group {{ $errors->has('retail_price') ? ' has-error' : '' }}">--}}
                                                    {{--<label>Minimum Retail Price</label>--}}
                                                    {{--<input type="text" name="retail_price" value="{{old('retail_price', @$product->retail_price)}}" placeholder="Retail Price" class="form-control">--}}
                                                    {{--@if ($errors->has('retail_price'))--}}
                                                        {{--<span class="help-block"><strong>{{ $errors->first('retail_price') }}</strong></span>--}}
                                                    {{--@endif--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                            {{--<div class="col-md-4">--}}
                                                {{--<div class="form-group {{ $errors->has('wholesale_price') ? ' has-error' : '' }}">--}}
                                                    {{--<label>Minimum Wholesale Price</label>--}}
                                                    {{--<input type="text" name="wholesale_price" value="{{old('wholesale_price', @$product->wholesale_price)}}" placeholder="Wholesale Price" class="form-control">--}}
                                                    {{--@if ($errors->has('wholesale_price'))--}}
                                                        {{--<span class="help-block"><strong>{{ $errors->first('wholesale_price') }}</strong></span>--}}
                                                    {{--@endif--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                            @if(isset($currencies) && count($currencies)>0)
                                                @foreach($currencies as $key=>$currency)
                                                    @if(isset($product->ProductPrices))
                                                        @foreach($product->ProductPrices as $price)
                                                            @if($currency->id==$price->currency_id)
                                                                @php $oldretail_price=bcdiv(12*($price->retail_price), 1, 2);
                                                                $oldwholesalePrice=bcdiv(12*($price->wholesale_price), 1, 2);
                                                                $oldvendorPrice=bcdiv(12*($price->vendor_price), 1, 2);
                                                                $olddistributor_price= bcdiv(12*($price->distributor_price), 1, 2);
                                                                 break;
                                                                @endphp

                                                            @endif
                                                        @endforeach
                                                    @else
                                                        @php
                                                            $oldretail_price='';
                                                            $oldwholesalePrice='';
                                                            $oldvendorPrice='';
                                                            $olddistributor_price='';
                                                        @endphp
                                                    @endif
                                                    <div class="col-md-4 col-sm-4">
                                                        <div class="form-group {{ $errors->has($key.'retail_price') ? ' has-error' : '' }}">
                                                            <label>Retail Price In {{$currency->name}} <span class="text-danger">*</span></label>
                                                            <input type="text" name="prices[{{$key}}][retail_price]" value="{{old('prices.'.$key.'retail_price', @$oldretail_price)}}" placeholder="Retail Price In {{$currency->name}}" class="form-control">
                                                            <input type="hidden" min="0" name="prices[{{$key}}][currency_id]" value="{{$currency->id}}"  class="form-control">
                                                            @if ($errors->has($key.'retail_price'))
                                                                <span class="help-block"><strong>{{ $errors->first($key.'retail_price') }}</strong></span>
                                                            @endif
                                                        </div>
                                                    </div>
                                                     <div class="col-md-4 col-sm-4">
                                                        <div class="form-group {{ $errors->has($key.'wholesale_price') ? ' has-error' : '' }}">
                                                            <label>Wholesale Price In {{$currency->name}} <span class="text-danger">*</span></label>
                                                            <input type="text"  name="prices[{{$key}}][wholesale_price]" value="{{old('prices.'.$key.'wholesale_price', @$oldwholesalePrice)}}" placeholder="wholesale Price In {{$currency->name}}" class="form-control">
                                                            @if ($errors->has($key.'wholesale_price'))
                                                                <span class="help-block"><strong>{{ $errors->first($key.'wholesale_price') }}</strong></span>
                                                            @endif
                                                        </div>
                                                    </div>

                                                    @if($currency->id!=2)
                                                        <div class="col-md-4 col-sm-4">
                                                            <div class="form-group {{ $errors->has($key.'distributor_price') ? ' has-error' : '' }}">
                                                                <label>Distributor Price In {{$currency->name}} <span class="text-danger">*</span></label>
                                                                <input type="text" name="prices[{{$key}}][distributor_price]" value="{{old('prices.'.$key.'distributor_price', @$olddistributor_price)}}" placeholder="Distributor Price In {{$currency->name}}" class="form-control">
                                                                @if ($errors->has($key.'distributor_price'))
                                                                    <span class="help-block"><strong>{{ $errors->first($key.'distributor_price') }}</strong></span>
                                                                @endif
                                                            </div>
                                                        </div>

                                                            <div class="col-md-4 col-sm-4">
                                                                <div class="form-group {{ $errors->has($key.'vendor_price') ? ' has-error' : '' }}">
                                                                    <label>Vendor Price In {{$currency->name}} <span class="text-danger">*</span></label>
                                                                    <input type="text"  name="prices[{{$key}}][vendor_price]" value="{{old('prices.'.$key.'vendor_price', @$oldvendorPrice)}}" placeholder="Vendor Price In {{$currency->name}}" class="form-control">
                                                                    @if ($errors->has($key.' $oldvendorPrice'))
                                                                        <span class="help-block"><strong>{{ $errors->first($key.' $oldvendorPrice') }}</strong></span>
                                                                    @endif
                                                                </div>
                                                            </div>
                                                     @endif
                                                @endforeach
                                            @endif
                                        </div>

                                        <div class="row">
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('cotton') ? ' has-error' : '' }}">
                                                    <label>Cotton ( Piece / Qty ) </label>
                                                    <input type="number" name="cotton" value="{{old('cotton', @$product->cotton)}}"  class="form-control">
                                                    @if ($errors->has('cotton'))
                                                        <span class="help-block"><strong>{{ $errors->first('cotton') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('tp_rate') ? ' has-error' : '' }}">
                                                    <label>TP Rate ( CTN ) </label>
                                                    <input type="number" name="tp_rate" value="{{old('tp_rate', @$product->tp_rate)}}"  class="form-control">
                                                    @if ($errors->has('tp_rate'))
                                                        <span class="help-block"><strong>{{ $errors->first('tp_rate') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('point_based') ? ' has-error' : '' }}">
                                                    <label>Point Based </label>
                                                    <select class="select" name="point_based">
                                                        <option value="Per Piece" {{ old('point_based', @$product->points_based) == 'Per Piece' ? 'selected="selected"':'' }}>
                                                            Per Piece
                                                        </option>
                                                        <option value="Dozen" {{ old('point_based', @$product->points_based) == 'Dozen' ? 'selected="selected"':'' }}>
                                                            Dozen
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('points_based_value') ? ' has-error' : '' }}">
                                                    <label>Point Based Value </label>
                                                    <input type="number" name="points_based_value" value="{{old('points_based_value', @$product->points_based_value)}}"  class="form-control">
                                                    @if ($errors->has('points_based_value'))
                                                        <span class="help-block"><strong>{{ $errors->first('points_based_value') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <label></label>
                                                <div class="form-group">
                                                    <div class="content-group-lg">
                                                        <div class="form-control checkbox checkbox-left checkbox-switchery">
                                                            <label>
                                                                <input type="checkbox"  id="is_scheme" name="is_scheme" @if(isset($old['is_scheme']) && $old['is_scheme']=='on') checked @endif @if(isset($product['is_scheme']) && $product['is_scheme']==1) checked="checked" @endif class="switchery" >
                                                               Is Scheme
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="is_scheme" style="display: none">
                                            <div class="col-md-4 col-sm-4 ">
                                                <div class="form-group">
                                                    <label>Sceme</label>
                                                    <select class="select" name="scheme_quantity">
                                                        <option value="6" {{ old('scheme_quantity', @$product->scheme_quantity) == 6 ? 'selected="selected"':'' }}>
                                                            6 Quantity Sceme
                                                        </option>
                                                        <option value="12" {{ old('scheme_quantity', @$product->scheme_quantity) == 12 ? 'selected="selected"':'' }}>
                                                            12 Quantity Sceme
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group">
                                                    <label>Free Quantity</label>
                                                   <input type="number" class="form-control" name="scheme_free_quantity" value="{{ old('scheme_free_quantity', @$product->scheme_free_quantity)}}">
                                                </div>
                                            </div>
                                            </div>
                                        </div>
                                        @if(isset($product) && $product->id==12)
                                        <div class="row">
                                            <div class="table-responsive">
                                                <h3><b>Product Category</b></h3>
                                                <table class="table table-bordered table-framed table-hover">
                                                    <thead>
                                                    <tr>
                                                        <th >#</th>
                                                        <th >Name</th>
                                                        <th >Product Code</th>
                                                        <th >Image</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    @foreach($product->ProductCategory as $key=>$category)
                                                        <tr >
                                                            <td >{{$key+1}}</td>
                                                            <td>{{$category->name}}</td>
                                                            <td><input name="product_category{{$key}}code" value="{{$category->product_code}}"></td>
                                                            <td>
                                                                <img src="{{$category->image_url}}" height="100px">
                                                                <input type="hidden" name="product_category{{$key}}id" value="{{$category->id}}">
                                                                <input type="file" name="product_category{{$key}}image" >
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                    @endforeach
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        @endif
                                        {{--<div class="row">--}}
                                            {{--<div class="col-md-4">--}}
                                                {{--<div class="form-group {{ $errors->has('distributor_price') ? ' has-error' : '' }}">--}}
                                                    {{--<label>Distributor Price</label>--}}
                                                    {{--<input type="text" name="distributor_price" value="{{old('distributor_price', @$product->distributor_price)}}" placeholder="Distributor Price" class="form-control">--}}
                                                    {{--@if ($errors->has('distributor_price'))--}}
                                                        {{--<span class="help-block"><strong>{{ $errors->first('distributor_price') }}</strong></span>--}}
                                                    {{--@endif--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                            {{--<div class="col-md-4">--}}
                                                {{--<div class="form-group {{ $errors->has('stock_available') ? ' has-error' : '' }}">--}}
                                                    {{--<label>Stock Available</label>--}}
                                                    {{--<input type="number" min="0" name="stock_available" value="{{old('stock_available', @$product->stock_available)}}" placeholder="Stock Available" class="form-control">--}}
                                                    {{--@if ($errors->has('stock_available'))--}}
                                                        {{--<span class="help-block"><strong>{{ $errors->first('stock_available') }}</strong></span>--}}
                                                    {{--@endif--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                            {{--<div class="col-md-4">--}}
                                                {{--<div class="form-group {{ $errors->has('started_on') ? ' has-error' : '' }}">--}}
                                                    {{--<label>Started On</label>--}}
                                                    {{--<input type="date" name="started_on" value="{{old('started_on', @$product->started_on)}}" placeholder="Started On" class="form-control">--}}
                                                    {{--@if ($errors->has('started_on'))--}}
                                                        {{--<span class="help-block"><strong>{{ $errors->first('started_on') }}</strong></span>--}}
                                                    {{--@endif--}}
                                                {{--</div>--}}
                                            {{--</div>--}}

                                        {{--</div>--}}
                                        <div class="row">
                                            {{--<div class="col-md-4">--}}
                                                {{--<div class="form-group {{ $errors->has('discontinued_on') ? ' has-error' : '' }}">--}}
                                                    {{--<label>Discontinued On</label>--}}
                                                    {{--<input type="date" name="discontinued_on" value="{{old('discontinued_on', @$product->discontinued_on)}}" placeholder="Discontinued On" class="form-control">--}}
                                                    {{--@if ($errors->has('discontinued_on'))--}}
                                                        {{--<span class="help-block"><strong>{{ $errors->first('discontinued_on') }}</strong></span>--}}
                                                    {{--@endif--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                            {{--<div class="col-md-4">--}}
                                                {{--<div class="form-group {{ $errors->has('minimum_order_unit') ? ' has-error' : '' }}">--}}
                                                    {{--<label>Minimum Order Unit</label>--}}
                                                    {{--<input type="number" min="0" name="minimum_order_unit" value="{{old('minimum_order_unit', @$product->minimum_order_unit)}}" placeholder="Minimum Order Unit" class="form-control">--}}
                                                    {{--@if ($errors->has('minimum_order_unit'))--}}
                                                        {{--<span class="help-block"><strong>{{ $errors->first('minimum_order_unit') }}</strong></span>--}}
                                                    {{--@endif--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                            {{--<div class="col-md-4">--}}
                                                {{--<div class="form-group {{ $errors->has('minimum_ws_quantity') ? ' has-error' : '' }}">--}}
                                                    {{--<label>Minimum WS Quantity</label>--}}
                                                    {{--<input type="number" min="0" name="minimum_ws_quantity" value="{{old('minimum_ws_quantity', @$product->minimum_ws_quantity)}}" placeholder="Minimum WS Quantity" class="form-control">--}}
                                                    {{--@if ($errors->has('minimum_ws_quantity'))--}}
                                                        {{--<span class="help-block"><strong>{{ $errors->first('minimum_ws_quantity') }}</strong></span>--}}
                                                    {{--@endif--}}
                                                {{--</div>--}}
                                            {{--</div>--}}
                                            {{--<div class="col-md-4">--}}
                                                {{--<div class="form-group {{ $errors->has('minimum_rs_quantity') ? ' has-error' : '' }}">--}}
                                                    {{--<label>Minimum RS Quantity</label>--}}
                                                    {{--<input type="number" min="0" name="minimum_rs_quantity" value="{{old('minimum_rs_quantity', @$product->minimum_rs_quantity)}}" placeholder="Minimum RS Quantity" class="form-control">--}}
                                                    {{--@if ($errors->has('minimum_rs_quantity'))--}}
                                                        {{--<span class="help-block"><strong>{{ $errors->first('minimum_rs_quantity') }}</strong></span>--}}
                                                    {{--@endif--}}
                                                {{--</div>--}}
                                            {{--</div>--}}

                                        </div>
                                        <div class="row input_fields_wrap">
                                            <button type="button" class="btn bg-teal-400 btn-labeled btn-rounded add_field_button"><b><i class="icon-stack2"></i></b> Add More Product Images</button>
                                            <a href="{{ url('/subproducts/' .$product->id) }}" type="button" style="    margin: 0px 0px 0px 10px;" class="btn bg-teal-400 btn-labeled btn-rounded"><b><i class="icon-stack2"></i></b> Add Sub Product</a>
                                            <br><br>
                                            @if(!empty($product))
                                                @foreach($product->productImages->toarray() as $key=>$value)
                                                    <div class="">
                                                        <input type="hidden" name="old_images_id[{{$key}}]" value="{{$value['id']}}">
                                                        <div class="col-md-4 col-sm-4 " align="center">
                                                            @if(isset($value['image_url']) && !empty($value['image_url']))
                                                                <img src="{{$value['image_url']}}" class="image-height" style="height: 150px;!important;"   alt=""><br>
                                                                <a href="#" class="remove_field">Remove</a>
                                                            @endif
                                                        </div>
                                                    </div>
                                                @endforeach
                                            @endif
                                            @if(!isset($key) || empty($key))
                                                <?php $key=0;?>
                                            @endif

                                            <input type="hidden" id="product_image" value="{{$key}}">
                                            <div id="new_item">
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-12 ">
                                                <div class="form-group">
                                                    <label>Description</label>
                                                    <textarea cols="10" rows="10" name="description" class="wysihtml5 wysihtml5-min form-control" placeholder="Enter Description ...">
                                                        {{old('description', @$product->description)}}
									               </textarea>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="text-right">
                                            @if(!empty($product)) {!! method_field('PUT') !!} @endif
                                            {{ csrf_field() }}
                                            <button type="submit" class="btn btn-primary">
                                                @if(empty($product)) Save @else Update
                                                @endif  <i class="icon-arrow-right14 position-right"></i></button>
                                        </div>
                                    </form>

                                </div>
                            </div>
                            <!-- /Item Details -->
                        </div>
                    </div>
                    <!-- /tab content -->

                </div>
            </div>
            <!-- /detached content -->
@endsection

@section('footer-content')
<script>
    $(document).ready(function() {
        $('#is_scheme').trigger("change");
    });
</script>

    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>


    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/wysihtml5.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/toolbar.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/parsers.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/locales/bootstrap-wysihtml5.ua-UA.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/notifications/jgrowl.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/editor_wysihtml5.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>

    <script  type="text/javascript">

        $(document).ready(function() {
            var max_fields      = 40; //maximum input boxes allowed
            var wrapper         = $(".input_fields_wrap"); //Fields wrapper
            var add_button      = $(".add_field_button"); //Add button ID
            var x = 1; //initlal text box count
            $(add_button).click(function(e){ //on add input button click
//                var package_item = $('#package_item').val()+1;
                $('#product_image').val( function(i, oldval) {
                    return parseInt( oldval, 10) + 1;
                });
                e.preventDefault();
                if(x < max_fields){ //max input box allowed
                    var product_item = parseInt($('#product_image').val());
                    x++; //text box increment
                    $(wrapper).append('<div ><div  class="col-md-4 col-sm-4" align="center"><div class="form-group"><input type="file" class="image-height" name="image' + product_item + '" class=""><a href="#" class="remove_field">Remove</a> </div></div> '); //add input box
                }
            });

            $(wrapper).on("click",".remove_field", function(e){ //user click on remove text
                e.preventDefault(); $(this).parent().parent('div').remove(); x--;
            })
        });
        $(document).on("change", '#is_scheme', function () {
            if (!$(this).is(':checked')) {
               $('.is_scheme').hide();
            }else{
                $('.is_scheme').show();
            }
        });
    </script>
@endsection
