@extends('layouts.admin')

@section('header-content')
<style>
    ul.icons-list.action-size {
        width: 80px;
    }
</style>
@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
                @if( Auth::user()->can('modify_customers'))
                <a href="{{url('customers/create')}}">
                    <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-add"></i></b> Add New</button>
                </a>
                @endif
            </div>
        </div>

        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-4 col-sm-4">
                        <div class="form-group">
                            <div class="has-feedback">
                                <input type="hidden" id="selector_id"  name="search" value="" >
                                <input type="text" id="selector" name="search_name" value="{{ Request::get('search_name') }}" class="form-control" placeholder="Search here">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group ">
                            <select class="select-search selector" name="sale_officer"  >
                                <option value=""
                                >Select Sale Officer
                                </option>
                                @foreach($sales_officers as $so)
                                    <option value="{{$so->id}}" {{ Request::get('sale_officer') == $so->id ? 'selected="selected"':'' }}
                                    >{{$so->firstname.' '. $so->lastname}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-2">
                        <div class="form-group ">
                            <select class="select-search selector" name="country"  >
                                <option value=""
                                >Select Country
                                </option>
                                @foreach($countries as $country)
                                    <option value="{{$country->id}}" {{ Request::get('country') == $country->id ? 'selected="selected"':'' }}
                                    >{{$country->name}}
                                    </option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                    <button type="submit" class="btn btn-danger" id="clear">
                        <i class="icon-trash text-size-base position-left"></i>
                        Clear
                    </button>
                    <button type="submit" class="btn bg-blue">
                        <i class="icon-search4 text-size-base position-left"></i>
                        Search
                    </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h5 class="panel-title">All Customers</h5>
                <div class="heading-elements">
                        <div class="form-group drop-custum">
                            <select id="records_per_page" name="records_per_page"
                                    class="form-control"
                                    onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                                <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                    20
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                    50
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                    80
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                    100
                                    rows
                                </option>
                            </select>
                        </div>
                </div>
            </div>
            @if(!empty($shops[0]))
              <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Sales Officer</th>
                            <th>Location</th>
                            <th>Shop Type</th>
                            <th>Customer Type</th>
                            <th>Created at</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($shops as $key=>$shop)
                        <tr>
                            <td>{{$key+1}}</td>
                            <td><a href="customers/{{$shop->id}}"
                                   title="View Customer details">{{$shop->name}}</a></td>
                            <td>{{$shop->email}}</td>
                            <td>@if(isset($shop->saleOfficer)){{$shop->saleOfficer->firstname.' '.$shop->saleOfficer->lastname}} @endif</td>
                            <td>{{$shop->location}}</td>
                            <td>{{$shop->shop_type}}</td>
                            <td>{{$shop->customer_type}}</td>
                            <td>{{$shop->created_at}}</td>
                            <td>
                                <ul class="icons-list action-size">
                                    <li class="text-success-600"><a title="Check Ledger" href="{{url('/customer-ledger/'.$shop->id)}}"><i class="icon-credit-card2"></i></a></li>
                                    @if( Auth::user()->can('modify_customers'))
                                    <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$shop->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                    <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$shop->id}}');"><i class="icon-trash"></i></a></li>
                                    @endif
                                </ul>
                                <form id="deleteForm" method="POST" action="">
                                    {!! method_field('DELETE') !!}
                                    {!! csrf_field() !!}
                                </form>
                            </td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">
                    {{ $shops->links() }}
                </div>
            </div>
            @else
                <div class="panel-body">
                    <p>No Records Found</p>
                </div>
            @endif
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')
    <script src="{{URL::asset('js/jquery-ui.min.js')}}"></script>

    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <!-- /theme JS files -->

    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>

    <script>
        $("#selector").autocomplete({
            minLength: 1,
            source: function (request, response) {
                $.ajax({
                    url: '{{url('/search/')}}/' ,
                    type: "GET",
                    data: 'type=Customer&search_term=' + $('#selector').val(),
                    dataType: 'json'
                }).done(function (data) {
                    response($.map(data, function (obj) {
                        return {
                            label: '('+obj.name+')('+obj.email+')('+obj.customer_type+')'+')('+obj.shop_type+')'+')('+obj.Category+')',
                            value: obj.id
                        };
                    }));
                });
            },
            select: function (event, ui) {
                // Prevent value from being put in the input:
                this.value = ui.item.label;
                // Set the next input's value to the "value" of the item.
                $("#selector").val(this.value);
                $("#selector_id").val(ui.item.value);
                event.preventDefault();
            }
        });
    </script>

@endsection
