@extends('layouts.admin')

@section('header-content')
<style>
    tr.head-align th {
        text-align: center;
    }
</style>
@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
                {{--<form method="GET" action="{{ Request::url() }}">--}}
                 {{--<input type="hidden" name="download" value="true">--}}
                 {{--<input type="hidden" name="data[]" value="{{old('data', @$ledgers)}}">--}}
                <button type="button" id="download" class="btn btn-default btn-xs heading-btn pull-right"><i class="icon-file-download position-left"></i> Download</button>
                {{--</form>--}}
            </div>
            </div>
        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group ">
                            <label>Show Record</label>
                            <select class="select selector" name="all"  id="all"   >
                                <option value=""
                                >
                                </option>
                                <option value="true" {{ Request::get('all') == 'true' ? 'selected="selected"':'' }}
                                >All
                                </option>
                                <option value="false" {{ Request::get('all') == 'false' ? 'selected="selected"':'' }}
                                >Limited
                                </option>
                                <option value="date_range" {{ Request::get('all') == "date_range"? 'selected="selected"':'' }}> Date Range </option>
                            </select>
                        </div>
                    </div>
                    <div style="display: none" id="date_range">
                        <div class="col-md-2 col-sm-2" >
                            <div class="form-group ">
                                <label>  Start Date  </label>
                                <input type="date"  class="form-control" name="start_date" value="{{old('start_date', @Request::get('start_date'))}}">
                            </div>
                        </div>
                        <div class="col-md-2 col-sm-2" >
                            <div class="form-group ">
                                <label>  End Date  </label>
                                <input type="date"  class="form-control" name="end_date" value="{{old('end_date', @Request::get('end_date'))}}">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3 ">
                        <br>
                    <button type="submit" class="btn btn-danger" id="clear">
                        <i class="icon-trash text-size-base position-left"></i>
                        Clear
                    </button>
                    <button type="submit" class="btn bg-blue">
                        <i class="icon-search4 text-size-base position-left"></i>
                        Search
                    </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h2 class="panel-title" align="center">{{$customer}} Ledger</h2>
            </div>
            @if(!empty($ledgers[0]))
                <form id="downloadForm" method="GET" action="{{ Request::url() }}">

                </form>
              <div class="panel-body">
                  <h5 class="panel-title" align="center">Opening Balance: {{$opening_balance}} </h5>
                  <h5 class="panel-title" align="center">Balance: {{(-1)*$balance}} </h5><br>
                <div class="table-responsive">

                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr class="head-align">
                            <th > #</th>
                            <th >Invoice #</th>
                            <th>Date</th>
                            <th>Sale (Dr) </th>
                            <th>Receipts (Cr) </th>
                            <th>Balance</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($ledgers as $key=>$ledger)
                        <tr align="center">
                            <td > @if($ledger['ledger_type']=="order")<a href="{{url('orders/'.$ledger['id'])}}"
                                    title="View Order Details"> {{$ledger['id']}}</a> @endif
                                @if($ledger['ledger_type']=="payment")  <a href="{{url('payments/'.$ledger['id'])}}"
                                    title="View Payment Details"> {{$ledger['id']}}</a> @endif
                                </td>
                            <td>@if($ledger['ledger_type']=="order") {{$ledger['invoice_no']}} @endif</td>
                            <td>{{$ledger['date']}}</td>
                            <td>@if($ledger['ledger_type']=="order") {{$ledger['payment']}} @endif</td>
                            <td>@if($ledger['ledger_type']=="payment") {{$ledger['amount']}} @endif</td>

                            <td>  {{ (-1) * (int)$ledger['balance']}}</td>
                        </tr>
                            @if($key==10 && $all==false)
                                @php break;
                                @endphp
                            @endif
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">

                </div>
            </div>
            @else
                <div class="panel-body">
                    <p>No Records Found</p>
                </div>
            @endif
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')

    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
    <script>
        $('#download').click(function(){
//            var data=$('#ledger_data').val();
            $.ajax({
                url: '{{url('/customer-ledger/1')}}/',
                type: 'GET',
                contentType: 'application/json; charset=utf-8',
                data:{"download": true},
                dataType: 'json',
                success: function (data) {

                },
                error: function () {
                }
            });
        })

    </script>
    <script>
        $(document).on('change', '#all', function() {
            var ID=$(this).val();
            if($(this).val()=='date_range'){
                $('#date_range').show();
            }
            else{
                $('#date_range').hide();
            }
        });
    </script>
@endsection
