@extends('layouts.admin')
@section('header-content')
    <style>
        .image-height{
            border: solid;
            height: 140px;
        }
    </style>
@endsection
@section('content')
            <div class="container-detached">
                <div class="content-detached">
                    <!-- Tab content -->
                    <div class="tab-content">
                        <div class="tab-pane fade in active" id="profile">
                            <!-- Item Details -->
                            <div class="panel panel-flat">
                                <div class="panel-heading">
                                    <h6 class="panel-title">Customer Details</h6>
                                    <div class="heading-elements">
                                        <ul class="icons-list">
                                            <li><a data-action="collapse"></a></li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="panel-body">
                                    <form method="POST"
                                          action="{{ url('customers'.(empty($shop) ? '': '/' . $shop->id)) }}"
                                          enctype="multipart/form-data">
                                        {!! csrf_field() !!}
                                         <div class="row">
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('name') ? ' has-error' : '' }}">
                                                    <label>Name <span class="text-danger">*</span></label>
                                                    <input type="text" name="name" value="{{old('name', @$shop->name)}}" placeholder="Name" class="form-control">
                                                    @if ($errors->has('name'))
                                                        <span class="help-block"><strong>{{ $errors->first('name') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                             <div class="col-md-4 col-sm-4">
                                                 <div class="form-group {{ $errors->has('email') ? ' has-error' : '' }}">
                                                     <label>Email </label>
                                                     <input type="email" name="email" value="{{old('email', @$shop->email)}}"  placeholder="Email" class="form-control">
                                                     @if ($errors->has('email'))
                                                         <span class="help-block"><strong>{{ $errors->first('email') }}</strong></span>
                                                     @endif
                                                 </div>
                                             </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('location') ? ' has-error' : '' }}">
                                                    <label>Location</label>
                                                    <input type="text" name="location" value="{{old('location', @$shop->location)}}" placeholder="Location" class="form-control">
                                                    @if ($errors->has('location'))
                                                        <span class="help-block"><strong>{{ $errors->first('location') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4 col-sm-4"  >
                                                <div class="form-group">
                                                    <label>Customer Type</label>
                                                    <input type="hidden" id="old_customer_type" value="{{@$shop->customer_type}}">
                                                    <select class="select" name="customer_type" id="customer_type">
                                                        <option value="Wholesaler" {{ old('customer_type', @$shop->customer_type) == 'Wholesaler' ? 'selected="selected"':'' }}>
                                                            Wholesaler
                                                        </option>
                                                        <option value="Retail Saler" {{ old('customer_type', @$shop->customer_type) == 'Retail Saler' ? 'selected="selected"':'' }}>
                                                            Retail Saler
                                                        </option>
                                                        <option value="Distributer" {{ old('customer_type', @$shop->customer_type) == 'Distributer' ? 'selected="selected"':'' }}>
                                                            Distributer
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4" id="shop_type" style="display: none">
                                                <div class="form-group">
                                                    <label>Shop Type</label>
                                                    <select class="select" name="shop_type">
                                                        <option value="Parlor" {{ old('shop_type', @$shop->shop_type) == 'Parlor' ? 'selected="selected"':'' }}>
                                                            Parlor
                                                        </option>
                                                        <option value="Doctor" {{ old('shop_type', @$shop->shop_type) == 'Doctor' ? 'selected="selected"':'' }}>
                                                            Doctor
                                                        </option>
                                                        <option value="Medical Store" {{ old('shop_type', @$shop->shop_type) == 'Medical Store' ? 'selected="selected"':'' }}>
                                                            Medical Store
                                                        </option>
                                                        <option value="Pan Shop" {{ old('shop_type', @$shop->shop_type) == 'Pan Shop' ? 'selected="selected"':'' }}>
                                                            Pan Shop
                                                        </option>
                                                        <option value="Super Store" {{ old('shop_type', @$shop->shop_type) == 'Super Store' ? 'selected="selected"':'' }}>
                                                            Super Store
                                                        </option>
                                                        <option value="General Store" {{ old('shop_type', @$shop->shop_type) == 'General Store' ? 'selected="selected"':'' }}>
                                                            General Store
                                                        </option>
                                                        <option value="Cosmetics Shop" {{ old('shop_type', @$shop->shop_type) == 'Cosmetics Shop' ? 'selected="selected"':'' }}>
                                                            Cosmetics Shop
                                                        </option>
                                                        <option value="Tuk Shop at Fuel Station" {{ old('shop_type', @$shop->shop_type) == 'Tuk Shop at Fuel Station' ? 'selected="selected"':'' }}>
                                                            Tuk Shop at Fuel Station
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4" id="sale_officer_1">
                                                <div class="form-group {{ $errors->has('sale_officer') ? ' has-error' : '' }}">
                                                    <label>Sale Officer <span class="text-danger">*</span></label>
                                                    <select class="select" name="sale_officer" id="sale_officer">
                                                        @foreach($sales_officers as $so)
                                                            <option value="{{$so->id}}" @if (old('sale_officer') == $so->id || isset($shop) && $shop->sale_officer_id==$so->id) selected="selected" @endif
                                                            >{{$so->firstname}}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                    @if ($errors->has('sale_officer'))
                                                        <span class="help-block"><strong>{{ $errors->first('sale_officer') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4" id="area_1">
                                                <div class="form-group {{ $errors->has('area') ? ' has-error' : '' }}">
                                                    <label>Area</label>
                                                    <input type="hidden" id="old_area" value="{{@$shop->area_id}}">
                                                    <select class="select" name="area" id="area"disabled>
                                                    </select>
                                                    @if ($errors->has('area'))
                                                        <span class="help-block"><strong>{{ $errors->first('area') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group">
                                                    <label>Status</label>
                                                    <select class="select" name="status">
                                                        <option value="Approved" {{ old('status', @$shop->status) == 'Approved' ? 'selected="selected"':'' }}>
                                                            Approved
                                                        </option>
                                                        <option value="Pending" {{ old('status', @$shop->status) == 'Pending' ? 'selected="selected"':'' }}>
                                                            Pending
                                                        </option>
                                                        <option value="Rejected" {{ old('status', @$shop->status) == 'Rejected' ? 'selected="selected"':'' }}>
                                                            Rejected
                                                        </option>
                                                        <option value="Blocked" {{ old('status', @$shop->status) == 'Blocked' ? 'selected="selected"':'' }}>
                                                            Blocked
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('latitude') ? ' has-error' : '' }}">
                                                    <label>Latitude</label>
                                                    <input type="text" name="latitude" value="{{old('latitude', @$shop->latitude)}}" placeholder="Latitude" class="form-control">
                                                    @if ($errors->has('latitude'))
                                                        <span class="help-block"><strong>{{ $errors->first('latitude') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('longitude') ? ' has-error' : '' }}">
                                                    <label>Longitude</label>
                                                    <input type="text" name="longitude" value="{{old('longitude', @$shop->longitude)}}" placeholder="Longitude" class="form-control">
                                                    @if ($errors->has('longitude'))
                                                        <span class="help-block"><strong>{{ $errors->first('longitude') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('phone_1') ? ' has-error' : '' }}">
                                                    <label>Phone1 # <span class="text-danger">*</span></label>
                                                    <input type="text" name="phone_1" value="{{old('phone_1', @$shop->phone_1)}}"  placeholder="Phone1 #"  class="form-control">
                                                    @if ($errors->has('phone_1'))
                                                        <span class="help-block"><strong>{{ $errors->first('phone_1') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('phone_2') ? ' has-error' : '' }}">
                                                    <label>Phone2 #</label>
                                                    <input type="text" name="phone_2" value="{{old('phone_2', @$shop->phone_2)}}"  placeholder="Phone2 #" class="form-control">
                                                    @if ($errors->has('phone_2'))
                                                        <span class="help-block"><strong>{{ $errors->first('phone_2') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('landline') ? ' has-error' : '' }}">
                                                    <label>Landline #</label>
                                                    <input type="text" name="landline" value="{{old('landline', @$shop->landline)}}"  placeholder="Landline #" class="form-control">
                                                    @if ($errors->has('landline'))
                                                        <span class="help-block"><strong>{{ $errors->first('landline') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('discount_percentage') ? ' has-error' : '' }}">
                                                    <label>Discount Percentage</label>
                                                    <input type="text" name="discount_percentage" value="{{old('discount_percentage', @$shop->discount_percentage)}}" placeholder="Discount Percentage" class="form-control">
                                                    @if ($errors->has('discount_percentage'))
                                                        <span class="help-block"><strong>{{ $errors->first('discount_percentage') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group">
                                                    <label>Category</label>
                                                    <select class="select" name="Category">
                                                        <option value="A+" {{ old('Category', @$shop->Category) == 'A+' ? 'selected="selected"':'' }}>
                                                            A+
                                                        </option>
                                                        <option value="A" {{ old('Category', @$shop->Category) == 'A' ? 'selected="selected"':'' }}>
                                                            A
                                                        </option>
                                                        <option value="B" {{ old('Category', @$shop->Category) == 'B' ? 'selected="selected"':'' }}>
                                                            B
                                                        </option>
                                                        <option value="C" {{ old('Category', @$shop->Category) == 'C' ? 'selected="selected"':'' }}>
                                                            C
                                                        </option>
                                                        <option value="D" {{ old('Category', @$shop->Category) == 'D' ? 'selected="selected"':'' }}>
                                                            D
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4" >
                                                <div class="form-group {{ $errors->has('opening_balance') ? ' has-error' : '' }}">
                                                    <label>Opening Balance </label>
                                                    <input type="number" name="opening_balance" value="{{old('opening_balance', @$shop->opening_balance)}}" placeholder="Opening Balance" class="form-control" @if(isset($shop))readonly @endif>
                                                @if ($errors->has('opening_balance'))
                                                        <span class="help-block"><strong>{{ $errors->first('opening_balance') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            @if(isset($shop))
                                            <div class="col-md-4 col-sm-4"  >
                                                <div class="form-group ">
                                                    <label> Balance </label>
                                                    <input type="number"  name="balance" value="{{old('balance', @$shop->balance)}}" placeholder="Balance" class="form-control" readonly >
                                                </div>
                                            </div>
                                            @endif
                                            <div class="col-md-4 col-sm-4" >
                                                <div class="form-group {{ $errors->has('currency') ? ' has-error' : '' }}">
                                                    <label>Country </label>
                                                    <select class="select" name="country" id="country" >
                                                        @foreach($countries as $country)
                                                            <option value="{{$country->id}}" @if (old('country') == $country->id || isset($shop) && isset($shop->currency->country->id) && $shop->currency->country->id==$country->id) selected="selected" @endif
                                                            >{{$country->name}}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                    @if ($errors->has('country'))
                                                        <span class="help-block"><strong>{{ $errors->first('country') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4" >
                                                <div class="form-group {{ $errors->has('currency') ? ' has-error' : '' }}">
                                                    <label>Curreny <span class="text-danger">*</span></label>
                                                    <select class="select" name="currency" id="curency" >

                                                    </select>
                                                    @if ($errors->has('currency'))
                                                        <span class="help-block"><strong>{{ $errors->first('currency') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4" >
                                                <div class="form-group {{ $errors->has('target_visit') ? ' has-error' : '' }}">
                                                    <label>Target Visit</label>
                                                    <select class="select" name="target_visit" >
                                                        @foreach($target_visits as $visit)
                                                            <option value="{{$visit->id}}" @if (old('target_visit') == $visit->id || isset($shop) && $shop->target_visit_id==$visit->id) selected="selected" @endif
                                                            >{{$visit->grade.' - '.$visit->value}}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                    @if ($errors->has('target_visit'))
                                                        <span class="help-block"><strong>{{ $errors->first('target_visit') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('biocos_ratting') ? ' has-error' : '' }}">
                                                    <label>Biocos Ratting</label>
                                                    <input type="text" name="biocos_ratting" value="{{old('biocos_ratting', @$shop->biocos_ratting)}}" placeholder="Biocos Ratting" class="form-control">
                                                    @if ($errors->has('biocos_ratting'))
                                                        <span class="help-block"><strong>{{ $errors->first('biocos_ratting') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row input_fields_wrap2" >
                                            <button type="button" class="btn bg-teal-400 btn-labeled btn-rounded add_field_button2"><b><i class="icon-stack2"></i></b>  Product Discount Rate</button>
                                            <br><br>
                                            <div id="discount">

                                            </div>
                                            @foreach($products as $key=>$product)
                                                <div class="col-md-6 col-sm-6" >
                                                    <div class="form-group">
                                                        <label>Product</label>
                                                        <input type="hidden" name="products[{{$key}}][product_id]" value="{{$product->id}}"  class="form-control" readonly>
                                                        <input type="text"  value="{{$product->name}}"  class="form-control" readonly>
                                                    </div>
                                                </div>
                                                <div class="col-md-6 col-sm-6" >
                                                    <div class="form-group ">
                                                        <label>Discount</label>
                                                        @if(isset($shop) && !empty($shop->product_discount))
                                                            @foreach($shop->product_discount as $discount)
                                                                @if($discount->product_id==$product->id)
                                                                    <input type="hidden" name="products[{{$key}}][old_customer_discount_id]" value="{{$discount->id}}"  class="form-control" >
                                                                    @php
                                                                    $old_discount_id=$discount->product_discount_id;
                                                                         break;
                                                                    @endphp
                                                                @endif
                                                            @endforeach
                                                        @endif
                                                       <select class="form-control PKR_Price" name="products[{{$key}}][discount_id_pkr]">
                                                           @foreach($product->discount as $count)
                                                               <option value="{{$count->id}}" @if(!isset($shop) && $count->grade=='D' ) selected @elseif(isset($shop) && !empty($old_discount_id) && $old_discount_id==$count->id) selected  @endif>
                                                                   {{$count->PKR_retail_price}}
                                                               </option>
                                                           @endforeach
                                                       </select>
                                                        <select class="form-control AED_Price AED_retail_price" name="products[{{$key}}][discount_id_AED_retail_price]" style="display: none;" >
                                                            @foreach($product->discount as $count)
                                                                <option value="{{$count->id}}" @if(!isset($shop) && $count->grade=='D' ) selected @elseif(isset($shop) && !empty($old_discount_id) && $old_discount_id==$count->id) selected @endif>{{$count->AED_retail_price}}</option>
                                                            @endforeach
                                                        </select>
                                                        <select class="form-control AED_Price AED_wholesale_price" name="products[{{$key}}][discount_id_AED_wholesale_price]" style="display: none;" >
                                                            @foreach($product->discount as $count)
                                                                <option value="{{$count->id}}" @if(!isset($shop) && $count->grade=='D' ) selected @elseif(isset($shop) && !empty($old_discount_id) && $old_discount_id==$count->id) selected @endif>{{$count->AED_wholesale_price}}</option>
                                                            @endforeach
                                                        </select>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                        <div class="row input_fields_wrap">
                                            <button type="button" class="btn bg-teal-400 btn-labeled btn-rounded add_field_button"><b><i class="icon-stack2"></i></b> Add More Customers Images</button>
                                            <br><br>
                                            @if(!empty($shop))
                                                @foreach($shop->shopOtherImages($shop->id)->toarray() as $key2=>$value)
                                                    <div class="">
                                                        <input type="hidden" name="old_images_id[{{$key2}}]" value="{{$value['id']}}">
                                                        <div class="col-md-4 col-sm-4 " align="center">
                                                            @if(isset($value['image_url']) && !empty($value['image_url']))
                                                                <img src="{{$value['image_url']}}" class="image-height" style="height: 150px;!important;"   alt=""><br>
                                                                <a href="#" class="remove_field">Remove</a>
                                                            @endif
                                                        </div>
                                                    </div>
                                                @endforeach
                                            @endif
                                            @if(!isset($key2) || empty($key2))
                                                <?php $key2=0;?>
                                            @endif

                                            <input type="hidden" id="shop_image" value="{{$key2}}">
                                            <div id="new_item">
                                            </div>
                                        </div>
                                        <legend class="text-semibold"><i class="icon-reading position-left"></i> Proprietor details</legend>
                                        <div class="row">
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('proprietor.'.'name') ? ' has-error' : '' }}">
                                                    <label>Name <span class="text-danger">*</span></label>
                                                    <input type="text" name="proprietor[name]" id="pr_name" value="{{old('proprietor.'.'name', @$shop->proprietor->firstname.' '.@$shop->proprietor->lastname)}}" placeholder="Name" class="form-control">
                                                    @if ($errors->has('proprietor.'.'name'))
                                                        <span class="help-block"><strong>{{ $errors->first('proprietor.'.'name') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('proprietor.'.'email') ? ' has-error' : '' }}">
                                                    <label>Email</label>
                                                    <input type="email" name="proprietor[email]" id="pr_email" value="{{old('proprietor.'.'email', @$shop->proprietor->email)}}"  placeholder="Email" class="form-control">
                                                    @if ($errors->has('proprietor.'.'email'))
                                                        <span class="help-block"><strong>{{ $errors->first('proprietor.'.'email') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('proprietor.'.'address') ? ' has-error' : '' }}">
                                                    <label>Address</label>
                                                    <input type="text" name="proprietor[address]"  id="pr_address" value="{{old('proprietor.'.'address', @$shop->proprietor->address)}}" placeholder="Address" class="form-control">
                                                    @if ($errors->has('proprietor.'.'address'))
                                                        <span class="help-block"><strong>{{ $errors->first('proprietor.'.'address') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('proprietor.'.'phone_1') ? ' has-error' : '' }}">
                                                    <label>Phone1 #  <span class="text-danger">*</span></label>
                                                    <input type="text" name="proprietor[phone_1]" id="pr_phone_1" value="{{old('proprietor.'.'phone_1', @$shop->proprietor->phone_1)}}"  placeholder="Phone1 #"  class="form-control">
                                                    @if ($errors->has('proprietor.'.'phone_1'))
                                                        <span class="help-block"><strong>{{ $errors->first('proprietor.'.'phone_1') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('proprietor.'.'phone_2') ? ' has-error' : '' }}">
                                                    <label>Phone2 #</label>
                                                    <input type="text" name="proprietor[phone_2]" id="pr_phone_2" value="{{old('proprietor.'.'phone_2', @$shop->proprietor->phone_2) }}"  placeholder="Phone2 #" class="form-control">
                                                    @if ($errors->has('proprietor.'.'phone_2'))
                                                        <span class="help-block"><strong>{{ $errors->first('proprietor.'.'phone_2') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('proprietor.'.'landline') ? ' has-error' : '' }}">
                                                    <label>Landline #</label>
                                                    <input type="text" name="proprietor[landline]" id="pr_landline" value="{{old('proprietor.'.'landline', @$shop->proprietor->landline)}}" placeholder="Landline #" class="form-control">
                                                    @if ($errors->has('proprietor.'.'landline'))
                                                        <span class="help-block"><strong>{{ $errors->first('proprietor.'.'landline') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <legend class="text-semibold"><i class="icon-reading position-left"></i> Contact Person details
                                            <div class="form-group pull-right">
                                                <label class="checkbox-inline checkbox-right">
                                                    <input type="checkbox" id="same_as_above" name="same_as_above" @if(isset($shop->proprietor_id) && isset($shop->contact_person_id) && $shop->proprietor_id==$shop->contact_person_id)) checked @endif class="styled">
                                                    Same As Above
                                                </label>
                                            </div>
                                        </legend>

                                        <div class="row">
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('contact_person.'.'name') ? ' has-error' : '' }}">
                                                    <label>Name <span class="text-danger">*</span></label>
                                                    <input type="text" name="contact_person[name]" id="cn_name" value="{{old('contact_person.'.'name', @$shop->contact_person->firstname.' '.@$shop->contact_person->lastname)}}" placeholder="Name" class="form-control">
                                                    @if ($errors->has('contact_person.'.'name'))
                                                        <span class="help-block"><strong>{{ $errors->first('contact_person.'.'name') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('contact_person.'.'email') ? ' has-error' : '' }}">
                                                    <label>Email </label>
                                                    <input type="email" name="contact_person[email]" id="cn_email" value="{{old('contact_person.'.'email', @$shop->contact_person->email)}}" placeholder="Email" class="form-control">
                                                    @if ($errors->has('contact_person.'.'email'))
                                                        <span class="help-block"><strong>{{ $errors->first('contact_person.'.'email') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('contact_person.'.'address') ? ' has-error' : '' }}">
                                                    <label>Address</label>
                                                    <input type="text" name="contact_person[address]" id="cn_address" value="{{old('contact_person.'.'address', @$shop->contact_person->address)}}" placeholder="Address" class="form-control">
                                                    @if ($errors->has('contact_person.'.'address'))
                                                        <span class="help-block"><strong>{{ $errors->first('contact_person.'.'address') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('contact_person.'.'phone_1') ? ' has-error' : '' }}">
                                                    <label>Phone1 # <span class="text-danger">*</span></label>
                                                    <input type="text" name="contact_person[phone_1]" id="cn_phone_1" value="{{old('contact_person.'.'phone_1', @$shop->contact_person->phone_1)}}"  placeholder="Phone1 #"  class="form-control">
                                                    @if ($errors->has('contact_person.'.'phone_1'))
                                                        <span class="help-block"><strong>{{ $errors->first('contact_person.'.'phone_1') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('contact_person.'.'phone_2') ? ' has-error' : '' }}">
                                                    <label>Phone2 #</label>
                                                    <input type="text" name="contact_person[phone_2]" id="cn_phone_2" value="{{old('contact_person.'.'phone_2', @$shop->contact_person->phone_2)}}"  placeholder="Phone2 #" class="form-control">
                                                    @if ($errors->has('contact_person.'.'phone_2'))
                                                        <span class="help-block"><strong>{{ $errors->first('contact_person.'.'phone_2') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="col-md-4 col-sm-4">
                                                <div class="form-group {{ $errors->has('contact_person.'.'landline') ? ' has-error' : '' }}">
                                                    <label>Landline #</label>
                                                    <input type="text" name="contact_person[landline]" id="cn_landline" value="{{old('contact_person.'.'landline', @$shop->contact_person->landline)}}" placeholder="Landline #" class="form-control">
                                                    @if ($errors->has('contact_person.'.'landline'))
                                                        <span class="help-block"><strong>{{ $errors->first('contact_person.'.'landline') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                        </div>

                                        <div class="text-right">
                                            @if(!empty($shop)) {!! method_field('PUT') !!} @endif
                                            {{ csrf_field() }}
                                            <button type="submit" class="btn btn-primary">
                                                @if(empty($shop)) Save @else Update
                                                @endif  <i class="icon-arrow-right14 position-right"></i></button>
                                        </div>
                                    </form>
                                </div>
                            </div>

                        </div>
                    </div>
                    <!-- /tab content -->

                </div>
            </div>
            <!-- /detached content -->
@endsection

@section('footer-content')
    <script>
        $(document).ready(function () {
            $('#sale_officer').trigger('change');
            $('#country').trigger('change');
            $('#curency').trigger('change');
            $('#customer_type').trigger('change');
        });
    </script>
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/wysihtml5.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/toolbar.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/parsers.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/editors/wysihtml5/locales/bootstrap-wysihtml5.ua-UA.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/notifications/jgrowl.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/editor_wysihtml5.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    {{--  Append Customer Image  --}}
    <script  type="text/javascript">
        $(document).ready(function() {
            var max_fields      = 40; //maximum input boxes allowed
            var wrapper         = $(".input_fields_wrap"); //Fields wrapper
            var add_button      = $(".add_field_button"); //Add button ID
            var x = 1; //initlal text box count
            $(add_button).click(function(e){ //on add input button click
//                var package_item = $('#package_item').val()+1;
                $('#shop_image').val( function(i, oldval) {
                    return parseInt( oldval, 10) + 1;
                });
                e.preventDefault();
                if(x < max_fields){ //max input box allowed
                    var product_item = parseInt($('#shop_image').val());
                    x++; //text box increment
                    $(wrapper).append('<div ><div  class="col-md-4 col-sm-4" align="center"><div class="form-group"><input type="file" class="image-height" name="image' + product_item + '" class=""><a href="#" class="remove_field">Remove</a> </div></div> '); //add input box
                }
            });

            $(wrapper).on("click",".remove_field", function(e){ //user click on remove text
                e.preventDefault(); $(this).parent().parent('div').remove(); x--;
            })
        });
    </script>
    {{-- Append Product Discount --}}

    <script>
        $(document).on("change", '#curency', function () {
            var Id = parseInt($(this).val());
            if(Id==1){
                $('.PKR_Price').show();
                $('.AED_Price').hide();
                $('.input_fields_wrap2').hide();
            }else if(Id==2){
                $('.AED_Price').show();
                $('.PKR_Price').hide();
                $('.input_fields_wrap2').show();
            }
        });
        $(document).on("change", '#customer_type', function () {
            var value = $(this).val();
            var country_id = parseInt($('#country').val());
            if(value=="Retail Saler"){
                $('#shop_type').show();
            }else{
                $('#shop_type').hide();
            }
            console.log(value)
            if(value!="Distributer"){
                $('#sale_officer_1').show();
                $('#area_1').show();
            }else{
                $('#sale_officer_1').hide();
                $('#area_1').hide();
            }
            if(country_id==2){
                if(value=="Wholesaler"){
                    $('.AED_wholesale_price').show();
                    $('.AED_retail_price').hide();
                }else if(value=="Retail Saler"){
                    $('.AED_wholesale_price').hide();
                    $('.AED_retail_price').show();
                }else{
                    $('.AED_wholesale_price').hide();
                    $('.AED_retail_price').hide();
                }

            }else{
                $('.AED_wholesale_price').hide();
                $('.AED_retail_price').hide();

            }

        });
    </script>
    <script>
        $(document).on("change", '#sale_officer', function () {
            var Id = parseInt($(this).val());
            var type = 'edit';
            ajax_call(Id,type);
        });
        $(document).on("change", '#same_as_above', function () {
           if( $('#same_as_above' ).is(":checked")){
                $("#cn_name").val($("#pr_name").val())
                $("#cn_email").val($("#pr_email").val())
                $("#cn_address").val($("#pr_address").val())
                $("#cn_phone_1").val($("#pr_phone_1").val())
                $("#cn_phone_2").val($("#pr_phone_2").val())
                $("#cn_landline").val($("#pr_landline").val())
            }else{
                $("#cn_name").val('')
                $("#cn_email").val('')
                $("#cn_address").val('')
                $("#cn_phone_1").val('')
                $("#cn_phone_2").val('')
                $("#cn_landline").val('')
            }

        });

        function ajax_call(id,type) {
            $.ajax({
                url: '{{url('/sales_officer_areas/')}}/' + id,
                type: 'GET',
                contentType: 'application/json; charset=utf-8',
                dataType: 'json',
                data: {'type':type},
                success: function (data) {
                    $inputValues = $('#old_area').val();
                    console.log($inputValues);

                    if(data.length>0){
                        $('#area').empty();
                        $('#area').prop("disabled", false);
                        $(data).each(function (index, element) {
                            $('#area').append(
                                    $('<option >', {value: element.id}).text(element.name)
                            );
                        if (element.id == $inputValues){
                            $("#area option[value='" + $inputValues + "']").prop("selected","selected");
                        }
                        });
                    }else{
                        $('#area').prop("disabled", true);
                        $('#area').empty();
                    }
                },
                error: function () {
                }
            });
        }
        $(document).on("change", '#country', function () {
            $inputValues = $("#old_customer_type").val();
            var ID =parseInt($(this).val());
            var value =$('#customer_type').val();
            if(ID==2){
                $('#customer_type')
                        .find('option')
                        .remove()
                        .end();
                var all_customers_type=  [{ name : 'Wholesaler'},{ name : 'Retail Saler'}]
                $(all_customers_type).each(function (index, element) {
                    $('#customer_type').append(
                            $('<option >', {value: element.name} ) .text(element.name)
                    );
                    if (element.name == $inputValues) {
                    $("#customer_type option[value='" + $inputValues + "']").prop("selected", "selected");
                }
                });

            }else{

                $('#customer_type')
                        .find('option')
                        .remove()
                        .end();
                var all_customers_type=  [{ name : 'Wholesaler'},{ name : 'Retail Saler'},{name:'Distributer' }]
                $(all_customers_type).each(function (index, element) {
                    $('#customer_type').append(
                            $('<option >', {value: element.name} ) .text(element.name)
                    );
                    if (element.name == $inputValues) {
                        $("#customer_type option[value='" + $inputValues + "']").prop("selected", "selected");
                    }
                });
            }

            $.ajax({
                url: '{{url('/country-currencies/')}}/'+ID,
                type: 'GET',
                contentType: 'application/json; charset=utf-8',
                dataType: 'json',
                success: function (data) {
                    $('#curency')
                            .find('option')
                            .remove()
                            .end();
                    $(data).each(function (index, element) {

                        $('#curency').append(
                                $('<option >', {value: element.id} ) .text(element.name)
                        );
                    });
                    $('#curency').trigger('change');
                    $('#customer_type').trigger('change');

//                    $('.actual_price'+id).val(data);
                },
                error: function () {
                }
            });
        });
    </script>


@endsection
