@extends('layouts.admin')
@section('header-content')
<link href="{{URL::asset('css/basic.min.css')}}" rel="stylesheet">
<style>
    .dz-message{
        margin: 20px 0px;
    }   
</style>
@endsection

@section('content')
    <!-- Multiple file upload -->
    <div class="panel panel-flat">
        <div class="panel-heading">
            <h5 class="panel-title">Images for {{$product->name}} </h5>
            <h4>
                <a href="./images" class="btn btn-primary btn-sm pull-right" title="Refresh page">Refresh</a>
                <br>
            </h4>
        </div>
        <div class="panel-body">
            <form action="{{url('products/' . Request::segment('2') . '/images')}}" method="POST" class="dropzone" id="dropzone_multiple">
                {!! csrf_field() !!}
                <input type="hidden" name="product_id" value="{{$product->id}}">
                <input type="hidden" name="product_url_key" value="{{$product->url_key}}">
            </form>
            @if (sizeof($images))
                @foreach($images as $image)
                    <?php $url = url($image->image_url) ?>
                    <div class="col-md-3 col-sm-6 col-xs-12 text-center margin-top-10">
                        <a href="{{$url}}" data-featherlight="image"><img src="{{$url}}" alt="" width="220" height="220"></a>
                        <div>
                            <a href="{{$url}}" target="_blank">{{basename($image->image_url)}}</a><br>
                            {{date('d M Y H:i:s', strtotime($image->created_at))}}<br>
                            <a title="Delete" class="btn btn-danger" href="javascript:;" onclick="deleteItem('/products/{{$product->id}}/images/{{$image->id}}');" >Delete</a>
                        </div>
                    </div>
                @endforeach
                <div class="text-center">{!! $images->render() !!}</div>
                <form id="deleteForm" method="POST" action="">
                    {!! method_field('DELETE') !!}
                    {!! csrf_field() !!}
                </form>
            @else
                Records not found.
            @endif
        </div>

    </div>
    <!-- /multiple file upload -->
@endsection

@section('footer-content')
    <script type="text/javascript" src="{{asset('assets/js/plugins/uploaders/dropzone.min.js')}}"></script>
@endsection