@extends('layouts.admin')
@section('header-content')
<style>
    .center {
        text-align: center!important;
    }
    .size{
        font-size: 18px;
    }

</style>
@endsection
@section('content')
    <div class="panel panel-flat">
            <div class="table-responsive">
                <table class="table table-bordered table-lg">
                    <tbody>
                    <tr >
                        <th colspan="4" class="center size" >{{$shop->name}} Detail
                            @if( Auth::user()->can('modify_customers'))
                            <a href="{{url('customers/'.$shop->id.'/edit')}}">
                                <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-pencil7"></i></b> Edit</button>
                            </a>
                            @endif
                        </th>
                    </tr>
                    <tr>
                        <td>Customer Name</td>
                        <td>{{$shop->name}}  </td>
                        <td>Customer Email</td>
                        <td>{{$shop->email}}</td>
                    </tr>
                    <tr>
                        <td>Proprietor Name</td>
                        <td>{{$shop->proprietor->firstname.' '.$shop->proprietor->lastname}}  </td>
                        <td>Contact Person</td>
                        <td>{{$shop->contact_person->firstname.' '.$shop->contact_person->lastname}}  </td>
                    </tr>
                    <tr>
                        <td>Location</td>
                        <td>{{$shop->location}}  </td>
                        <td>Region</td>
                        <td>@if(isset($shop->region) && isset($shop->region->name)){{$shop->region->name}}@endif</td>
                    </tr>
                    <tr>
                        <td>Latitude</td>
                        <td>{{$shop->latitude}}</td>
                        <td>Longitude</td>
                        <td>{{$shop->longitude}}</td>
                    </tr>
                    <tr>
                        <td>Phone 1</td>
                        <td>{{$shop->phone_1}}  </td>
                        <td>Phone 2</td>
                        <td>{{$shop->phone_2}}</td>
                    </tr>
                    <tr>
                        <td>Landline #</td>
                        <td>{{$shop->landline}}  </td>
                        <td>Discount Percentage</td>
                        <td>{{$shop->discount_percentage}}  </td>
                    </tr>
                    <tr>
                        <td>Opening Balance</td>
                        <td  >{{$shop->opening_balance}}  </td>
                        <td>Biocos Ratting</td>
                        <td>{{$shop->biocos_ratting}}</td>
                    </tr>
                    <tr>


                    </tr>
                    <tr>
                        <td >Status</td>
                        <td>{{$shop->status}}  </td>
                        <td >Customer Type</td>
                        <td>{{$shop->customer_type}}  </td>
                    </tr>
                    <tr>
                        <td >Shop Type</td>
                        <td>{{$shop->shop_type}}  </td>
                        <td >Category</td>
                        <td>{{$shop->Category}}  </td>
                    </tr>
                    <tr>
                        <td >Created At</td>
                        <td>{{$shop->created_at}}  </td>
                        <td >Updated At</td>
                        <td>{{$shop->updated_at}}  </td>
                    </tr>
                    <tr>
                        <td colspan="4" class="center size"><b>Customer Images</b></td>
                    </tr>
                    @if(count($shop->shopOtherImages($shop->id))>0)
                        <tr>
                            @foreach($shop->shopOtherImages($shop->id) as $key3=>$image)

                                <td colspan="" align="center">@if(isset($image->image_url)) <img height="150px" src="{{$image->image_url}}">  @endif</td>
                                @if(($key3+1)%4==0)
                        </tr>
                        <tr>
                            @endif
                            @endforeach
                        </tr>
                    @else
                        <td colspan="4" class="center">No Images Available </td>
                    @endif
                    <tr>
                        <td colspan="4" class="center size"><b>Display Images</b></td>
                    </tr>
                    @if(count($shop->shopDisplayImages($shop->id)))>0)
                    <tr>
                        @foreach($shop->shopDisplayImages($shop->id) as $key4=>$image)

                            <td colspan="" align="center">@if(isset($image->image_url)) <img height="150px" src="{{$image->image_url}}">  @endif</td>
                            @if(($key4+1)%4==0)
                    </tr>
                    <tr>
                        @endif
                        @endforeach
                    </tr>
                    @else
                        <td colspan="4" class="center">No Images Available </td>
                    @endif
                    <tr>
                        <td colspan="4" class="center size"><b>Available Stock</b></td>
                    </tr>
                    <tr>
                        <td ><b>Product </b></td>
                        <td ><b>Stock </b></td>
                        <td ><b>Product </b></td>
                        <td ><b>Stock </b></td>
                    </tr>

                    @if(count($shop->stock)>0)
                        <tr>
                    @foreach($shop->stock as $key=>$stock)

                    <td >@if(isset($stock->product->name)) {{$stock->product->name}}  @endif</td>
                    <td >{{$stock->quantity}}</td>
                        @if(($key+1)%2==0)
                        </tr><tr>
                        @endif
                    @endforeach
                     </tr>
                     @else
                        <td colspan="4" class="center">No Stock Available </td>
                    @endif
                    <tr>
                        <td colspan="4" class="center size"><b>Product Prices for {{$shop->name}} </b></td>
                    </tr>
                    <tr>
                        <td ><b>Product </b></td>
                        <td ><b>Price </b></td>
                        <td ><b>Product </b></td>
                        <td ><b>Price </b></td>
                    </tr>
                    <tr>
                    @foreach($shop->product_discount as $index=>$price)
                            <td >@if(isset($price->products->name)) {{$price->products->name}}  @endif</td>
                            <td >
                                @php
                                $price_with_discount='';
                                $price_with_discount=$price_with_discount.$price->discounts->grade;
                                $value=$price->discounts->value;
                                foreach ($price->products->ProductPrices as $price2){
                                if($price2->currency_id==$shop->currency_id){
                                $real_price=$price2->price;
                                $real_price2=round(($real_price+$shop->currency->mpx)+($value),2);
                                $price_with_discount=$price_with_discount.'     '.$real_price2;
                                }
                                }

                                echo $price_with_discount;
                                @endphp
                            </td>
                        @if(($index+1)%2==0)
                         </tr><tr>
                        @endif
                        @endforeach
                    </tr>
                    </tbody>
                </table>
            </div>
    </div>
@endsection

