@extends('layouts.admin')

@section('content')
    <div class="container-detached">
        <div class="content-detached">
            <!-- Tab content -->
            <div class="tab-content">
                <div class="tab-pane fade in active" id="profile">
                    <!-- Item Details -->
                    <div class="panel panel-flat">
                        <div class="panel-heading">
                            <h6 class="panel-title">Target Details</h6>
                            <div class="heading-elements">
                                <ul class="icons-list">
                                    <li><a data-action="collapse"></a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="panel-body">
                            <form method="POST"
                                  action="{{ url('so_targets'.(empty($so_target) ? '': '/' . $so_target->id)) }}"
                                  enctype="multipart/form-data">
                                {!! csrf_field() !!}
                                <div class="row">
                                    <div class="col-md-3 col-sm-3">
                                        <div class="form-group {{ $errors->has('sale_officer') ? ' has-error' : '' }}">
                                            <label>Sale Officer</label><br>
                                            <select class="select-search" name="sale_officer" id="sale_officer">
                                                @foreach($sales_officers as $sale_officer)
                                                    <option value="{{$sale_officer->id}}" @if (old('sale_officer') == $sale_officer->id || isset($so_target) && $so_target->so_id==$sale_officer->id) selected="selected" @endif
                                                    >{{$sale_officer->firstname.' '.$sale_officer->lastname}}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('sale_officer'))
                                                <span class="help-block"><strong>{{ $errors->first('sale_officer') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-sm-3 col-md-3">
                                        <div class="form-group {{ $errors->has('date') ? ' has-error' : '' }} form-group-material">
                                            <label>Date (Year-Month)</label>
                                            <input type="text" id="date" name="date" data-mask="9999-99" value="{{old('date', @$so_target->date)}}"  placeholder="2018-04" class="form-control" >
                                            @if ($errors->has('date'))
                                                <span class="help-block"><strong>{{ $errors->first('date') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-6 col-sm-6">
                                        <label>Target Type</label>
                                        <div class="form-group {{ $errors->has('productwise') ? ' has-error' : '' }}">
                                            <div class="content-group-lg">
                                                <div class="form-control checkbox checkbox-left checkbox-switchery" style="margin-top: 0px;">
                                                    <label>
                                                        <input type="checkbox"   id="productwise" name="productwise" @if(isset($old['productwise']) && $old['productwise']=='on') checked @endif @if(isset($so_target['productwise'])  && $so_target['productwise']==1) checked="checked" @endif class="switchery" >
                                                        Productwise
                                                    </label>
                                                    <label>
                                                        <input type="checkbox"  id="customer_add"  name="customer_add" @if(isset($old['customer_add']) && $old['customer_add']=='on') checked @endif @if(isset($so_target['customer_add']) &&  $so_target['customer_add']==1) checked="checked" @endif class="switchery" >
                                                        Customer Add
                                                    </label>
                                                    <label>
                                                        <input type="checkbox"  id="customer_visit"  name="customer_visit" @if(isset($old['customer_visit']) && $old['customer_visit']=='on') checked @endif @if(isset($so_target['customer_visit']) &&  $so_target['customer_visit']==1) checked="checked" @endif class="switchery" >
                                                        Customer Visit
                                                    </label>
                                                </div>
                                                @if ($errors->has('productwise'))
                                                    <span class="help-block"><strong>{{ $errors->first('productwise') }}</strong></span>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4 col-md-4 customer_add">
                                        <div class="form-group {{ $errors->has('customer_add_target') ? ' has-error' : '' }} form-group-material">
                                            <label>Customer Add Target</label>
                                            <input type="number" min="1" name="customer_add_target" value="{{old('customer_add_target', @$so_target->customer_add_target)}}" placeholder="Customer Add Target"  class="form-control" >
                                            @if ($errors->has('customer_add_target'))
                                                <span class="help-block"><strong>{{ $errors->first('customer_add_target') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-sm-4 col-md-4 customer_visit">
                                        <div class="form-group {{ $errors->has('customer_visit_target') ? ' has-error' : '' }} form-group-material">
                                            <label>Customer Visit Target </label>

                                            <input type="number" min="1" name="customer_visit_target" value="{{old('customer_visit_target', @$so_target->customer_visit_target)}}" placeholder="Customer Visit Target"  class="form-control" >
                                            @if ($errors->has('customer_visit_target'))
                                                <span class="help-block"><strong>{{ $errors->first('customer_visit_target') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="row productwise" >
                                <div class="container-fluid">
                                        <table class="table table-hover table-bordered">
                                            <thead>
                                            <tr>
                                                <th style="width: 30%;background-color: #26a69a;color: #fff;">Product</th>
                                                <th style="background-color: #26a69a;color: #fff;">Target (In Dozen)</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($products as $key2=>$product)
                                                <tr >
                                                    <td>
                                                        {{$product['name']}}
                                                        <input type="hidden"  name="products[{{$key2}}][id]" value="{{$product['id']}}"  class="form-control" >
                                                    </td>
                                                    <td>
                                                     <div class="form-group {{ $errors->has('customer_add_targer') ? ' has-error' : '' }} form-group-material">
                                                           <label></label>
                                                            <input type="number" min="1" name="products[{{$key2}}][target]" @if(isset($so_target)) value="{{$so_target->product_target($product['id'],$so_target['id'])}}" @endif placeholder="Add Target"  class="form-control" >
                                                            @if ($errors->has('customer_add_targer'))
                                                                <span class="help-block"><strong>{{ $errors->first('customer_add_targer') }}</strong></span>
                                                            @endif
                                                     </div>
                                                    </td>
                                                </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                    </div><br>
                                </div>
                                <div class="text-right">
                                    @if(!empty($so_target)) {!! method_field('PUT') !!} @endif
                                    {{ csrf_field() }}
                                    <button type="submit" class="btn btn-primary">
                                        @if(empty($so_target)) Save @else Update
                                        @endif  <i class="icon-arrow-right14 position-right"></i></button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <!-- /Item Details -->
                </div>
            </div>
            <!-- /tab content -->
        </div>
    </div>
    <!-- /detached content -->
@endsection
@section('footer-content')
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <!-- /theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
    <script>
        $(document).ready(function() {
            $('#productwise').trigger("change");
            $('#customer_add').trigger("change");
            $('#customer_visit').trigger("change");
        });
        $("#productwise").change(function() {
            if($(this).prop('checked') == true) {
                $(".productwise").show();
            } else {
                $(".productwise").hide();
            }
        });
        $("#customer_add").change(function() {
            if($(this).prop('checked') == true) {
                $(".customer_add").show();
            } else {
                $(".customer_add").hide();
            }
        });
        $("#customer_visit").change(function() {
            if($(this).prop('checked') == true) {
                $(".customer_visit").show();
            } else {
                $(".customer_visit").hide();
            }
        });
    </script>
@endsection
