@extends('layouts.admin')

@section('content')
    <div class="container-detached">
        <div class="content-detached">
            <!-- Tab content -->
            <div class="tab-content">
                <div class="tab-pane fade in active" id="profile">
                    <!-- Item Details -->
                    <div class="panel panel-flat">
                        <div class="panel-heading">
                            <h6 class="panel-title">Target Details</h6>
                            <div class="heading-elements">
                                <ul class="icons-list">
                                    <li><a data-action="collapse"></a></li>
                                </ul>
                            </div>
                        </div>

                        <div class="panel-body">
                            <form method="POST"
                                  action="{{ url('targets'.(empty($target) ? '': '/' . $target->id)) }}"
                                  enctype="multipart/form-data">
                                {!! csrf_field() !!}
                                <div class="row">
                                    <div class="col-sm-4 col-md-4">
                                        <div class="form-group {{ $errors->has('date_start') ? ' has-error' : '' }} form-group-material">
                                            <label>Date Start (Year-Month)</label>
                                            <input type="text" id="date_start" name="date_start" data-mask="9999-99" value="{{old('date_start', @$target->date_start)}}"  placeholder="yyyy-mm" class="form-control" >
                                            @if ($errors->has('date_start'))
                                                <span class="help-block"><strong>{{ $errors->first('date_start') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-sm-4 col-md-4">
                                        <div class="form-group {{ $errors->has('date_end') ? ' has-error' : '' }} form-group-material">
                                            <label>Date End (Year-Month)</label>
                                            <input type="text" id="date_end" name="date_end" data-mask="9999-99" value="{{old('date_end', @$target->date_end)}}"  placeholder="yyyy-mm" class="form-control" >
                                            @if ($errors->has('date_end'))
                                                <span class="help-block"><strong>{{ $errors->first('date_end') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-md-4 col-sm-4">
                                        <div class="form-group {{ $errors->has('rsm') ? ' has-error' : '' }}">
                                            <label>Regional Sales Manager</label>
                                            <select class="select-search" name="rsm" id="rsm">
                                                @foreach($all_rsm as $rsm)
                                                    <option value="{{$rsm->id}}" @if (old('rsm') == $rsm->id || isset($target) && $target->rsm_id==$rsm->id) selected="selected" @endif
                                                    >{{$rsm->firstname.' '.$rsm->lastname}}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @if ($errors->has('rsm'))
                                                <span class="help-block"><strong>{{ $errors->first('rsm') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-4 col-md-4">
                                        <div class="form-group {{ $errors->has('sales_target') ? ' has-error' : '' }}">
                                            <label>RSM Sales Target</label>
                                            <input type="number" name="sales_target" value="{{old('sales_target', @$target->sales_target)}}" placeholder="Sales Target" class="form-control">
                                            @if ($errors->has('sales_target'))
                                                <span class="help-block"><strong>{{ $errors->first('sales_target') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="col-sm-4 col-md-4">
                                        <div class="form-group {{ $errors->has('recovery_target') ? ' has-error' : '' }}">
                                            <label>RSM Recovery Target</label>
                                            <input type="number" name="recovery_target" value="{{old('recovery_target', @$target->recovery_target)}}" placeholder="Recovery Target" class="form-control">
                                            @if ($errors->has('recovery_target'))
                                                <span class="help-block"><strong>{{ $errors->first('recovery_target') }}</strong></span>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="row input_fields_wrap ">
                                    <button type="button" class="btn bg-teal-400 btn-labeled btn-rounded add_field_button"><b><i class="icon-stack2"></i></b> Assign Target to ASM,SO & ASE</button>
                                </div>
                                <br>
                                <div id="allSo">
                                    @if(isset($target->target_details))
                                        <div id="table_head" class="table-responsive">
                                            <table class="table table-bordered table-framed">
                                                <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Role</th>
                                                    <th>Name</th>
                                                    <th>Sales Target</th>
                                                    <th>Recovery Target</th>
                                                </tr>
                                                </thead>
                                                <tbody id="table_body">
                                                @php
                                                    // count b/w dates
                                                 $st=substr($target->date_start, strpos($target->date_start, "-") + 1);
                                                 $ed=substr($target->date_end, strpos($target->date_end, "-") + 1);
                                                 $count=1;
                                                 if(abs($st - $ed)>0){
                                                     $count=abs($st - $ed)+1;
                                                 }
                                                @endphp
                                                @foreach($target->target_details as $key2=>$detail)
                                                    @if($detail['date']==$target->date_start)
                                                    <tr>
                                                        <td>{{$key2+1}}</td>
                                                        <td>@if(isset($detail->user->role_user)){{$detail->user->role_user}} @endif</td>
                                                        <td>@if(isset($detail->user->firstname)){{$detail->user->firstname.' '.$detail->user->lastname}} @endif</td>
                                                        <td>
                                                            <input type="hidden" name="d_targets[{{$key2}}][user_id]" value="{{$detail['user_id']}}">
                                                            <input type="number" class="form-control" name="d_targets[{{$key2}}][sales_target]" value="{{$detail['sales_target']*$count}}">
                                                        </td>
                                                        <td><input type="number" class="form-control" name="d_targets[{{$key2}}][recovery_target]" value="{{$detail['recovery_target']*$count}}"></td>
                                                    </tr>
                                                    @endif
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    @endif
                                </div>
                                <br>
                                <div class="text-right">
                                    @if(!empty($target)) {!! method_field('PUT') !!} @endif
                                    {{ csrf_field() }}
                                    <button type="submit" class="btn btn-primary">
                                        @if(empty($target)) Save @else Update
                                        @endif  <i class="icon-arrow-right14 position-right"></i></button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <!-- /Item Details -->
                </div>
            </div>
            <!-- /tab content -->
        </div>
    </div>
    <!-- /detached content -->
@endsection

@section('footer-content')
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <!-- /theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
    {{--Append Product--}}
    <script  type="text/javascript">
        $(document).ready(function() {
            var wrapper         = $(".input_fields_wrap"); //Fields wrapper
            var add_button      = $(".add_field_button"); //Add button ID
            $(add_button).click(function(e){ //on add input button click
                var rsm = $('#rsm').val();
                $.ajax({
                    url: '{{url('/rsm_so/')}}/'+rsm,
                    type: 'GET',
                    contentType: 'application/json; charset=utf-8',
                    dataType: 'json',
                    success: function (result) {
                        $('#table_head').remove();
                        if (result.length>0)
                        {
                            $('#allSo').append('<div id="table_head" class="table-responsive"><table class="table table-bordered table-framed"> <thead> <tr> <th>#</th> <th>Role</th> <th>Name</th> <th>Sales Target</th><th>Recovery Target</th> </tr> </thead> <tbody id="table_body"> </tbody>');
                            $(result).each(function (index, element) {
                                $('#table_body').append(' <tr>' +
                                        '<td>' + (index+1) +'</td>' +
                                        '<td>'+ element.role_user +'</td>' +
                                        '<td>'+ element.firstname +' '+element.lastname+'</td>' +
                                        '<td><div class="form-group"> <input type="hidden" min="0"  name="d_targets[' + index + '][user_id]" value="'+ element.id +'" class="form-control "><input type="number" min="0" placeholder="Sales Target" name="d_targets[' + index + '][sales_target]" value="0" class="form-control "></div></td>' +
                                        '<td><div class="form-group"> <input type="number" min="0" placeholder="Recovery Target" name="d_targets[' + index + '][recovery_target]" value="0" class="form-control "></div></td>' +
                                        ' </tr>');
                            });
                        }
                    },
                    error: function () {
                    }
                });
            });
        });
    </script>

@endsection
