@extends('layouts.admin')
@section('header-content')
    <style>
        .center {
            text-align: center!important;
        }
        .size{
            font-size: 18px;
        }
    </style>
@endsection
@section('content')
    <div class="panel panel-flat">
        <div class="table-responsive">
            <table class="table table-bordered table-lg">
                <tbody>
                <tr class="head">
                    <th colspan="4" class="center size" ><b>Target Detail </b>
                        @if( Auth::user()->can('modify_targets'))
                            <a href="{{url('targets/'.$target->id.'/edit')}}">
                                <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-pencil7"></i></b> Edit</button>
                            </a>
                        @endif
                    </th>
                </tr>
                <tr>
                    <td>Start Date</td>
                    <td>{{$target->date_start}} </td>
                    <td>End Date</td>
                    <td>{{$target->date_end}} </td>
                </tr>
                <tr>
                    <td>Sales Target</td>
                    <td>{{$target->sales_target}}</td>
                    <td>Recovery Target</td>
                    <td>{{$target->recovery_target}} </td>
                </tr>
                <tr>
                    <td>Regional Sales Manager</td>
                    <td>@if(isset($target->rsm->firstname)){{$target->rsm->firstname.' '.$target->rsm->lastname}} @endif</td>
                </tr>
                <tr>
                    <td colspan="4" class="center size" ><b><u>ASM, ASE & SO Target</u></b></td>
                </tr>
                <tr><td colspan="4">
                        <div class="table-responsive">
                            <table class="table table-bordered table-framed">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Role</th>
                                    <th>Name</th>
                                    <th>Sales Target </th>
                                    <th>Recovery Target </th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($target->target_details as $key2=>$detail)
                                    @if($detail['date']==$target->date_start)
                                        <tr>
                                            <td>{{$key2+1}}</td>
                                            <td>@if(isset($detail->user->role_user)){{$detail->user->role_user}} @endif</td>
                                            <td>@if(isset($detail->user->firstname)){{$detail->user->firstname.' '.$detail->user->lastname}} @endif</td>
                                            <td>
                                                @php
                                                    // count b/w dates
                                                 $st=substr($target->date_start, strpos($target->date_start, "-") + 1);
                                                 $ed=substr($target->date_end, strpos($target->date_end, "-") + 1);
                                                 $count=1;
                                                 if(abs($st - $ed)>0){
                                                     $count=abs($st - $ed)+1;
                                                 }
                                                @endphp
                                                {{$detail['sales_target']*$count}}
                                            </td>
                                            <td>{{$detail['recovery_target']*$count}}</td>
                                        </tr>
                                    @endif
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
@endsection

