@extends('layouts.admin')

@section('header-content')
    <style>
        .button-position{
            margin-top:26px
        }
    </style>
@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
            </div>
        </div>

        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group {{ $errors->has('user') ? ' has-error' : '' }}">
                            <label>User</label>
                            <select class="select" name="user">
                                @foreach($users as $user)
                                    <option value="{{$user->id}}" @if (old('user') == $user->id || isset($order) && $order->booked_by==$user->id) selected="selected" @endif
                                    >{{$user->firstname.' '.$user->lastname}}
                                    </option>
                                @endforeach
                            </select>
                            @if ($errors->has('user'))
                                <span class="help-block"><strong>{{ $errors->first('user') }}</strong></span>
                            @endif
                        </div>
                    </div>
                    <div class="col-md-3">
                        <label>Date</label>
                        <div class="form-group">
                            <div class="has-feedback">
                                <input type="date" name="date" value="{{ Request::get('date') }}" class="form-control" >
                            </div>
                        </div>
                    </div>
                    <button type="submit" class="btn bg-blue button-position">
                        <i class="icon-search4 text-size-base position-left"></i>
                        Search
                    </button>
                </div>
            </form>
        </div>
    </div>
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h5 class="panel-title">User Location</h5>
                <div class="heading-elements">
                        <div class="form-group drop-custum">
                            <select id="records_per_page" name="records_per_page"
                                    class="form-control"
                                    onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                                <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                                    20
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                                    50
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                                    80
                                    rows
                                </option>
                                <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                        @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                                    100
                                    rows
                                </option>
                            </select>
                        </div>
                </div>
            </div>
            @if(!empty($cities[0]))
              <div class="panel-body">
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Name</th>
                            <th>Country</th>
                            <th>Region</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($cities as $key=>$city)
                        <tr>
                            <td>{{$key+1}}</td>
                            <td>{{$city->name}}</td>
                            <td>{{$city->region->country->name}}</td>
                            <td>{{$city->region->name}}</td>
                            <td>
                                <ul class="icons-list">
                                    <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$city->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                    <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$city->id}}');"><i class="icon-trash"></i></a></li>
                                </ul>
                                <form id="deleteForm" method="POST" action="">
                                    {!! method_field('DELETE') !!}
                                    {!! csrf_field() !!}
                                </form>
                            </td>
                        </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">
                    {{ $cities->links() }}
                </div>
            </div>
            @else
                <div class="panel-body">
                    <p>No Records Found</p>
                </div>
            @endif
        </div>
        <!-- /bordered panel body table -->
@endsection

@section('footer-content')
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <!-- /theme JS files -->
@endsection
