@extends('layouts.admin')

@section('header-content')
    <style>
        .upper-case{
            text-transform: uppercase;
        }
    </style>
@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
            </div>
            <div class="heading-elements">
                <div class="form-group drop-custum">
                    <select id="records_per_page" name="records_per_page"
                            class="form-control"
                            onchange="window.document.location.href=this.options[this.selectedIndex].value;">
                        <option value="/{{ Request::path() . '?records_per_page=20' }}"
                                @if(\Session::get('site_settings')['results_per_page'] == 20) selected="selected" @endif>
                            20
                            rows
                        </option>
                        <option value="/{{ Request::path() . '?records_per_page=50' }}"
                                @if(\Session::get('site_settings')['results_per_page'] == 50) selected="selected" @endif>
                            50
                            rows
                        </option>
                        <option value="/{{ Request::path() . '?records_per_page=80' }}"
                                @if(\Session::get('site_settings')['results_per_page'] == 80) selected="selected" @endif>
                            80
                            rows
                        </option>
                        <option value="/{{ Request::path() . '?records_per_page=100' }}"
                                @if(\Session::get('site_settings')['results_per_page'] == 100) selected="selected" @endif>
                            100
                            rows
                        </option>
                    </select>
                </div>
            </div>
        </div>
        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div class="col-md-4 col-sm-4">
                        <div class="form-group">
                            <div class="has-feedback">
                                <input type="hidden" id="selector_id"  name="search" value="" >
                                <input type="text" id="selector" name="search_name" value="{{ Request::get('search_name') }}" class="form-control" placeholder="Search here">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <div class="form-group ">
                            <select class="select-search selector" name="role"  >
                                <option value=""
                                >Select Role
                                </option>
                                @foreach($roles as $role)
                                    @if($role->name!="supe_admin")
                                    <option value="{{$role->id}}" {{ Request::get('role') == $role->id ? 'selected="selected"':'' }}
                                    >{{$role->display_name}}
                                    </option>
                                    @endif
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2 col-sm-2">
                        <div class="form-group ">
                            <select class="select selector" name="country"  >
                                <option value=""
                                >Select Country
                                </option>
                                @foreach($countries as $country)
                                    <option value="{{$country->id}}" {{ Request::get('country') == $country->id ? 'selected="selected"':'' }}
                                    >{{$country->name}}
                                    </option>

                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3">
                        <button type="submit" class="btn btn-danger" id="clear">
                            <i class="icon-trash text-size-base position-left"></i>
                            Clear
                        </button>
                        <button type="submit" class="btn bg-blue">
                            <i class="icon-search4 text-size-base position-left"></i>
                            Search
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
            <div class="row">
                @foreach($users as $key=>$user)

                    <div class="col-sm-6 col-md-6" >
                        <div class="panel invoice-grid">
                            <div class="panel-body">
                                <div class="row">
                                    <div align="center">
                                        @if(isset($user->image) && !empty($user->image))
                                        <img src="{{$user->image}}" style="height: 150px;!important;"   alt="">
                                        @else
                                        <img src="{{URL::asset('assets/images/user.png')}}" style="height: 150px;!important;"alt="">
                                        @endif
                                    </div>

                                    <h5 align="center " class="upper-case"><b >{{$user->firstname.' '.$user->lastname}} </b>  </h5>
                                    <p align="center " ><span class="text-semibold">@if(!empty($user->roles->first())){{$user->roles->first()->display_name}} @endif</span></p>
                                </div>
                                    <div class="row" >
                                    <div class="col-sm-6 col-md-6">
                                        <ul class="list list-unstyled" style="min-height: 70px">
                                            <li>@if(!empty($user->roles->first()) && ($user->roles->first()->name=='so'|| $user->roles->first()->name=='ase'))Sales <span class="text-semibold">{{$user->CMonthSale($user->id)}}  @endif</span></li>
                                            <li>RSM : @if(isset($user->region) && isset($user->region->rsm)){{$user->region->rsm->firstname.' '.$user->region->rsm->lastname}} @endif</li>
                                            <li> @if(!empty($user->roles->first()) && $user->roles->first()->name!='rsm') City: @if(isset($user->city)  ){{$user->city->name}} @endif  @endif </li>
                                        </ul>
                                    </div>
                                    <div class="col-sm-6 col-md-6">
                                        <ul class="list list-unstyled text-right" style="min-height: 70px" >
                                            <li>@if(!empty($user->roles->first()) && ($user->roles->first()->name=='so'|| $user->roles->first()->name=='ase'))Recovery <span class="text-semibold">{{$user->CMonthRecovery($user->id)}}  @endif</span></li>
                                            <li>Region: @if(isset($user->region)){{$user->region->name}} @endif <span class="text-semibold"></span></li>
                                            <li> <span class="text-semibold"></span></li>
                                            </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="panel-footer panel-footer-condensed">
                                <div class="heading-elements">
												<span class="heading-text">
													<span class="status-mark border-success position-left"></span> Contact# <span class="text-semibold">{{$user->phone_1}}</span>
												</span>

                                    <ul class="list-inline list-inline-condensed heading-text pull-right">
                                        @if(!empty($user->roles->first()) && ($user->roles->first()->name=='so'|| $user->roles->first()->name=='ase'))
                                        <li><a href="{{URL('users/ledger/'.$user->id)}}" class="text-default"  title="View So Ledger" ><i class="icon-credit-card2"></i></a></li>
                                        @endif
                                        <li><a href="{{URL('users/'.$user->id)}}" class="text-default"  title="View User Detail" ><i class="icon-eye8"></i></a></li>
                                            @if(Auth::user()->can('modify_members'))
                                        <li class="dropdown">
                                            <a href="#" class="text-default dropdown-toggle" data-toggle="dropdown"><i class="icon-menu7"></i> <span class="caret"></span></a>
                                            <ul class="dropdown-menu dropdown-menu-right">
                                                <li><a title="Modify User" href="{{url('users/'.$user->id.'/edit/')}}" ><i class="icon-pencil7"></i> Modify User</a></li>
                                                <li><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$user->id}}');"><i class="icon-cross2"></i> Delete User</a></li>
                                            </ul>
                                            <form id="deleteForm" method="POST" action="">
                                                {!! method_field('DELETE') !!}
                                                {!! csrf_field() !!}
                                            </form>
                                        </li>
                                            @endif
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach

            </div>
            <div align="center">
            {{ $users->links() }}
            </div>
@endsection

@section('footer-content')
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/plugins/media/fancybox.min.js')}}"></script>
    <!-- /theme JS files -->
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script src="{{URL::asset('js/jquery-ui.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <!-- /theme JS files -->

    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>

    <script>
        $("#selector").autocomplete({
            minLength: 1,
            source: function (request, response) {
                $.ajax({
                    url: '{{url('/search/')}}/' ,
                    type: "GET",
                    data: 'type=User&search_term=' + $('#selector').val(),
                    dataType: 'json'
                }).done(function (data) {
                    response($.map(data, function (obj) {
                        return {
                            label: '('+obj.firstname+' '+obj.lastname+')('+obj.username+')('+obj.email+')'+'('+obj.phone_1+')',
                            value: obj.id
                        };
                    }));
                });
            },
            select: function (event, ui) {
                // Prevent value from being put in the input:
                this.value = ui.item.label;
                // Set the next input's value to the "value" of the item.
                $("#selector").val(this.value);
                $("#selector_id").val(ui.item.value);
                event.preventDefault();
            }
        });
    </script>
@endsection
