@extends('layouts.admin')

@section('header-content')
    <style>
        tr.head-align th {
            text-align: center;
        }
    </style>
@endsection
@section('content')
    <div class="panel panel-white">
        <div class="panel-heading">
            <div class="panel-title text-semibold">
                <i class="icon-search4 text-size-base position-left"></i>
                Filter
            </div>
        </div>
        <div class="panel-body">
            <form method="GET" action="{{ Request::url() }}">
                <div class="row">
                    <div >
                        <div class="col-md-2 col-sm-2" >
                            <div class="form-group ">
                                <label>  Start Date  </label>
                                <input type="date"  class="form-control selector" name="start_date" value="{{old('start_date', @Request::get('start_date'))}}">
                            </div>
                        </div>
                        <div class="col-md-2 col-sm-2" >
                            <div class="form-group ">
                                <label>  End Date  </label>
                                <input type="date"  class="form-control selector" name="end_date" value="{{old('end_date', @Request::get('end_date'))}}">
                            </div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-3 ">
                        <br>
                        <button type="submit" class="btn btn-danger" id="clear">
                            <i class="icon-trash text-size-base position-left"></i>
                            Clear
                        </button>
                        <button type="submit" class="btn bg-blue">
                            <i class="icon-search4 text-size-base position-left"></i>
                            Search
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="panel panel-flat">
        <div class="panel-heading">
            <h2 class="panel-title" align="center">{{$full_name}} Ledger</h2>
        </div>
        @if(!empty($ledgers[0]))
            <form id="downloadForm" method="GET" action="{{ Request::url() }}">

            </form>
            <div class="panel-body">
                <h5 class="panel-title" align="center">Balance: {{$balance}}  </h5><br>
                <div class="table-responsive">
                    <table class="table table-bordered table-framed table-hover">
                        <thead>
                        <tr class="head-align">
                            <th >#</th>
                            <th>Date</th>
                            <th>Type</th>
                            <th>Amount</th>
                            <th>Balance</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($ledgers as $key=>$ledger)
                            <tr align="center">
                                <td>{{$key+1}}</td>
                                <td>{{$ledger['date']}}</td>
                                <td>{{$ledger['type']}}</td>
                                <td>{{$ledger['amount']}}</td>
                                <td>{{round($ledger['balance'],2) }}</td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                <br>
                <div align="center">

                </div>
            </div>
        @else
            <div class="panel-body">
                <p>No Records Found</p>
            </div>
        @endif
    </div>
    <!-- /bordered panel body table -->
@endsection

@section('footer-content')
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
@endsection
