@extends('layouts.admin')

@section('content')
            <div class="container-detached">
                <div class="content-detached">
                    <!-- 2 columns form -->
                    <form method="POST"
                          action="{{ url('users'.(empty($user) ? '': '/' . $user->id)) }}"
                          enctype="multipart/form-data">
                        {!! csrf_field() !!}
                        <div class="panel panel-flat">
                            <div class="panel-heading">
                                <h5 class="panel-title">Profile Information</h5>
                                <div class="heading-elements">
                                    <ul class="icons-list">
                                        <li><a data-action="collapse"></a></li>
                                    </ul>
                                </div>
                            </div>

                            <div class="panel-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <fieldset>
                                            <legend class="text-semibold"><i class="icon-reading position-left"></i> Acounts details</legend>
                                            <div class="form-group {{ $errors->has('username') ? ' has-error' : '' }}">
                                                <label>Username <span class="text-danger">*</span></label>
                                                <input type="text" name="username" value="{{old('username', @$user->username)}}"   placeholder="Username" class="form-control">
                                                <input type="hidden" name="old_username" value="{{@$user->username}}"  class="form-control">
                                                @if ($errors->has('username'))
                                                    <span class="help-block"><strong>{{ $errors->first('username') }}</strong></span>
                                                @endif
                                            </div>
                                            <div class="form-group {{ $errors->has('email') ? ' has-error' : '' }}">
                                                <label>Email </label>
                                                <input type="text" name="email" value="{{old('email', @$user->email)}}"  placeholder="Email" class="form-control">
                                                <input type="hidden" name="old_email" value="{{@$user->email}}"  class="form-control">
                                                @if ($errors->has('email'))
                                                    <span class="help-block"><strong>{{ $errors->first('email') }}</strong></span>
                                                @endif
                                            </div>
                                            <div class="form-group {{ $errors->has('password') ? ' has-error' : '' }}">
                                                <label>Password @if(empty($user))<span class="text-danger">*</span> @endif</label>
                                                <input type="password" name="password"   class="form-control">
                                                @if ($errors->has('password'))
                                                    <span class="help-block"><strong>{{ $errors->first('password') }}</strong></span>
                                                @endif
                                            </div>
                                            <div class="form-group">
                                                <label>Role</label>
                                                <select class="select" name="role_id" id="role_id">
                                                    @foreach($roles as $role)
                                                        @if($role->name!='super_admin')
                                                            <option value="{{$role->id}}"
                                                                    @if (old('role_id') == $role->id || isset($user) && $user->hasRole($role->name)) selected="selected" @endif>{{$role->display_name}}
                                                            </option>
                                                        @endif
                                                    @endforeach
                                                </select>
                                            </div>
                                            <div class="form-group " id="is_zsm_show" style="display: none">
                                                <label class="checkbox-inline checkbox-right">
                                                    <input type="checkbox" id="is_zsm" name="is_zsm" @if(isset($user) && $user->is_zsm) checked @endif class="styled">
                                                    Is ZSM
                                                </label>
                                            </div>
                                            <div class=" parent_type"  style="display: none">
                                                <div class="form-group  {{ $errors->has('parent_type') ? ' has-error' : '' }}">
                                                    <label>Parent Type</label>
                                                    <select class="select" id="parent_type" name="parent_type">
                                                        <option value="">
                                                            Select Option
                                                        </option>
                                                        <option value="both" {{ old('parent_type', @$user->parent_type) == 'both' ? 'selected="selected"':'' }}>
                                                            Both Area and Regional Sales Manager
                                                        </option>
                                                        <option value="rsm" {{ old('parent_type', @$user->parent_type) == 'rsm' ? 'selected="selected"':'' }}>
                                                            Regional Sales Manager
                                                        </option>
                                                        <option value="asm" {{ old('parent_type', @$user->parent_type) == 'asm' ? 'selected="selected"':'' }}>
                                                            Area Sales Manager
                                                        </option>
                                                        <option value="ase" {{ old('parent_type', @$user->parent_type) == 'ase' ? 'selected="selected"':'' }}>
                                                            Area Sales Executive
                                                        </option>
                                                    </select>
                                                    @if ($errors->has('parent_type'))
                                                        <span class="help-block"><strong>{{ $errors->first('parent_type') }}</strong></span>
                                                    @endif
                                                </div>
                                            </div>
                                            <input type="hidden" id="sub_value" value="{{@$user->parent_id}}">
                                            <input type="hidden" id="sub_value_2" value="{{@$user->parent_id_2}}">
                                            <div class="field_wrap">
                                            </div>
                                            <div class="field_wrap_2">
                                            </div>
                                            <div class="supplier">
                                            </div>
                                            <input type="hidden" id="old_supplier" value="{{@$user->supplier['supplier_id']}}">
                                            <div class="form-group">
                                                <label>Country </label>
                                                <select class="select" id="country" name="country">
                                                    @foreach($countries as $country)
                                                        <option value="{{$country->id}}" @if (old('country') == $country->id || isset($user) && $user->country_id==$country->id) selected="selected" @endif
                                                        >{{$country->name}}
                                                        </option>
                                                    @endforeach
                                                </select>
                                            </div>
                                            <div class="form-group {{ $errors->has('region') ? ' has-error' : '' }}">
                                                    <label>Region</label>
                                                    <input type="hidden" id="old_region" value="{{@$user->region_id}}">
                                                    <select class="select" name="region" id="region" disabled>
                                                        <option value=""
                                                        >Select Region
                                                        </option>
                                                    </select>
                                                    @if ($errors->has('region'))
                                                        <span class="help-block"><strong>{{ $errors->first('region') }}</strong></span>
                                                    @endif
                                             </div>
                                             <div class="form-group {{ $errors->has('city') ? ' has-error' : '' }}">
                                                    <label>City</label>
                                                    <input type="hidden" id="old_city" value="{{@$user->city_id}}">
                                                    <select class="select-search" name="city" id="city" disabled>
                                                        <option value=""
                                                        >Select City
                                                        </option>
                                                    </select>
                                                    @if ($errors->has('city'))
                                                        <span class="help-block"><strong>{{ $errors->first('city') }}</strong></span>
                                                    @endif
                                            </div>
                                            <div class="form-group {{ $errors->has('joining_date') ? ' has-error' : '' }}">
                                                <label>Joining Date</label>
                                                <input id="date" type="date" name="joining_date" value="{{old('joining_date', @$user->joining_date)}}" class="form-control">
                                                @if ($errors->has('joining_date'))
                                                    <span class="help-block"><strong>{{ $errors->first('joining_date') }}</strong></span>
                                                @endif
                                            </div>
                                            <div class="form-group">
                                                <label>Status</label>
                                                <select class="select" name="status">
                                                    <option value="1" {{ old('status', @$user->status) == '1' ? 'selected="selected"':'' }}>
                                                        Active
                                                    </option>
                                                    <option value="0" {{ old('status', @$user->status) == '0' ? 'selected="selected"':'' }}>
                                                        Inactive
                                                    </option>
                                                </select>
                                            </div>
                                        </fieldset>
                                    </div>

                                    <div class="col-md-6">
                                        <fieldset>
                                            <legend class="text-semibold"><i class="icon-reading position-left"></i> Personal details</legend>
                                            <div class="row">
                                               <div class="col-md-12" >
                                                   <div align="center">
                                                   @if(!empty($user->image))
                                                           <img src="{{$user->image}}" style="height:250px!important;text-align: center " alt="">
                                                   @endif
                                                   </div>
                                                   <div class="form-group">
                                                       <label>Attach Photo:</label>
                                                       <input type="file" name="image" class="file-styled">
                                                       @if ($errors->has('image'))
                                                           <span class="help-block"><strong>{{ $errors->first('image') }}</strong></span>
                                                       @endif
                                                   </div>
                                               </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group {{ $errors->has('firstname') ? ' has-error' : '' }}">
                                                        <label>First name: <span class="text-danger">*</span></label>
                                                        <input type="text" name="firstname" value="{{old('firstname', @$user->firstname)}}" placeholder="First Name" class="form-control">
                                                        @if ($errors->has('firstname'))
                                                            <span class="help-block"><strong>{{ $errors->first('firstname') }}</strong></span>
                                                        @endif
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group {{ $errors->has('lastname') ? ' has-error' : '' }}">
                                                        <label>Last name:</label>
                                                        <input type="text" name="lastname" value="{{old('lastname', @$user->lastname)}}" placeholder="Last Name" class="form-control">
                                                        @if ($errors->has('lastname'))
                                                            <span class="help-block"><strong>{{ $errors->first('lastname') }}</strong></span>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group {{ $errors->has('father_name') ? ' has-error' : '' }}">
                                                        <label>Father Name:</label>
                                                        <input type="text" name="father_name" value="{{old('father_name', @$user->father_name)}}"  placeholder="Father Name" class="form-control">
                                                        @if ($errors->has('father_name'))
                                                            <span class="help-block"><strong>{{ $errors->first('father_name') }}</strong></span>
                                                        @endif
                                                    </div>
                                                </div>
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group">
                                                        <label>Religion</label>
                                                        <select class="select" name="religion">
                                                            <option value="muslim" {{ old('religion', @$user->gender) == 'muslim' ? 'selected="selected"':'' }}>
                                                                Muslim
                                                            </option>
                                                            <option value="non muslim" {{ old('religion', @$user->gender) == 'non muslim' ? 'selected="selected"':'' }}>
                                                                Non Muslim
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group">
                                                        <label>Gender</label>
                                                        <select class="select" name="gender">
                                                            <option value="male" {{ old('gender', @$user->gender) == 'male' ? 'selected="selected"':'' }}>
                                                                Male
                                                            </option>
                                                            <option value="female" {{ old('gender', @$user->gender) == 'female' ? 'selected="selected"':'' }}>
                                                                Female
                                                            </option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group {{ $errors->has('cnic') ? ' has-error' : '' }}">
                                                        <label>CNIC #</label>
                                                        <input type="text" name="cnic" value="{{old('cnic', @$user->cnic)}}"  placeholder="xxxxx-xxxxxxx-x"  class="form-control">
                                                        @if ($errors->has('cnic'))
                                                            <span class="help-block"><strong>{{ $errors->first('cnic') }}</strong></span>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group {{ $errors->has('phone_1') ? ' has-error' : '' }}">
                                                        <label>Phone1 # <span class="text-danger">*</span></label>
                                                        <input type="text" name="phone_1" value="{{old('phone_1', @$user->phone_1)}}"  placeholder="Phone1 #"  class="form-control">
                                                        @if ($errors->has('phone_1'))
                                                            <span class="help-block"><strong>{{ $errors->first('phone_1') }}</strong></span>
                                                        @endif
                                                    </div>
                                                </div>
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group {{ $errors->has('phone_2') ? ' has-error' : '' }}">
                                                        <label>Phone2 #</label>
                                                        <input type="text" name="phone_2" value="{{old('phone_2', @$user->phone_2)}}"  placeholder="Phone2 #" class="form-control">
                                                        @if ($errors->has('phone_2'))
                                                            <span class="help-block"><strong>{{ $errors->first('phone_2') }}</strong></span>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group {{ $errors->has('landline') ? ' has-error' : '' }}">
                                                        <label>Landline #</label>
                                                        <input type="text" name="landline" value="{{old('landline', @$user->landline)}}" placeholder="Landline #" class="form-control">
                                                        @if ($errors->has('landline'))
                                                            <span class="help-block"><strong>{{ $errors->first('landline') }}</strong></span>
                                                        @endif
                                                    </div>
                                                </div>
                                                <div class="col-md-6 col-sm-6">
                                                    <div class="form-group {{ $errors->has('dob') ? ' has-error' : '' }}">
                                                        <label>Date of Birth </label>
                                                        <input  type="date" name="dob" value="{{old('dob', @$user->dob)}}" class="form-control">
                                                        @if ($errors->has('dob'))
                                                            <span class="help-block"><strong>{{ $errors->first('dob') }}</strong></span>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="form-group {{ $errors->has('address') ? ' has-error' : '' }}">
                                                        <label>Address </label>
                                                        <input type="text" name="address" value="{{old('address', @$user->address)}}"  placeholder="Address"  class="form-control">
                                                        @if ($errors->has('address'))
                                                            <span class="help-block"><strong>{{ $errors->first('address') }}</strong></span>
                                                        @endif
                                                    </div>
                                                </div>
                                            </div>
                                        </fieldset>
                                    </div>
                                </div>
                                <div class="text-right">
                                    @if(!empty($user)) {!! method_field('PUT') !!} @endif
                                    {{ csrf_field() }}
                                    <button type="submit" class="btn btn-primary">
                                        @if(empty($user)) Save @else Update
                                        @endif  <i class="icon-arrow-right14 position-right"></i></button>
                                </div>
                            </div>
                        </div>
                    </form>
                    <!-- /2 columns form -->
                </div>
            </div>
            <!-- /detached content -->
@endsection

@section('footer-content')
    <script>
        $(document).ready(function () {
            $('#role_id').trigger('change');
            $('#parent_type').trigger('change');
            $('#country').trigger("change");
        });
    </script>
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/form_select2.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>
    <!-- /theme JS files -->

    <script>
        $(document).on("change", '#role_id', function () {
            var Id = parseInt($(this).val());
            if(Id==2){
                $('#is_zsm_show').show();
            }else{
                $('#is_zsm_show').hide();
            }
            var label;
            switch (Id) {
                case 1:
                    remove();
                    break;
                case 2:
                    remove();
                    break;
                case 3:
                    label = "Regional Sale Manager";
                    ajax_call(2, label,'rsm','');
                    hide();
                    break;
                case 4:
                    label = "Supplier";
                    remove();
                    show();
                    ajax_call_2(1, label);
                    var optionExists = ($('#parent_type option[value="ase"]').length > 0);
                    if(!optionExists)
                    {
                        $('#parent_type').append("<option value='ase'>Area Sales Executive</option>");
                    }
                    break;
                case 5:
                    remove();
                    break;
                case 6:
                    remove();
                    break;
                case 7:
                    remove();
                    break;
                case 9:
                    label = "Supplier";
                    remove();
                    show();
                    ajax_call_2(1, label);
                    $('#parent_type option[value="ase"]').remove();
                    //ajax_call(3, label);
                    break;
                default:
                    break;
            }
        });
        $(document).on("change", '#parent_type', function () {
            var value =$(this).val();
            var label;
            switch (value) {
                case 'rsm':
                    label = "Regional Sale Manager";
                    ajax_call(2, label,'','');
                    break;
                case 'asm':
                    label = "Area Sale Manager";
                    ajax_call(3, label,'','');
                    break;
                case 'ase':
                    label = "Area Sale Executive";
                    ajax_call(9, label,'','');
                    break;
                case 'both':
                    input_id = "rsm";
                    label = "Regional Sale Manager";
                    ajax_call(2, label,input_id,'both');
                    input_id = "asm";
                    label = "Area Sale Manager";
                    ajax_call(3, label,input_id,'both');
                    break;
                case '':
                    $('.field_wrap').empty();
                    break;
            }
        });

        function ajax_call(id, label,input_id,type) {
            $.ajax({
                url: '{{url('/user_parent/')}}/' + id,
                type: 'GET',
                contentType: 'application/json; charset=utf-8',
                dataType: 'json',
                success: function (data) {
                    $inputValues = $('#sub_value').val();
                    $inputValues_2 = $('#sub_value_2').val();
                    if(type==''){
                        $('.field_wrap').empty();
                        $('.field_wrap_2').empty();
                        var template = $('<div>', {class: ''})
                                .append(
                                        $('<div>', {class: 'form-group'})
                                                .append(
                                                        $('<label>').text(label)
                                                )
                                                .append(
                                                        $('<select>', {
                                                            name: 'parent_id',
                                                            id: 'parent_id',
                                                            class: 'form-control select'
                                                        })
                                                )
                                )
                        $('.field_wrap').append(template);
                        $(data).each(function (index, element) {
                            $('#parent_id').append(
                                    $('<option >', {value: element.id}).text(element.firstname + ' ' + element.lastname)
                            );
                            if (element.id == $inputValues){
                                $("#parent_id option[value='" + $inputValues + "']").prop("selected","selected");
                            }
                        });
                    }else{
                        $('.field_wrap').empty();
                        var template = $('<div>', {class: 'append-rsm'})
                                .append(
                                        $('<div>', {class: 'form-group'})
                                                .append(
                                                        $('<label>').text(label)
                                                )
                                                .append(
                                                        $('<select>', {
                                                            name: input_id,
                                                            id: input_id,
                                                            class: 'form-control select'
                                                        })
                                                )
                                )
                        $('.field_wrap_2').append(template);
                        if(input_id=="rsm"){
                            $(data).each(function (index, element) {
                                $('#'+input_id).append(
                                        $('<option >', {value: element.id}).text(element.firstname + ' ' + element.lastname)
                                );
                                if (element.id == $inputValues){
                                    $("#rsm option[value='" + $inputValues + "']").prop("selected","selected");
                                }
                            });
                        }else if(input_id=="asm"){
                            $(data).each(function (index, element) {
                                $('#'+input_id).append(
                                        $('<option >', {value: element.id}).text(element.firstname + ' ' + element.lastname)
                                );
                                if (element.id == $inputValues_2){
                                    $("#asm option[value='" + $inputValues_2 + "']").prop("selected","selected");
                                }
                            });
                        }
                    }
                },
                error: function () {
                }
            });
        }
        function ajax_call_2(id, label) {
            switch (id){
                case 1:
                    $.ajax({
                        url: '{{url('/supplier/')}}' ,
                        type: 'GET',
                        contentType: 'application/json; charset=utf-8',
                        dataType: 'json',
                        success: function (data) {
                            $inputValues = $('#old_supplier').val();
                            var template = $('<div>', {class: ''})
                                    .append(
                                            $('<div>', {class: 'form-group'})
                                                    .append(
                                                            $('<label>').text(label)
                                                    )
                                                    .append(
                                                            $('<select>', {
                                                                name: 'supplier',
                                                                id: 'supplier',
                                                                class: 'form-control select'
                                                            })
                                                    )
                                    )
                            $('.supplier').append(template);
                            $('#supplier').append(
                                    $('<option >', {value: ''}).text('Select Supplier')
                            );
                            $(data).each(function (index, element) {
                                $('#supplier').append(
                                        $('<option >', {value: element.id}).text(element.firstname + ' ' + element.lastname)
                                );
                                if (element.id == $inputValues){
                                    $("#supplier option[value='" + $inputValues + "']").prop("selected","selected");
                                }
                            });
                        },
                        error: function () {
                        }
                    });
                    break;
            }

        }
        function remove() {
            $('.field_wrap').empty();
            $('.supplier').empty();
            $('.field_wrap_2').empty();
            $('.parent_type').hide();
        }
        function show() {
            $('.parent_type').show();
        }
        function hide() {
            $('.parent_type').hide();
        }
    </script>
    <script>
        $(document).on('change', '#country', function() {
            var ID=$(this).val();
            $('#region')
                    .find('option')
                    .remove()
                    .end();
            $('#region').attr('disabled', 'disabled');
            $('#city').attr('disabled', 'disabled');
            $.ajax({
                url: '{{url('/country-regions/')}}/'+ID,
                type: 'GET',
                contentType: 'application/json; charset=utf-8',
                dataType: 'json',
                success: function (data) {
                    $inputValues = $("#old_region").val();
                    $(data).each(function (index, element) {
                        $('#region').removeAttr("disabled")
                        $('#region').append(
                                $('<option >', {value: element.id} ) .text(element.name)
                        );
                        if (element.id == $inputValues) {
                            $("#region option[value='" + $inputValues + "']").prop("selected", "selected");
                        }
                    });
                    $('#region').trigger('change');
                },
                error: function () {
                }
            });

        });
        $(document).on('change', '#region', function() {
            var ID=$(this).val();
            $('#city')
                    .find('option')
                    .remove()
                    .end();
            $.ajax({
                url: '{{url('/region-cities/')}}/'+ID,
                type: 'GET',
                contentType: 'application/json; charset=utf-8',
                dataType: 'json',
                success: function (data) {
                    $inputValues2 = $("#old_city").val();
                    $(data).each(function (index, element) {
                        $('#city').removeAttr("disabled")
                        $('#city').append(
                                $('<option >', {value: element.id} ) .text(element.name)
                        );
                        if (element.id == $inputValues2) {
                            $("#city option[value='" + $inputValues2 + "']").prop("selected", "selected");
                        }
                    });

                },
                error: function () {
                }
            });

        });
    </script>

@endsection
