@extends('layouts.admin')

@section('header-content')
    <style>
        .upper-case{
            text-transform: uppercase;
        }
    </style>
@endsection
@section('content')
    <div class="row">
        <div class="col-sm-3 col-md-3">
            <!-- Detached sidebar -->
            <div  class="sidebar-detached">
                <div class="sidebar sidebar-default sidebar-separate">
                    <div class="sidebar-content">
                        <!-- User details -->
                        <div class="content-group">
                            <div class="panel-body bg-indigo-400 border-radius-top text-center" style="background-image: url(http://demo.interface.club/limitless/assets/images/bg.png); background-size: contain;">
                                <div class="content-group-sm">
                                    <h6 class="text-semibold no-margin-bottom upper-case">
                                        {{$user->firstname.' '.$user->lastname}}
                                    </h6>
                                    <span class="display-block">{{$user->roles->first()->display_name}}</span>
                                </div>
                                @if(isset($user->image) && !empty($user->image))
                                    <a href="#" class="display-inline-block content-group-sm">
                                        <img src="{{$user->image}}" class="img-circle img-responsive" alt="" style="width: 110px; height: 110px;">
                                    </a>
                                @else
                                    <a href="#" class="display-inline-block content-group-sm">
                                        <img src="{{URL::asset('assets/images/user.png')}}" class="img-circle img-responsive" alt="" style="width: 110px; height: 110px;">
                                    </a>
                                @endif
                                <ul class="list-inline list-inline-condensed no-margin-bottom">
                                    <li><a href="#" class="btn bg-indigo btn-rounded btn-icon"><i class="icon-google-drive"></i></a></li>
                                    <li><a href="#" class="btn bg-indigo btn-rounded btn-icon"><i class="icon-twitter"></i></a></li>
                                    <li><a href="#" class="btn bg-indigo btn-rounded btn-icon"><i class="icon-github"></i></a></li>
                                </ul>
                            </div>

                            <div class="panel no-border-top no-border-radius-top">
                                <ul class="navigation">
                                    <li class="navigation-header">Navigation</li>
                                    <li class="active"><a href="#profile" data-toggle="tab"><i class="icon-files-empty"></i> Profile</a></li>
                                    @if(($user->roles->first()->name=='so') || ($user->roles->first()->name=='ase'))
                                    <li><a href="#customers" data-toggle="tab"><i class="icon-files-empty"></i> Customers <span class="badge bg-warning-400">{{count($user->shops)}}</span></a></li>
                                    <li><a href="#SaleAndRecovery" data-toggle="tab"><i class="icon-files-empty"></i> Sales & Recovery</a></li>
                                    <li><a href="#CMExpense" data-toggle="tab"><i class="icon-files-empty"></i> Current Month Expense</a></li>
                                    @if($user->id==13)
                                    <li><a href="#stock" data-toggle="tab"><i class="icon-files-empty"></i> Available Stock</a></li>
                                    <li><a href="{{url('users/ledger/'.$user->id)}}" ><i class="icon-files-empty"></i> SO Ledger</a></li>
                                    @endif
                                    @endif
                                    <li class="navigation-divider"></li>
                                    <li><a href="{{ route('logout') }}"
                                           onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                            <i class="icon-switch2"></i> Logout
                                        </a>

                                        <form id="logout-form" action="{{ route('logout') }}" method="POST"
                                              style="display: none;">
                                            {{ csrf_field() }}
                                        </form>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <!-- /user details -->
                    </div>
                </div>
            </div>
            <!-- /detached sidebar -->
        </div>
        <div class="col-sm-9 col-md-9">
            <!-- Detached content -->
            <div  class="container-detached">
                <div class="content-detached">
                    <!-- Tab content -->
                    <div class="tab-content">
                        <div class="tab-pane fade in active" id="profile">
                            <!-- Profile info -->
                            <div class="panel panel-flat">
                                <div class="panel-heading">
                                    <h6 class="panel-title">Profile information</h6>
                                    <div class="heading-elements">
                                        @if(Auth::user()->can('modify_members'))
                                        <a href="{{url('users/'.$user->id.'/edit')}}">
                                            <button type="button" class="btn btn-info btn-labeled btn-xs pull-right"><b><i class="icon-pencil7"></i></b> Edit</button>
                                        </a>
                                        @endif
                                    </div>
                                </div>
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-lg">
                                            <tbody>
                                            <tr>
                                                <td>Name</td>
                                                <td>{{$user->firstname.' '.$user->lastname }}  </td>
                                                <td>Father Name</td>
                                                <td>{{$user->fathername}}</td>
                                            </tr>
                                            <tr>
                                                <td>Religion</td>
                                                <td>{{$user->religion}}</td>
                                                <td>Gender</td>
                                                <td>{{$user->gender}}</td>
                                            </tr>
                                            <tr>
                                                <td>CNIC #</td>
                                                <td> {{$user->cnic}} </td>
                                                <td>Landline #</td>
                                                <td>{{$user->landline}}</td>
                                            </tr>
                                            <tr>
                                                <td>Phone 1</td>
                                                <td>{{$user->phone_1}}</td>
                                                <td>Phone 2</td>
                                                <td>{{$user->phone_2}}</td>
                                            </tr>
                                            <tr>
                                                <td>Date of Birth</td>
                                                <td>{{$user->dob}}</td>
                                                <td>Address</td>
                                                <td>{{$user->address}}</td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="panel-heading">
                                    <h6 class="panel-title">Account information</h6>
                                </div>
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-lg">
                                            <tbody>
                                            <tr>
                                                <td>Username</td>
                                                <td>{{$user->username}}</td>
                                                <td>Email</td>
                                                <td>{{$user->email}}</td>
                                            </tr>
                                            <tr>
                                                <td>Role</td>
                                                <td> {{$user->roles->first()->display_name}} </td>
                                                <td>Joining Date</td>
                                                <td>{{$user->joining_date}}</td>
                                            </tr>
                                            @if($user->roles->first()->name!='rsm')
                                            <tr>
                                                <td>Regional Sales Manager</td>
                                                <td colspan="3"> @if(isset($user->region) && isset($user->region->rsm)){{$user->region->rsm->firstname.' '.$user->region->rsm->lastname}} @endif </td>
                                            </tr>
                                            @endif
                                            <tr>
                                                <td>Country</td>
                                                <td> {{$user->country->name}} </td>
                                                <td >Region</td>
                                                <td>@if(isset($user->region)){{$user->region->name}} @endif</td>
                                            </tr>
                                            <tr>
                                                <td >Created At</td>
                                                <td>{{$user->created_at}}  </td>
                                                <td >Updated At</td>
                                                <td>{{$user->updated_at}}  </td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <!-- /profile info -->
                        </div>
                        <div class="tab-pane fade" id="customers">
                            <div class="panel panel-white">
                                <div class="panel-heading">
                                    <h6 class="panel-title">Total Customers : <span class="label bg-blue heading-text">{{count($user->shops)}}</span> </h6>
                                    <div class="heading-elements">
                                        <button type="button" class="btn btn-default btn-xs heading-btn"> Outstanding Balance:  {{(-1)* $outstanding_balance}}</button>
                                    </div>
                                </div>
                            @if(count($user->shops)>0)
                                <div class="panel-body panel-white">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-framed table-hover">
                                            <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Customers</th>
                                                <th>Balance</th>
                                                <th>Location</th>
                                                <th>Customer Type</th>
                                                <th>Action</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            @foreach($user->shops as $key=>$shop)
                                                <tr>
                                                    <td>{{$key+1}}</td>
                                                    <td><a href="{{url('customers/'.$shop->id)}}"
                                                           title="View Customer details">{{$shop->name}}</a></td>
                                                    <td>{{(-1)*$shop->balance}}</td>
                                                    <td>{{$shop->location}}</td>
                                                    <td>{{$shop->customer_type}}</td>
                                                    <td style="width:200px;">
                                                        <ul class="icons-list action-size">
                                                            <li class="text-success-600"><a title="Check Ledger" href="{{url('/customer-ledger/'.$shop->id)}}"><i class="icon-credit-card2"></i></a></li>
                                                            <li class="text-primary-600"><a title="Modify" href="{{Request::url()}}/{{$shop->id}}/edit"><i class="icon-pencil7"></i></a></li>
                                                            <li class="text-danger-600"><a title="Delete" href="javascript:;" onclick="deleteItem('{{Request::url()}}/{{$shop->id}}');"><i class="icon-trash"></i></a></li>
                                                        </ul>
                                                        <form id="deleteForm" method="POST" action="">
                                                            {!! method_field('DELETE') !!}
                                                            {!! csrf_field() !!}
                                                        </form>
                                                    </td>
                                                </tr>
                                            @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                    <br>
                                </div>
                            @else
                                <div class="panel-body panel-white">
                                    <p>No Records Found</p>
                                </div>
                            @endif
                            </div>
                        </div>
                        <div class="tab-pane fade" id="SaleAndRecovery">
                            <!-- Sale And Recovery -->
                            <div class="panel panel-white">
                                <div class="panel-heading">
                                    <h6 class="panel-title"> Sale & Recovery</h6>
                                    <div class="heading-elements">
                                         Sales: {{$user->CMonthSale($user->id)}}
                                        <br>
                                         Recovery: {{$user->CMonthRecovery($user->id)}}
                                    </div>
                                </div>
                                @php $salesSummary=$user->CMonthSalesAndRecovery($user->id);@endphp
                                @if(count($salesSummary)>0)
                                    <div class="panel-body">
                                        <div class="table-responsive">
                                            <table class="table table-bordered table-framed table-hover">
                                                <thead>
                                                <tr>
                                                    <th>Date</th>
                                                    <th>Sales</th>
                                                    <th>Recovery</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @foreach($salesSummary as $key=>$tenure)
                                                    <tr>
                                                        <td>{{$tenure['date']}}</td>
                                                        <td>@if($tenure['ledger_type']=='order')<a href="{{url('orders/'.$tenure->id)}}"
                                                                                                   title="View Sales details">{{$tenure['payment']}}</a> @endif </td>
                                                        <td>@if($tenure['ledger_type']=='payment')<a href="{{url('payments/'.$tenure->id)}}"
                                                                                                     title="View Recovery details">{{$tenure['amount']}}</a> @endif</td>
                                                    </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                @else
                                    <div class="panel-body">
                                        <p>No Records Found</p>
                                    </div>
                                @endif
                            </div>
                            <!-- /Sale And Recovery -->

                        </div>
                        <div class="tab-pane fade" id="CMExpense">
                            <!-- Sale And Recovery -->
                            <div class="panel panel-white">
                                <div class="panel-heading">
                                    <h6 class="panel-title"> Current Month Expense</h6>
                                </div>
                                @php $ExpenseSummary=$user->CMonthExpense($user->id);@endphp
                                @if(count($ExpenseSummary)>0)
                                    <div class="panel-body">
                                        <div class="table-responsive">
                                            <table class="table table-bordered table-framed table-hover">
                                                <thead>
                                                <tr>
                                                    <th>Date</th>
                                                    <th>Expense Type</th>
                                                    <th>Amount</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @foreach($ExpenseSummary as $key=>$expense)
                                                    <tr>
                                                        <td>{{$expense['date']}}</td>
                                                        <td>
                                                            <a href="{{url('user-expense/'.$expense['id'])}}"
                                                               title="View Expense details">     {{$expense->expense->name}} </a>

                                                        </td>
                                                        <td>{{$expense['amount']}}</td>
                                                    </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                @else
                                    <div class="panel-body">
                                        <p>No Records Found</p>
                                    </div>
                                @endif
                            </div>
                            <!-- /Sale And Recovery -->
                        </div>
                        <div class="tab-pane fade" id="stock">
                            <div class="panel panel-white">
                                <div class="panel-heading">
                                    <h6 class="panel-title"> Available Stock : <span class="label bg-blue heading-text"></span> </h6>
                                </div>
                                @if(count($user->avalableStocks)>0)
                                    <div class="panel-body panel-white">
                                        <div class="table-responsive">
                                            <table class="table table-bordered table-framed table-hover">
                                                <thead>
                                                <tr>
                                                    <th>#</th>
                                                    <th>Product</th>
                                                    <th>Quantity</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @foreach($user->avalableStocks as $key=>$stock)
                                                    <tr>
                                                        <td>{{$key+1}}</td>
                                                        <td>@if(isset($stock->product->name)){{$stock->product->name}}  @endif</td>
                                                        <td>
                                                            @if(!empty($stock->qty))
                                                                @php $rem=0;
                                                                 $rem=($stock->qty)%12 @endphp
                                                                {{round(($stock->qty)/12).' Dozen ' }}
                                                                @if(!empty($rem) && $rem!=0)    {{(' + '.$rem . ' piece ')}}  @endif
                                                            @endif

                                                        </td>
                                                    </tr>
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                        <br>
                                    </div>
                                @else
                                    <div class="panel-body panel-white">
                                        <p>No Records Found</p>
                                    </div>
                                @endif
                            </div>
                        </div>
                    </div>
                    <!-- /tab content -->
                </div>
            </div>
            <!-- /detached content -->
        </div>
    </div>

@endsection

@section('footer-content')
    <!-- Theme JS files -->
    <script type="text/javascript" src="{{asset('assets/js/core/libraries/jasny_bootstrap.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/selects/select2.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/forms/styling/uniform.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/moment/moment.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/ui/fullcalendar/fullcalendar.min.js')}}"></script>
    <script type="text/javascript" src="{{asset('assets/js/plugins/visualization/echarts/echarts.js')}}"></script>
    <!-- /theme JS files -->

    {{--<script type="text/javascript" src="{{asset('assets/js/pages/user_profile_tabbed.js')}}"></script>--}}

@endsection
