    <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ $page_title }} - {{ session()->get('site_settings')['site_title'] }}</title>
    <!-- Global stylesheets -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,300,100,500,700,900" rel="stylesheet" type="text/css">
    <link href="{{asset('assets/css/icons/icomoon/styles.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('assets/css/bootstrap.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('assets/css/core.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('assets/css/components.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('assets/css/colors.css')}}" rel="stylesheet" type="text/css">
    <!-- /global stylesheets -->
    <!-- toast CSS -->
    <link href="{{ asset('css/jquery.toast.css') }}" rel="stylesheet">

    @yield('header-content')
</head>

<body>

<!-- Main navbar -->
<div class="navbar navbar-inverse">
    <div class="navbar-header">
        <a class="navbar-brand" href="{{url('/home')}}"> Admin Panel</a>
{{--        <a class="navbar-brand" href="{{url('/home')}}"><img src="{{asset('assets/images/logo_light.png')}}" alt=""></a>--}}

        <ul class="nav navbar-nav visible-xs-block">
            <li><a data-toggle="collapse" data-target="#navbar-mobile"><i class="icon-tree5"></i></a></li>
            <li><a class="sidebar-mobile-main-toggle"><i class="icon-paragraph-justify3"></i></a></li>
        </ul>
    </div>

    <div class="navbar-collapse collapse" id="navbar-mobile">
        <ul class="nav navbar-nav">
            <li><a class="sidebar-control sidebar-main-toggle hidden-xs"><i class="icon-paragraph-justify3"></i></a></li>
        </ul>

        <ul class="nav navbar-nav navbar-right">

            <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                    <i class="icon-bubbles4"></i>
                    <span class="visible-xs-inline-block position-right">Pending Cheque</span>
                    <span class="badge bg-warning-400">@php echo count($alerts)@endphp</span>
                </a>
                <div class="dropdown-menu dropdown-content width-350">
                    <div class="dropdown-content-heading">
                        Pending Cheque
                    </div>
                    <ul class="media-list dropdown-content-body">
                        @if(count($alerts)>0)
                            @foreach($alerts as $alert)
                        <li class="media">
                            <div class="media-left">
                                <img src="{{$alert->user->image}}" class="img-circle img-sm" alt="">
                            </div>
                            <div class="media-body">
                                <a href="{{url('payments/'.$alert->id)}}" class="media-heading">
                                    <span class="text-semibold" style="text-transform: capitalize;">{{$alert->user->firstname.' '.$alert->user->lastname  }}</span>
                                    <span class="media-annotation pull-right">{{$alert->promise_cheque_date}}</span>
                                </a>
                                <span class="text-muted">Please Confirm this cheque ...</span>
                            </div>
                        </li>
                            @endforeach
                                <div class="dropdown-content-footer">
                                    <a href="{{url('payments/pending')}}" data-popup="tooltip" title="All Pending Check"><i class="icon-menu display-block"></i></a>
                                </div>
                        @else
                            <li class="media">

                                <div class="media-body">
                                   No result found
                                </div>
                            </li>
                        @endif
                    </ul>

                </div>
            </li>

            <li class="dropdown dropdown-user">
                <a class="dropdown-toggle" data-toggle="dropdown">
                    <img src="{{asset('assets/images/placeholder.jpg')}}" alt="">
                    <span>{{Auth::user()->firstname .' '. Auth::user()->lastname}}</span>
                    <i class="caret"></i>
                </a>

                <ul class="dropdown-menu dropdown-menu-right">
                    <li>
                        <a href="{{ route('logout') }}"
                           onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                            <i class="icon-switch2"></i> Logout
                        </a>

                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                            {{ csrf_field() }}
                        </form>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- /main navbar -->
<!-- Page container -->
<div class="page-container">

    <!-- Page content -->
    <div class="page-content">

        <!-- Main sidebar -->
        <div class="sidebar sidebar-main">
            <div class="sidebar-content">

                <!-- User menu -->
                <div class="sidebar-user">
                    <div class="category-content">
                        <div class="media">
                            <a href="#" class="media-left"><img src="{{asset('assets/images/placeholder.jpg')}}" class="img-circle img-sm" alt=""></a>
                            <div class="media-body">
                                <span class="media-heading text-semibold">{{Auth::user()->firstname .' '. Auth::user()->lastname}}</span>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /user menu -->
                <!-- Main navigation -->
                <div class="sidebar-category sidebar-category-visible">
                    <div class="category-content no-padding">
                        <ul class="navigation navigation-main navigation-accordion">
                            @if(in_array(Auth::user()->roles->first()->name, ['super_admin','admin','code_8/5']) )
                            <li  @if(Request::segment(1) == 'home') class="active" @endif><a href="{{url('/home')}}"><i class="icon-home4"></i> <span>Dashboard</span></a></li>
                            @endif
                            {{--<li  @if(Request::segment(1) == 'profile') class="active" @endif><a href="{{url('/profile')}}"><i class="icon-user-plus"></i> <span>My profile</span></a></li>--}}
                            @if(in_array(Auth::user()->roles->first()->name, ['code_8/5']))
                            <li  @if(Request::segment(1) == 'agencies') class="active" @endif>
                                <a href="#"><i class="icon-stack2"></i> <span>Agencies</span></a>
                                <ul>
                                    <li @if(Request::segment(1) == 'agencies' && Request::segment(2) == '') class="active" @endif><a href="{{url('agencies')}}">Show All Agencies</a></li>
                                    <li @if(Request::segment(1) == 'agencies' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('agencies/create')}}">Add New Agency</a></li>
                                </ul>
                            </li>
                          @endif

                            @if(Auth::user()->can('view_members') || Auth::user()->can('modify_members'))
                                <li @if(Request::segment(1) == 'users') class="active" @endif>
                                    <a href="#"><i class="icon-people"></i> <span>Members</span></a>
                                    <ul>
                                        @if(Auth::user()->can('view_members') )
                                        <li @if(Request::segment(1) == 'users' && Request::segment(2) == '') class="active" @endif>
                                            <a href="{{url('users')}}">Show All Members</a></li>
                                        @endif
                                        @if(Auth::user()->can('modify_members'))
                                        <li @if(Request::segment(1) == 'users' && Request::segment(2) == 'create') class="active" @endif>
                                            <a href="{{url('users/create')}}">Add New Member</a></li>
                                        @endif
                                    </ul>
                                </li>
                            @endif
                            @if(Auth::user()->can('view_customers') || Auth::user()->can('modify_customers'))
                            <li  @if(Request::segment(1) == 'customers') class="active" @endif>
                                <a href="#"><i class="icon-store2"></i> <span>Customers</span></a>
                                <ul>
                                    @if(Auth::user()->can('view_customers') )
                                    <li @if(Request::segment(1) == 'customers' && Request::segment(2) == '') class="active" @endif><a href="{{url('customers')}}">Show All Customers</a></li>
                                    @endif
                                    @if( Auth::user()->can('modify_customers'))
                                    <li @if(Request::segment(1) == 'customers' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('customers/create')}}">Add New Customer</a></li>
                                    @endif
                                </ul>
                            </li>
                            @endif
                            @if(Auth::user()->can('view_products') || Auth::user()->can('modify_products'))
                            <li  @if(Request::segment(1) == 'products') class="active" @endif>
                                <a href="#"><i class="icon-stack2"></i> <span>Products</span></a>
                                <ul>
                                    @if(Auth::user()->can('view_products'))
                                    <li @if(Request::segment(1) == 'products' && Request::segment(2) == '') class="active" @endif><a href="{{url('products')}}">Show All Products</a></li>
                                    @endif
                                    @if( Auth::user()->can('modify_products'))
                                    <li @if(Request::segment(1) == 'products' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('products/create')}}">Add New Product</a></li>
                                    @endif
                                </ul>
                            </li>
                            @endif
                            @if(Auth::user()->can('view_sales') || Auth::user()->can('modify_sales'))
                            <li  @if(Request::segment(1) == 'orders' || Request::segment(1) == 'booked-orders') class="active" @endif>
                                <a href="#"><i class="icon-cart2"></i> <span>Sales</span></a>
                                <ul>
                                    @if( Auth::user()->can('view_sales'))
                                    <li @if(Request::segment(1) == 'orders' && Request::segment(2) == 'sample') class="active" @endif><a href="{{url('orders/sample')}}">Show All Delivered Sample</a></li>
                                    <li @if(Request::segment(1) == 'booked-orders' && Request::segment(2) == '') class="active" @endif><a href="{{url('booked-orders')}}">Show All Booked Orders</a></li>
                                    <li @if(Request::segment(1) == 'orders' && Request::segment(2) == '') class="active" @endif><a href="{{url('orders')}}">Show All Orders</a></li>
                                    <li @if(Request::segment(1) == 'orders/stock' && Request::segment(2) == '') class="active" @endif><a href="{{url('orders/stock')}}">Show All RSM Orders</a></li>
                                   @endif
                                    @if( Auth::user()->can('modify_sales'))
                                    <li @if(Request::segment(1) == 'orders' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('orders/create')}}">Add New Order</a></li>
                                   @endif
                                </ul>
                            </li>
                            @endif
                            @if(Auth::user()->can('view_recovery') || Auth::user()->can('modify_recovery'))
                            <li  @if(Request::segment(1) == 'payments') class="active" @endif>
                                <a href="#"><i class="icon-credit-card2"></i> <span>Recovery</span></a>
                                <ul>
                                    @if(Auth::user()->can('view_recovery') )
                                    <li @if(Request::segment(1) == 'payments' && Request::segment(2) == '') class="active" @endif><a href="{{url('payments')}}">Received Payments</a></li>
                                    <li @if(Request::segment(1) == 'payments' && Request::segment(2) == 'pending') class="active" @endif><a href="{{url('payments/pending')}}">Pending Cheque </a></li>
                                    @endif
                                    @if( Auth::user()->can('modify_recovery'))
                                    <li @if(Request::segment(1) == 'payments' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('payments/create')}}">Add Payment</a></li>
                                    @endif
                                </ul>
                            </li>
                            @endif
                            @if(Auth::user()->can('view_reports'))
                            <li  @if(Request::segment(1) == 'reports') class="active" @endif>
                                <a href="#"><i class="glyphicon glyphicon-registration-mark"></i> <span>Reports</span></a>
                                <ul>
                                    @if(Auth::user()->can('view_reports') )
                                    <li @if(Request::segment(1) == 'reports' && Request::segment(2) == 'sales') class="active" @endif><a href="{{url('reports/sales')}}">Sales Summary</a></li>
                                    <li @if(Request::segment(1) == 'reports' && Request::segment(2) == 'sales&recovery') class="active" @endif><a href="{{url('reports/sales&recovery')}}">Sales And Recovery</a></li>
                                    <li @if(Request::segment(1) == 'reports' && Request::segment(2) == 'dubaisales&recovery') class="active" @endif><a href="{{url('reports/dubaisales&recovery')}}">Dubai Sales And Recovery</a></li>
                                    @endif
                                </ul>
                            </li>
                            @endif
                            @if(Auth::user()->can('view_jobs') || Auth::user()->can('modify_jobs'))
                            <li  @if(Request::segment(1) == 'jobs') class="active" @endif>
                                <a href="#"><i class="icon-task"></i> <span>Jobs</span></a>
                                <ul>
                                    @if(Auth::user()->can('view_jobs') )
                                    <li @if(Request::segment(1) == 'jobs' && Request::segment(2) == '') class="active" @endif><a href="{{url('jobs')}}">Show All Jobs</a></li>
                                    @endif
                                    @if( Auth::user()->can('modify_jobs'))
                                    <li @if(Request::segment(1) == 'jobs' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('jobs/create')}}">Add New Job</a></li>
                                    @endif
                                </ul>
                            </li>
                            @endif
                            @if(in_array(Auth::user()->roles->first()->name, ['code_8/5','super_admin','admin']))
                            <li  @if(Request::segment(1) == 'countries' || Request::segment(1) == 'regions' || Request::segment(1) == 'cities' || Request::segment(1) == 'areas' ) class="active" @endif>
                                <a href="#"><i class="icon-tree5"></i> <span>Location</span></a>
                                <ul>
                                    <li  @if(Request::segment(1) == 'countries') class="active" @endif>
                                        <a href="#"><i class="icon-location4"></i> <span>Countries</span></a>
                                        <ul>
                                            <li @if(Request::segment(1) == 'countries' && Request::segment(2) == '') class="active" @endif><a href="{{url('countries')}}">Show All Countries</a></li>
                                            <li @if(Request::segment(1) == 'countries' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('countries/create')}}">Add New Country</a></li>
                                        </ul>
                                    </li>
                                    <li  @if(Request::segment(1) == 'regions') class="active" @endif>
                                        <a href="#"><i class="icon-location3"></i> <span>Regions</span></a>
                                        <ul>
                                            <li @if(Request::segment(1) == 'regions' && Request::segment(2) == '') class="active" @endif><a href="{{url('regions')}}">Show All Regions</a></li>
                                            <li @if(Request::segment(1) == 'regions' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('regions/create')}}">Add New Region</a></li>
                                        </ul>
                                    </li>
                                    <li  @if(Request::segment(1) == 'cities') class="active" @endif>
                                        <a href="#"><i class="icon-location3"></i> <span>Cities</span></a>
                                        <ul>
                                            <li @if(Request::segment(1) == 'cities' && Request::segment(2) == '') class="active" @endif><a href="{{url('cities')}}">Show All Cities</a></li>
                                            <li @if(Request::segment(1) == 'cities' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('cities/create')}}">Add New City</a></li>
                                        </ul>
                                    </li>
                                    <li  @if(Request::segment(1) == 'areas') class="active" @endif>
                                        <a href="#"><i class="icon-location3"></i> <span>Areas</span></a>
                                        <ul>
                                            <li @if(Request::segment(1) == 'areas' && Request::segment(2) == '') class="active" @endif><a href="{{url('areas')}}">Show All Areas</a></li>
                                            <li @if(Request::segment(1) == 'areas' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('areas/create')}}">Add New Area</a></li>
                                        </ul>
                                    </li>
                                    <li  @if(Request::segment(1) == 'partyname') class="active" @endif>
                                        <a href="#"><i class="icon-location3"></i> <span>Party Name</span></a>
                                        <ul>
                                            <li @if(Request::segment(1) == 'partyname' && Request::segment(2) == '') class="active" @endif><a href="{{url('partyname')}}">Show All Party Name</a></li>
                                            <li @if(Request::segment(1) == 'partyname' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('partyname/create')}}">Add New Party Name</a></li>
                                        </ul>
                                    </li>
                                </ul>
                            </li>
                            @endif
                                @if(  Auth::user()->can('view_targets') ||  Auth::user()->can('modify_targets'))
                                <li  @if(Request::segment(1) == 'targets' || Request::segment(1) == 'so_targets' ) class="active" @endif>
                                    <a href="#"><i class="icon-stack2"></i> <span>Targets</span></a>
                                    <ul>
                                        <li  @if(Request::segment(1) == 'targets') class="active" @endif>
                                            <a href="#"><i class="icon-stack2"></i> <span>Sales & Recovery Target</span></a>
                                            <ul>
                                                @if(  Auth::user()->can('view_targets') )
                                                <li @if(Request::segment(1) == 'targets' && Request::segment(2) == '') class="active" @endif><a href="{{url('targets')}}">Show All Target</a></li>
                                                @endif
                                                @if( Auth::user()->can('modify_targets'))
                                                <li @if(Request::segment(1) == 'targets' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('targets/create')}}">Assign Target</a></li>
                                                @endif
                                            </ul>
                                        </li>
                                        <li  @if(Request::segment(1) == 'so_targets') class="active" @endif>
                                            <a href="#"><i class="icon-stack2"></i> <span>SO Target</span></a>
                                            <ul>
                                                @if(  Auth::user()->can('view_targets') )
                                                <li @if(Request::segment(1) == 'so_targets' && Request::segment(2) == '') class="active" @endif><a href="{{url('so_targets')}}">Show All Target</a></li>
                                                @endif
                                                @if( Auth::user()->can('modify_targets'))
                                                <li @if(Request::segment(1) == 'so_targets' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('so_targets/create')}}">Assign Target</a></li>
                                                @endif
                                            </ul>
                                        </li>
                                    </ul>
                                </li>
                                @endif
                           @if(  Auth::user()->can('view_bilty') ||  Auth::user()->can('modify_bilty'))
                            <li  @if(Request::segment(1) == 'bilty') class="active" @endif>
                                    <a href="#"><i class="icon-stack2"></i> <span>Bilty</span></a>
                                    <ul>
                                        @if(  Auth::user()->can('view_bilty') )
                                        <li @if(Request::segment(1) == 'bilty' && Request::segment(2) == '') class="active" @endif><a href="{{url('bilty')}}">Show All Bilty</a></li>
                                        @endif
                                        {{--@if(Auth::user()->can('modify_bilty'))--}}
                                        {{--<li @if(Request::segment(1) == 'bilty' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('bilty/create')}}">Add New Bilty</a></li>--}}
                                        {{--@endif--}}
                                    </ul>
                            </li>
                           @endif
                           @if(in_array(Auth::user()->roles->first()->name, ['code_8/5','super_admin','admin']) )
                            <li  @if(Request::segment(1) == 'categories') class="active" @endif>
                                <a href="#"><i class="icon-stack2"></i> <span>Categories</span></a>
                                <ul>
                                    <li @if(Request::segment(1) == 'categories' && Request::segment(2) == '') class="active" @endif><a href="{{url('categories')}}">Show All Categories</a></li>
                                    <li @if(Request::segment(1) == 'categories' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('categories/create')}}">Add New Category</a></li>
                                </ul>
                            </li>
                            @endif

                            @if(  Auth::user()->can('view_grades') ||  Auth::user()->can('modify_grades'))
                            <li  @if(Request::segment(1) == 'target_points' || Request::segment(1) == 'target_grades' || Request::segment(1) == 'target_visit' ) class="active" @endif>
                                <a href="#"><i class="icon-tree5"></i> <span>Grade</span></a>
                                <ul>
                                    <li  @if(Request::segment(1) == 'target_points') class="active" @endif>
                                        <a href="#"><i class="icon-target2"></i> <span>Target Points</span></a>
                                        <ul>
                                            @if(  Auth::user()->can('view_grades') )
                                            <li @if(Request::segment(1) == 'target_points' && Request::segment(2) == '') class="active" @endif><a href="{{url('target_points')}}">Show All </a></li>
                                            @endif
                                            @if(Auth::user()->can('modify_grades'))
                                            <li @if(Request::segment(1) == 'target_points' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('target_points/create')}}">Add New </a></li>
                                            @endif
                                        </ul>
                                    </li>
                                    <li  @if(Request::segment(1) == 'target_cetegories') class="active" @endif>
                                        <a href="#"><i class="icon-target2"></i> <span>Target Product Grades</span></a>
                                        <ul>
                                            @if(  Auth::user()->can('view_grades') )
                                            <li @if(Request::segment(1) == 'target_grades' && Request::segment(2) == '') class="active" @endif><a href="{{url('target_grades')}}">Show All </a></li>
                                            @endif
                                            @if(Auth::user()->can('modify_grades'))
                                            <li @if(Request::segment(1) == 'target_grades' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('target_grades/create')}}">Add New </a></li>
                                            @endif
                                        </ul>
                                    </li>
                                    <li  @if(Request::segment(1) == 'target_visit') class="active" @endif>
                                        <a href="#"><i class="icon-target2"></i> <span>Target Visit Grades</span></a>
                                        <ul>
                                            @if(  Auth::user()->can('view_grades') )
                                            <li @if(Request::segment(1) == 'target_visit' && Request::segment(2) == '') class="active" @endif><a href="{{url('target_visit')}}">Show All </a></li>
                                            @endif
                                            @if(Auth::user()->can('modify_grades'))
                                            <li @if(Request::segment(1) == 'target_visit' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('target_visit/create')}}">Add New </a></li>
                                            @endif
                                        </ul>
                                    </li>
                                    <li  @if(Request::segment(1) == 'product_discount') class="active" @endif>
                                        <a href="#"><i class="icon-target2"></i> <span>Product Discount</span></a>
                                        <ul>
                                            @if(  Auth::user()->can('view_grades') )
                                            <li @if(Request::segment(1) == 'product_discount' && Request::segment(2) == '') class="active" @endif><a href="{{url('product_discount')}}">Show All </a></li>
                                            @endif
                                            @if(Auth::user()->can('modify_grades'))
                                            <li @if(Request::segment(1) == 'product_discount' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('product_discount/create')}}">Add New </a></li>
                                            @endif
                                        </ul>
                                    </li>
                                </ul>
                            </li>
                            @endif
                            @if(  Auth::user()->can('view_expenses') ||  Auth::user()->can('modify_expenses'))
                            <li  @if(Request::segment(1) == 'expense' ) class="active" @endif>
                                <a href="#"><i class="icon-tree5"></i> <span>Expense</span></a>
                                <ul>

                                    <li  @if(Request::segment(1) == 'expense') class="active" @endif>
                                        <a href="#"><i class="icon-stack2"></i> <span>Expense Types</span></a>
                                        <ul>
                                            @if(  Auth::user()->can('view_expenses') )
                                            <li @if(Request::segment(1) == 'expense' && Request::segment(2) == '') class="active" @endif><a href="{{url('expense')}}">Show All </a></li>
                                            @endif
                                            @if( Auth::user()->can('modify_expenses'))
                                            <li @if(Request::segment(1) == 'expense' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('expense/create')}}">Add New </a></li>
                                            @endif
                                        </ul>
                                    </li>
                                    <li  @if(Request::segment(1) == 'user-expense') class="active" @endif>
                                        <a href="#"><i class="icon-stack2"></i> <span>User Expense</span></a>
                                        <ul>
                                            @if(  Auth::user()->can('view_expenses') )
                                            <li @if(Request::segment(1) == 'user-expense' && Request::segment(2) == '') class="active" @endif><a href="{{url('user-expense')}}">Show All </a></li>
                                            @endif
                                            @if( Auth::user()->can('modify_expenses'))
                                            <li @if(Request::segment(1) == 'user-expense' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('user-expense/create')}}">Add New </a></li>
                                            @endif
                                        </ul>
                                    </li>
                                </ul>
                            </li>
                            @endif
                            @if(in_array(Auth::user()->roles->first()->name, ['code_8/5','super_admin','admin']) )
                            <li  @if(Request::segment(1) == 'currencies') class="active"  @endif >
                                <a href="#"><i class="icon-price-tags2"></i> <span>Currencies</span></a>
                                <ul>
                                    <li @if(Request::segment(1) == 'currencies' && Request::segment(2) == '') class="active" @endif><a href="{{url('currencies')}}">Show All </a></li>
                                    <li @if(Request::segment(1) == 'currencies' && Request::segment(2) == 'create') class="active" @endif><a href="{{url('currencies/create')}}">Add New </a></li>
                                </ul>
                            </li>
                            @endif
                           @if(in_array(Auth::user()->roles->first()->name, ['super_admin','admin','code_8/5']) )
                            <li  @if(Request::segment(1) == 'roles') class="active" @endif><a href="{{url('/roles')}}"><i class="icon-price-tags2"></i> <span>Roles & Permission</span></a></li>
                            @endif
                            @if(in_array(Auth::user()->roles->first()->name, ['super_admin','admin','code_8/5']) )
                            <li  @if(Request::segment(1) == 'app_version') class="active" @endif><a href="{{url('/app_version')}}"><i class="icon-price-tags2"></i> <span>App Version</span></a></li>
                            @endif
                            @if(in_array(Auth::user()->roles->first()->name, ['super_admin','admin','code_8/5']) )
                            <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('settings') }}"><i class="icon-wrench3"></i><span>Settings</span></a></li>
                             @endif
                             @if(Auth::user()->firstname == 'factory')
                            <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('add_products_raw') }}"><i class="icon-wrench3"></i><span>Add Oppning Stock</span></a></li>
                            @endif
                            @if(Auth::user()->firstname == 'factory' )
                            <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('allproductsshow') }}"><i class="icon-wrench3"></i><span>All Products</span></a></li>
                            @endif
                             @if(Auth::user()->firstname == 'Accounts' )
                            <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('allproductsshow') }}"><i class="icon-wrench3"></i><span>All Products</span></a></li>
                            @endif
                            @if(Auth::user()->firstname == 'Accounts' )
                            <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('productsdetails') }}"><i class="icon-wrench3"></i><span>Products Details</span></a></li>
                            @endif

                           

                             @if(Auth::user()->firstname == 'factory' )
                            <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('justproductsshow') }}"><i class="icon-wrench3"></i><span>Raw Bundles</span></a></li>
                            @endif
                            @if(Auth::user()->firstname == 'Accounts' )
                            <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('justproductsshow') }}"><i class="icon-wrench3"></i><span>Raw Bundles</span></a></li>
                            @endif  
                            @if(Auth::user()->roles->first()->name == subdistributorAccountant )
                            <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('penddingvoucher') }}"><i class="icon-wrench3"></i><span>Pendding Vouchers</span></a></li>
                            @endif 
                            @if(Auth::user()->roles->first()->name == subdistributorAccountant )
                            <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('completedvouche') }}"><i class="icon-wrench3"></i><span>Vouchers</span></a></li>
                            <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('shopkeeperledger') }}"><i class="icon-wrench3"></i><span>Shopkeeper Ledger</span></a></li>
                             <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('addopenningbalance') }}"><i class="icon-wrench3"></i><span>Add Opening Balance</span></a></li>
                              <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('distributorproducts') }}"><i class="icon-wrench3"></i><span>Sub Distribtor Stock</span></a></li>
                              
                                <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('shopdebit') }}"><i class="icon-wrench3"></i><span>Debit/Credit/FreeSampling</span></a></li>
                            
                            
                            @endif  

                            @if(Auth::user()->roles->first()->name == Accountant )


                                <li @if(Request::segment(1) == 'settings') class="active" @endif><a href="{{ url('subdistributorslist') }}"><i class="icon-person"></i><span>All Subdistributors</span></a></li>

                              @endif 

                             
                        </ul>
                        </ul>
                    </div>
                </div>
                <!-- /main navigation -->
            </div>
        </div>
        <!-- /main sidebar -->
        <!-- Main content -->
        <div class="content-wrapper">
            <!-- Page header -->
            <div class="page-header page-header-default">
                <div class="page-header-content">
                    <div class="page-title">
                        <h4><a href="{{ url()->previous() }}"> <i class="icon-arrow-left52 position-left"></i></a> <span class="text-semibold">{{$page_title}}</span></h4>
                    </div>
                </div>

                <div class="breadcrumb-line">
                    <ul class="breadcrumb">
                        <li><a href="{{url('/home')}}"><i class="icon-home2 position-left"></i> Home</a></li>
                        @if(!empty($breadcrumbs) && count($breadcrumbs)>0)
                            <li><a href="{{ url($breadcrumbs[0]['url']) }}">{{ $breadcrumbs[0]['title'] }}</a></li>
                        @endif
                        <li class="active">{{ $page_title }}</li>
                    </ul>
                </div>
            </div>
            <!-- /page header -->

            <!-- Content area -->
            <div class="content">

                <!-- Detached content -->
            @yield('content')


            <!-- Footer -->
                <div class="footer text-muted">
                    &copy; 2021. <a href="#">BiocosAdminPanel</a> by <a href="javascript:" target="_blank">Biocos</a>
                </div>
                <!-- /footer -->

            </div>
            <!-- /content area -->
        </div>
        <!-- /main content -->
    </div>
    <!-- /page content -->
</div>
<!-- /page container -->

<!-- Core JS files -->
<script type="text/javascript" src="{{asset('assets/js/plugins/loaders/pace.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/core/libraries/jquery.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/core/libraries/bootstrap.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets/js/plugins/loaders/blockui.min.js')}}"></script>
<!-- /core JS files -->

<!-- Theme JS files -->
<script type="text/javascript" src="{{asset('assets/js/core/app.js')}}"></script>

<!-- /theme JS files -->
<script type="text/javascript" src="{{ asset('js/custom.js') }}"></script>
<script src="{{ asset('js/jquery.toast.js') }}"></script>
<script>
    @if(Session::has('success'))
    $.toast({
        heading: 'Success',
        text: '{{ Session::get('success') }}',
        position: 'bottom-right',
        loaderBg: '#ff6849',
        icon: 'success',
        hideAfter: 3500,
        stack: 6
    });
    @endif
    @if(count($errors) > 0)
    $.toast({
        heading: 'Error',
        text: 'An error has occurred. Please check form fields.',
        position: 'bottom-right',
        loaderBg: '#ff6849',
        icon: 'error',
        hideAfter: 3500
    });
    @endif
     $(document).on("click", '#clear', function () {
        $('#selector').val("");
        $('.selector').val("");
    });
</script>

@yield('footer-content')
</body>
</html>
