<?php



if(version_compare(PHP_VERSION, '7.2.0', '>=')) {
    error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING);
}

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();
Route::match(['get', 'post'], 'register', function(){
    return redirect('/');
});
Route::get('/privacy-policy', 'SupportController@privacyPolicy');
Route::get('/privacy-policy-2', 'SupportController@privacyPolicy2');
Route::group(['middleware'=>['auth','agencystatus']],function (){
    Route::get('/home', 'HomeController@index')->name('home');
    Route::get('/', 'HomeController@index')->name('home');
    

});
Route::resource('profile','ProfileController');
Route::group(['namespace'=>'backend','middleware'=>['auth','agencystatus']],function (){
    Route::resource('agencies','AgencyController');
    Route::get('users/ledger/{id}','UserController@Ledger');
    Route::resource('users','UserController');
    Route::resource('countries','CountryController');
    Route::resource('currencies','CurrencyController');
    Route::resource('regions','RegionController');
    Route::resource('cities','CityController');
    Route::resource('areas','AreaController');
    Route::resource('categories','CategoryController');
    Route::resource('products','ProductController');
    Route::resource('customers','ShopController');
    Route::resource('expense','ExpenseController');
    Route::resource('user-expense','UserExpenseController');
    Route::resource('app_version','AppVersionController');
    Route::resource('partyname','PartyNameController');
    Route::resource('partyname.prices', 'PartyRateController');
    Route::get('partyname/{id}/refresh', 'PartyNameController@Refresh');
    Route::get('orders/sample', 'OrderController@Sample');
    Route::get('orders/stock', 'OrderController@StockOrder');
    Route::get('orders/stock/detail/{id}', 'OrderController@StockOrderDetail');
    Route::post('orders/stock/mark/{id}', 'OrderController@MarkOrder');
    Route::post('orders/stock/bilty/{id}', 'OrderController@StockBilty');
    Route::get('reports/sales', 'OrderController@Sales');
    Route::get('reports/sales&recovery', 'OrderController@salesRecovery');
    Route::get('reports/dubaisales&recovery', 'OrderController@dubaisalesRecovery');
    Route::resource('orders','OrderController');
    Route::resource('product_discount','ProductDiscountController');
    Route::resource('targets','TargetController');
    Route::resource('so_targets','SoTargetController');
    Route::resource('bilty','BiltiController');
    Route::get('payments/pending', 'PaymentController@pendingPayment');
    Route::get('payments/confirm/{id}', 'PaymentController@confirmPayment');
    Route::resource('payments','PaymentController');
    Route::resource('jobs','JobController');
    Route::resource('target_points','TargetPointController');
    Route::resource('assign_area','AssignAreaController');
    Route::resource('target_grades','TargetGradeController');
    Route::resource('target_visit','TargetVisitcontroller');
    Route::resource('supplier_so','SupplierSOController');
    Route::get('user_location','UserLocationController@index');
    Route::post('country_regions','AssignAreaController@country_regions');
    Route::post('region_cities','AssignAreaController@region_cities');
    Route::post('city_areas','AssignAreaController@city_areas');
    Route::get('settings', 'SettingController@settings');
    //desktop start
    Route::get('add_products_raw', 'SettingController@productdetail');
     Route::get('allproductsshow', 'SettingController@allproducts');
     Route::get('productsdetails', 'SettingController@productsdetails');
    Route::put('add_products_raw/save', 'SettingController@productstore');

    Route::get('/add_products_raw/{id}/edit', 'SettingController@edit')->name('edit.products');
    Route::get('/add_products_raw/{id}/return', 'SettingController@return')->name('return.products');
    Route::get('/add_products_raw/{id}/logs', 'SettingController@logs')->name('logs.products');

    Route::put('add_products_raw/{id}/updatereturn', 'SettingController@updatereturn')->name('updatereturn.products');
    Route::put('add_products_raw/{id}/update', 'SettingController@update')->name('update.products');
    Route::get('productsledger', 'SettingController@productsledger');
    Route::get('productsledger/{id}','SettingController@alldetails')->name('product.details');
   Route::post('/daterange/fetch_data', 'SettingController@fetch_data')->name('daterange.fetch_data');

    Route::get('justproductsshow', 'SettingController@justproducts');
    Route::get('/justproductsshow/{id}', 'SettingController@detailsproducts')->name('details.products');
    Route::get('/justproductsboard/{id}', 'SettingController@detailsboard')->name('details.board');
    Route::post('Ledgerpost','SettingController@Ledgerpost')->name('Ledgerpost');
    Route::get('/justproductsshows/{id}', 'SettingController@categoryproducts')->name('details.categoryproducts');
    Route::post('justproductsshowss','SettingController@subproduct')->name('subproductt'); 
    Route::get('substractqty','SettingController@subqty')->name('sub.qty'); 
  
   


    //desktop end


       //shops
              Route::get('allshopsorders', 'DsfController@index')->name('allshops');
              Route::post('oppeningbalance','DsfController@addoppeningbalance')->name('add.oppening_balance');
              Route::get('penddingvoucher', 'DsfController@penddingvoucher')->name('penddingvouchers');
            Route::get('completedvouche', 'DsfController@completedvouches')->name('completedvouches');
              
               Route::get('/penddingvoucher/{id}', 'DsfController@penddingorders')->name('pendding.orders');
                Route::get('/shoporders/{id}', 'DsfController@orderdetail')->name('details.orders'); 
                Route::get('/subproducts/{id}', 'DsfController@subproducts')->name('sub.products'); 
                Route::post('storesubproduct','DsfController@addsubproducts')->name('subproduct.store');
                Route::post('newsubitem','DsfController@newsubitems')->name('newsub.items');
                
                  Route::get('/subproductdelete/{id}','DsfController@subdelete')->name('delete.subproducts');
                  Route::post('popupbox/subproducts','DsfController@getpopup')->name('maan');
                  Route::post('discount/products','DsfController@dsfshopsdiscounts')->name('discounts');
                   Route::get('/productdelete/{id}','DsfController@productdelete')->name('delete.order');
                   Route::get('addmoreshops/{id}/{useid}','DsfController@addmoreshops')->name('add.shops');
                   Route::get('/returns/{id}', 'DsfController@justreturn')->name('return.view');
                    Route::post('storeproduct','DsfController@addproducts')->name('product.store');
                    Route::post('emptyorder','DsfController@justshopsadds')->name('justshops.add');
                        Route::get('/returns/{id}', 'DsfController@dsflist')->name('dsf.orders');

                        Route::post('storecash','DsfController@storecash')->name('cashinhand.store');
                        Route::get('orderlist/{ff}/{kk}','DsfController@cashorderlist')->name('cashorderlists');
                    Route::post('storepayment','DsfController@storepayment')->name('payments.store');
                    Route::get('dsfshopledger', 'DsfController@dsfshopledger')->name('dsf.ledger');  
                    Route::get('/dsfshops/{id}', 'DsfController@dsfshoplist')->name('dsf.shop');
                       Route::get('/dsfshopsledgerdetails/{id}', 'DsfController@dsfshopsledgerdetails')->name('dsfledger.details');
                        Route::post('ledgerfilter','DsfController@shopledgerfilter')->name('shopledgerpost');
                         Route::get('addopenningbalance', 'DsfController@justopening')->name('openningbalance');  
                          Route::get('shopkeeperledger', 'DsfController@shopkeeper')->name('shopkeepers'); 
                          Route::post('dsf/recorde','DsfController@dsfrecorde')->name('dsfrecordes'); 
                          Route::post('shopsdatefilterall','DsfController@shopsdatefilter')->name('shopsdatefilters');
                           Route::post('shopdsfwisedate','DsfController@dsfwisedates')->name('dsfwisedate'); 
                           Route::get('shopkeeperhistory/{id}','DsfController@justsinglehistory')->name('shopkeepersinglehistory');
                            Route::get('saleRecovery/{id}/{name}','DsfController@justsalerecover')->name('justsalerecovery');  
                            Route::post('detail/todat','DsfController@dsftodays')->name('dsftoday');
                             Route::post('detail/week','DsfController@dsfweeks')->name('dsfweek');   
                             Route::get('getasm','DsfController@getasm')->name('getasms');  
                             Route::get('getsd/{id}','DsfController@getsd')->name('asm.sd');
                              Route::post('return/products','DsfController@returnproducts')->name('add.returnproducts'); 
                              Route::post('opening/stock','DsfController@openingstocksd')->name('add.oppening_stock');
                              Route::get('distributorproducts','DsfController@distributorproduct')->name('distributorproducts');
                              Route::post('substocksadd','DsfController@substockshow')->name('addsubstock');    
                               Route::post('saveproductssub','DsfController@savesubproduct')->name('savesubproducts'); 
                               Route::post('subproductpopup/add','DsfController@subproductpopups')->name('subproductpopup');
                                Route::get('invoices','DsfController@printorders')->name('ordersprint');
                                Route::post('searchorder','DsfController@searchorderbydsfdate')->name('searchorderbydsf');
                                Route::post('printordrs','DsfController@ordersprints')->name('print.order');
                                Route::post('printordrswithdsicount','DsfController@ordersprintswithdis')->name('print.orderwithdiscount');

                           Route::get('editvouchers/{id}','DsfController@editvoucher')->name('edit.voucher');
                             Route::get('editorders/{id}','DsfController@editorder')->name('edit.order');

                              Route::get('shopdebit','DsfController@shopdabit')->name('add.debit');
                              Route::post('savedebits','DsfController@savedebit')->name('save.debit');
                              Route::post('free-sample','DsfController@freesamples')->name('freesample');
                              Route::get('freesampleproducts/{id}','DsfController@freeproducts')->name('freesample.products');
                               Route::post('searchshopkeeper-bydsf','DsfController@shopfilterbydsf')->name('searchshopkeeperbydsf');
                              





                             



                                
                     
                                



                                
                                

                            
    
     
                      
                                                 
                        
                        
                     
             
      //shops end


//biocos accountant

 Route::get('subdistributorslist','StockadjustmetController@subdis')->name('sub.distributorslist');
 Route::get('productlist-distributors/{id}','StockadjustmetController@productlistdistributors')->name('Distributors');  
 Route::post('adjustment-products','StockadjustmetController@adjustmentproducts')->name('adjustment'); 
 Route::post('substocksadds','StockadjustmetController@substockshow')->name('addsubstocks'); 
 Route::post('mainstocksadds','StockadjustmetController@mainproducts')->name('add.stockadustment');    
  Route::post('changestatus-user','StockadjustmetController@changestatususer')->name('changestatus');
  Route::get('logimage','StockadjustmetController@logithimage')->name('log.images');    

 //end biocos account                              





    Route::post('settings/save', 'SettingController@settings_update');
    Route::resource('products.images', 'ProductImageController');
    Route::resource('shops.images', 'ShopImageController');
    Route::post('upload-shop-images', 'ShopController@uploadImage');
    Route::get('all-products', 'ProductController@All_Product');
    Route::get('all-products-with-target', 'ProductController@AllProductwithTarget');
    Route::get('all-products-with-discount-grade/{id}', 'ProductController@AllProductwithDiscountGrade');
    Route::get('product-with-customer-price/', 'ProductController@ProductwithCustomerPrice');
    Route::get('user_parent/{id}', 'UserController@userParent');
    Route::get('sales_officer_areas/{id}', 'ShopController@sales_officerAreas');
    Route::get('sales_officer_customers/{id}', 'ShopController@salesOfficerCustomers');
    Route::get('search', 'ProductController@Search');
    Route::get('booked-orders/', 'BookedOrderController@index');
    Route::get('country-currencies/{id}', 'CountryController@countryCurrencies');
    Route::post('orders/process/{id}', 'BookedOrderController@processOrder');
    Route::post('orders/rejected/{id}', 'BookedOrderController@rejectedOrder');
    Route::get('country-regions/{id}', 'CountryController@countryRegions');
    Route::get('region-cities/{id}', 'CountryController@regionCities');
    Route::get('customer-ledger/{id}', 'ShopController@customerLedger');

    Route::get('supplier', 'UserController@Supplier');
    Route::get('product-categories/{id}', 'ProductController@productCategories');
    Route::get('mail_test', 'UserController@Mail');
    Route::get('rsm_so/{id}', 'UserController@rsmSo');
    Route::get('roles', 'UserController@roles');
    Route::get('permissions/{role_id}', 'UserController@permissions');
    Route::post('update-permissions', 'UserController@update_permissions');
    Route::get('notification', 'PaymentController@test');

});


